2019-01-03  Daniel Hawkins
    * server/skills.c: Fix encumbered throw logic to penalize high encumbrance
      instead of reward it.

2018-12-31  Daniel Hawkins
    * utils/crossloop.web.in: Make SRCDIR be determined on the fly.
      This reduces the number of variables that need to be changed before use.
    * common/readable.c: Add more book titles.

2018-12-30  Daniel Hawkins
    * server/player.c: Simplify melee weapon pickup logic, since tables and chairs
      haven't been weapons since 2011.

2018-12-24  Daniel Hawkins
    * server/c_object.c: Fix "gods...retrieves" to agree in plurality.
    * plugins/cfcitybell/*: Refactor city temple bell event to be its own non-Python unit.
    * plugins/Makefile.am: Add the new independent citybell plugin to the build tree.
    * configure.ac: Add config rules to allow for the city bells to be disabled.

2018-12-23  Daniel Hawkins
    * common/links.c: Better utilize the calloc function to set the dynamic allocated
      lists to 0 as it is allocated.
    * socket/request.c: Rewrite spell_client_use to use a switch statement instead of ifs.

2018-12-22  Daniel Hawkins
    * server/hiscore.c: Adjust i+1 followed by i++ to be ++i;
        (Reverted due to out-of-bounds error w/ optimization by ryo_saeba on 26 Dec)

2018-10-28  Daniel Hawkins
    * common/living.c,
      common/artifact.c: Make items that have the confused flag set confuse the wielder.
    * lib/artifacts: Add a helmet of Confusion to utilize the new item-sourced confusion.

2018-10-24  Daniel Hawkins
    * common/readable.c: Make text from the messages file not get split at buffer boundaries.
    * server/player.c,
      common/living.c: Make dragon ability gain levels specified in magic field in treasurelist.

2018-10-23  Daniel Hawkins
    * common/readable.c: Add "illuminated text" as a religion book name.
    * server/c_object.c: Refactor a loop through the player's inventory to better use the op->contr->mark pointer.

2018-10-22  Daniel Hawkins
    * random_maps/style.c: Remove superfluous use of buffer and snprintf.
    * include/global.h,
      common/loader.l,
      common/init.c,
      common/arch.c: Remove ::warn_archetypes and make loader use try_find_archetype.
    * common/recipe.c: Refactor recipe creation to use calloc instead of malloc.

2018-09-24  Daniel Hawkins
    * types/Makefile.am: Add new mimic type file to build.
    * server/ob_types.c: Initialize the apply hook for mimics.
    * include/typesproto.h: Function prototype for apply hook initialization.
    * include/object.h: Add MIMIC type and update max type number.
    * types/mimic/mimic.c: Add code for MIMIC type.
    * common/item.c: Add new type to the table defined here. Make it like container.
    * random_maps/treasure.c: Make a very slim chance of a mimic replacing a chest when diffiuclty > 5.

2018-06-02  Daniel Hawkins
    * server/time.c: Simplify the code for determining the placement of a new object in change_object().

2018-05-31  Daniel Hawkins
    * server/attack.c: Fix double application of resistance for life stealing attacktype.
      Also, add more complex algorithm for slowness to reduce >1 speed sometimes.

2018-05-28  Daniel Hawkins
    * common/living.c: Simplification of bracer/force/armor AC/WC code in fix_object:
      if we don't replace the best value, don't waste time subtracting and adding the same
      value to the object.
      Also, fix bug #823 by directly applying bracer ac and wc for serpentmen players.
    * server/monster.c: Skip performance shortcuts in monster_compute_path for
      multitile monsters.

2018-05-23  Daniel Hawkins
    * server/attack.c: Make death attacks do no damage when the monster cannot
      be affected by that death attack. Also make the order of the strstr check
      work for multiple races defined on the creature, and only one on the weapon.
      Make the strstr reorder on triple-damage calc, too.
    * server/init.c: Change race loading logic so that a race defined in lib/races
      is added to an arch's race field, rather than replace it. This allows for
      "slay vampire" and other slaying fields that aren't a normal race to actually
      function while still preserving summon lists for summon cult monster.

2018-05-21  Daniel Hawkins
    * server/attack.c: Make death attacks relevant.

2018-05-19  Daniel Hawkins
    * server/player.c: Load background music when moving through tiled maps.

2018-02-12  Daniel Hawkins
    * server/monster.c: Refactor to reduce calls to ob_blocked by remembering prior blocked tiles from the same run.
      This causes a small but noticable (~5%) reduction in overall pathing cost.
      Do a quick check in monster_compute_path to ensure there are multiple ways the monster can move around
      before attempting to go through the whole pathing algorithm. This yields significant performance improvements.

2018-02-11  Daniel Hawkins
    * common/map.c: Refactor get_map_from_coord() to be iterative instead of recursive.

2018-02-03  Daniel Hawkins
    * server/time.c: Improve change_object to handle multi-tile monster changes.
    * test/unit/server/check_monster_change.c: Add unit test for changing monsters.
    * test/unit/server/Makefile.am: Add new unit test to the build instructions.

2018-01-24  Daniel Hawkins
    * server/login.c: Prevent memory leak of party_name on attempted login of a player with negative hp.

2018-01-23  Daniel Hawkins
    * common/anim.c: Reduce calls to realloc on animation load. Handle failed realloc gracefully.

2018-01-22  Daniel Hawkins
    * server/plugins.c: Fix redundant call to va_end in cfapi_object_move.

2018-01-21  Daniel Hawkins
    * common/init.c: Use strspn for finding the first non-whitespace character in attackmess,
      and allow for tabs to be used as whitespace.
    * socket/request.c: Reorder conditions to prevent segfault if pl is null in esrv_remove_spell.

2018-01-18  Daniel Hawkins
    * lib/artifacts: Fix boots/gauntlets that should posess a damage value that don't. Fixes bug #832.

2018-01-14  Daniel Hawkins
    * server/skills.c: Fix segfault from check for transport when monster uses
      jumping skill.

2018-01-13  Daniel Hawkins
    * lib/artifacts: Make goblin leaders generate facing forward and animate the
      artifact monsters so the versions that have animations use the animation frames.

2018-01-08  Daniel Hawkins
    * common/artifact.c: Expand identified face use of pre-identified items, even
      if the type otherwise need identifying. This makes gems appear with the correct face.

2018-01-07  Daniel Hawkins
    * common/artifact.c: Make artifacts of items that do not need identifying
      appear using their identified face and animation. In particular, this makes
      the randomly-generated tougher monsters (e.g. goblin leaders) differentiable
      from the normal monsters in the room.

2018-01-02  Daniel Hawkins
    * server/shop.c: Make shop pricing treat unidentified items as if they were
      the normal version of the item. Fixes Bug #812.

2017-09-02  Daniel Hawkins
    * random_maps/main.c: Expand test generator options to allow
      layout choice.

2017-08-26  Daniel Hawkins
    * types/spellbook/spellbook.c: Identify spellbooks of spells you already know
      when applying them. Also make the message name the spell.

2017-08-23  Daniel Hawkins
    * server/attack.c: Add message and set a new flag for indicating a player is paralyzed.
    * server/player.c: Add message for end of paralysis and disallow blindly eating
      while paralyzed.
    * server/monster.c: Make sure monsters unset paralyze flag when they can move again.
    * include/define.h: Creation of FLAG_PARALYZED flag.
    * common/loader.l: Allow for the paralyzed flag to exist in objects saved to file.

2017-08-15  Daniel Hawkins
    * server/skills.c: Disallow jumping while in a transport.

2017-08-13  Daniel Hawkins
    * server/c_wiz.c: Update error message for set_god.

2017-08-09  Daniel Hawkins
    * common/living.c: Fix incomplete totaling of equipped item power
      in fix_object(). Should fix bug #648.

2017-08-05  Daniel Hawkins
    * server/time.c: Make firewalls choose their direction to cast based on direction,
      not sp. Fixes bug #834.
    * common/button.c: Fix rotation of firewalls to also use direction.
      Fix the animation problem that caused a segfault, too. Solves bug #835.

2017-07-29	Rick Tanner
	* lib/help/statistics.en: Update statistics help file with information on
	  damage per second, and time played.

2017-07-27	Daniel Hawkins
	* server/c_misc.c: Add damage per second calculation to "statistics"
	  command.

2017-07-24	Kevin Zheng
	* server/attack.c: Play attack sounds on the map
	* server/commands.c: Allow players to forget spells

2017-06-17	Daniel Hawkins
	* server/attack.c: Update display for pk to only show when player kills a
	  player other than self.

2017-05-31	Rick Tanner
	* lib/help/nextkey.en: New help file for nextkey command
	* lib/help/prevkey.en: New help file for prevkey command

2017-05-20	Kevin Zheng
	* socket/sounds.c: Play region music if a map doesn't have music

2017-02-18	Daniel Hawkins
	* server/monster.c: Prevent monster_compute_path from being called for
	  confused monsters.

2016-06-03  Daniel Hawkins
	* common/map.c: Only check for null tile map if we tried to load;
	  if we didn't try to load, tile map was already non-null.

2016-05-23  Daniel Hawkins
	* common/map.c: Prevent a potential segfault in get_map_from_coord() and
	  out_of_map() if load_and_link_tiled_map() returns a null map. It was
	  used before it was verified in previous behavior. Updated the documentation
	  for each function to state the initial map passed to it must not be NULL.

2016-05-22  Daniel Hawkins
	* server/server.c: Move the static string reference into the condition
	  branch, since we only use it on that branch.

2016-05-21  Daniel Hawkins
	* common/los.c: Refactored set_wall() to recycle a couple variables to
	  reduce recursion overhead.
	* plugins/cfanim/cfanim.c: Refactored get_boolean() to not use strncmp(),
	  since it was only checking the first character anyway.
	* common/player.c: Changed a malloc() with a memset() to 0 into a calloc().
	* lib/attackmess: Change 'acrobaticly' to 'acrobatically'.

2016-05-18  Daniel Hawkins
	* common/map.c: Add new maps to the front of the mapstruct linked list
	  since there does not appear to be any order preference in the rest of
	  the codebase.
	  Remove a redundant memset to 0 after a calloc(). Also check for null
	  to prevent potential segfaults.
	  Optimize out newx and newy in get_map_flags(). x and y are already copies.
	  Optimize out check_dir in compute_monster_path().
	  Optimize the initialization of distance to use memset() instead of a loop.

2016-05-17  Daniel Hawkins
	* common/living.c: Change the depletion message for Con loss to differentiate
	  it from the permanent stat loss message.
	* server/monster.c: Additional optimizations in monster_compute_path().

2016-05-16  Daniel Hawkins
	* server/knowledge.c: Use malloc instead of calloc where all struct values
	  are subsequently set.

2016-05-15  Daniel Hawkins
	* server/monster.c: Remove redundant hp value check in monster_do_living().
	  Adjusted the run_away health check to use integers instead of floats.
	  This causes a 1-higher threshold for some maxhp values if run_away is
	  13, 21, 26, 39, 42, 52, 53, 59, 65, 71, 78, or 84.
	* server/attack.c: Made same adjustment to run_away calc as in monster.c.
	  In this manner, the rounding change occurs on both set and unset of FLAG_RUN_AWAY.
	* server/arch.c: Refactor some comparisons in is_type_valid() to use a switch statement.

2016-05-14  Daniel Hawkins
	* server/monster.c: Optimizations in monster_compute_path().
	* common/object.c: Reimplement the absdir() function to avoid loops.

2016-05-07  Daniel Hawkins
	* configure.ac: Change some of the "#" Comments to "dnl" comments.
	  They didn't need to go into the generated config file, so they won't be.

2016-05-02  Daniel Hawkins
	* doc/spell-docs/tome-of-magic.txt: Made some manual edits to effects of
	  spells. Still far from complete.
	* doc/spell-docs/Makefile.am: Tweaked the cleanfiles so that 'make clean'
	  cleans up all the generated PostScript files.

2016-01-11  Daniel Hawkins
	* doc/scripts/bonus_extract.pl: Refactor shop bonus to match actual implementation.

2015-12-25  Daniel Hawkins
	* configure.ac: Add check for librt and link it in if found.

2015-12-18  Daniel Hawkins
	* doc/spell-docs/spell-summary.ps: Removed. Replaced by a text file for
	  easier maintenance in the future.
	* doc/spell-docs/spell-summary.txt: New text file with the information
	  formerly stored in spell-summary.ps.
	* doc/spell-docs/create_ps.sh: Add a new command to generate spell-summary.ps.
	* configure.ac: Removed check for memcmp(), srand(), and size_t.
	  These should all be definied correctly in a C99 compiler, which we require.
	* include/win32.h: Removed reference to HAVE_SRAND macro from autoconfig.h.
	* include/define.h: Cleaned up RANDOM and SRANDOM macro definitions.
	  Since we require C99, there should not be a situation where not even srand is found.

2015-12-15  Daniel Hawkins
	* doc/spell-docs/create_ps.sh: Abstracted the PostScript generation
	  out of the perl script. Also add spell-info.ps to the generated
	  documents.
	* doc/spell-docs/Makefile.am: Adjusted make definitions to
	  accomodate for new script.
	* doc/spell-docs/spell-info.ps: Removed. Generated from spell-info.txt.
	* doc/spell-docs/spell-lists.pl: Removed PostScript output.
	* doc/spell-docs/tome-of-magic.ps: Removed. Generated from
	  tome-of-magic.txt.

2015-12-13  Daniel Hawkins
	* server/skill_util.c: Fix phantom miss messages that should occur only with [Fire]+attack.

2015-12-12	Daniel Hawkins
	* doc/Makefile.am: Add build target for making documentation archive
	  with new dynamically generated spell lists.
	* doc/spell-docs/Makefile.am: Add build target for dynamic generation of spell lists.
	  Also, clean up the EXTRA_DIST declaration.
	* doc/spell-docs/spell-lists.pl: Added a perl script to dynamically generate spell lists.
	* doc/spell-docs/README: Updated to mention effort to upgrade docs.
	* doc/spell-docs/prayer-list.ps: Removed. Now dynamically generated from spell-lists.pl.
	* doc/spell-docs/prayer-list.txt: Removed. Now dynamically generated from spell-lists.pl.
	* doc/spell-docs/spell-list.ps: Removed. Now dynamically generated from spell-lists.pl.

2015-12-11	Daniel Hawkins
	* doc/scripts/bonus-extract.pl: Refactor old bonus-extract,
	  replacing it with a perl script that gets the bonuses from
	  stat_bonus.
	* doc/playbook-html/Makefile.am: Change the bonus.html build target to run the new script.
	* doc/playbook-html/bonus-extract: Removed.
	* doc/playbook/Makefile.am: Change the bonus.tex build target to run the new script.
	* doc/playbook/bonus-extract: Removed.

2015-12-10	Daniel Hawkins
	* server/account.c: Add [ to the blocked characters.
	  It causes improper message printing on the client side.
	  This does not effect existing characters, only new ones.

2015-12-09	Kevin Zheng
	* socket/info.c: Log messages that are broadcast to all players

2015-12-07	Daniel Hawkins
	* doc/scripts/gods-extract.pl: Refactor old gods-extract AWK scripts into a perl script.
	  While we're here, also reimplement protections, immunities, and vulnerabilities.
	* doc/playbook-html/Makefile.am: Point to the new gods-extract script.
	* doc/playbook-html/gods-extract: Removed.
	* doc/playbook/Makefile.am: Point to the new gods-extract script.
	* doc/playbook/gods-extract: Removed.

2015-12-06  Nicolas Weeger
  * server/c_object.c: Display whether pickup is enabled or inhibited.

2015-12-06  Nicolas Weeger
  Display animations when a spell is blocked, bungled, or town portal failed.
  * include/object.h
  * server/spell_util.c

2015-11-25	Kevin Zheng
	* server/daemon.c: Remove server '-detach' flag

2015-11-21  Andreas Kirschbaum
	* common/artifact.c: Do not truncate face names.

2015-11-10  Daniel Hawkins
	* doc/scripts/levels-extract.pl: Created a new level extraction tool
	  for the documentation that works with modern server code and
	  is utilized for both html and latex outputs.
	* doc/playbook/Makefile.am: Point to the new perl script for level extraction.
	* doc/playbook/levels-extract: Removed. It was designed to find a hardcoded
	  exp table in living.c.
	* doc/playbook-html/Makefile.am: Point to the new perl script for level extraction.
	* doc/playbook-html/levels-extract: Removed. It was designed to find a hardcoded
	  exp table in living.c.

2015-05-31  Daniel Hawkins
	* common/living.c: Fixed a bug introduced in r19972 that made skill
	  experience based off total level instead of skill level.

2015-05-28  Daniel Hawkins
	* server/player.c: Tweak the starvation calculation to not use a loop.
	  Tweak the similar_direction calculation to use modulus instead of 
	  a switch statement.

2015-05-25  Daniel Hawkins
	* configure.ac: Made the configure script exit if lex and flex are not found.
	* utils/cfarches.xsl: Refactored can_use_xxx to be displayed in a single
	  cell. Also completed the set of can_use_xxx options.
	  Added XSL Transformation output for body slots.

2015-05-24  Daniel Hawkins
	* common/living.c: Fixed a bug in which the player's experience would
	  endlessly loop in the level below maxlevel.

2015-05-22	Daniel Hawkins
	* utils/cfarches.xsl: Refactored resistances to be displayed in a single
	  cell for each arch. Also added the rest of the resistances to the
	  XSL transformation.
	  Added attacktype to the generated HTML table.
	  Added plural names to the name display.

2015-05-21	Daniel Hawkins
	* utils/arch2xml.py: Tweaked whitespace of tag output.
	  Then added HTML/XML escapes for &, <, and > inside comments and messages.
	  Fixed the arch tag writing mechanism to give each object its own arch
	   instead of each file getting its own arch tag.
	  Made empty comment lines be ignored instead of printed as [#].
	* utils/cfarches.xsl: Adjusted headings to be actual HTML table headings.

2015-05-20	Daniel Hawkins
	* lib/artifacts: Adjusted several item messages for clarity and grammar.
	* server/c_object.c: Don't show item story (msg) unless it has been
    identified.

2015-05-19	Daniel Hawkins (SilverNexus)
	* test/toolkit/toolkit_crossedit.c: Retired old crossedit test toolkit.
	It was never implemented, and crossedit has been gone for years.

2015-05-16	Daniel Hawkins (SilverNexus)
	* utils/scores.pl.in: Made experience table be dynamically
	read in from the server's installed exp_table file.

2015-05-15	Daniel Hawkins (SilverNexus)
	* random_maps/special.c: Fix fountain material to prevent fountains
	that are actually potions from being destroyed.

2015-03-24	Rick Tanner
	* lib/config/metaserver2: Add entries for additional metaservers, one
	in the US and the other in EU.

2015-03-18	Kevin Zheng
	* server/shop.c: Adjust item enchantment price bonus

2015-02-18	Kevin Zheng
	* server/shop.c: Prevent shops from claiming 'worthless' sold items
	* configure.ac: Ask for a C99 compiler

2015-02-17	Kevin Zheng
	* plugins/: Remove old shop functions from plugin interface

2014-12-21	Kevin Zheng
	* server/shop.c: Overhaul shop prices
	* server/shop.c: Skip shop price adjustment when approximating

2014-12-09	Kevin Zheng
	* server/shop.c: Change the value of unidentified items
	* common/object.c: Fix object_set_msg() to append missing newlines

2014-08-26	SilverNexus
	* lib/formulae: Added formulae incorporating leather from r19607.

2014-06-21	Kevin Zheng
	* utils/crossloop.in: This script now reads its configuration from a
	file. Changes should be made in the new file, not in the script itself.

2014-06-11	SilverNexus
	* lib/checkarch.pl: Rename old checkarch script, since it isn't
	part of the build process and isn't dynamically generated, either.
	* lib/Makefile.am: Remove checkarch script from makefile, since
	no references are made to it.

2014-05-27	SilverNexus
	* lib/formulae: Added smithery formulas to smelt ores into bars.

2014-05-27	SilverNexus
	* common/object.c: Fix inventory weight calculation bug from merging objects.

2014-05-20	SilverNexus
	* debian/cross-edit.files,
	* debian/control,
	* debian/rules: Retire crossedit construction from debian files.

2014-05-19	SilverNexus
	* utils/add_throw: Retire add_throw script, skills have been
	  with the newer system for a while now. I think it may have
	  been in excess of fifteen years.

2014-05-19	SilverNexus
	* socket/loop.c,
	* socket/request.c,
	* include/sockproto.h: Retire support for mapredraw command.
	  It hasn't been used since 1.10.0 client in 2007.
	  On the server side, its been an empty function since 2005.

2014-05-17	Andreas Kirschbaum

	* For all files being written: add error checks and retain the
	previous file contents if a write error occurs.

2014-05-15	SilverNexus
	* server/c_misc.c: Don't allow account-bound characters to change
	  character password. It did not affect the account password, anyway.

2014-05-13	SilverNexus
	* server/c_misc.c: Fix in-game version command. Previous behavior
	  displayed "Crossfire FULL_VERSION".

2014-05-10	Kevin Zheng
	* socket/loop.c: Implement 'heartbeat' to check client connection.

2014-04-19	Kevin Zheng
	* server/server.c: Improve server shutdown command.

2014-04-18	Kevin Zheng
	* utils/crossloop.in: Add crash notification to crossloop.

2014-04-17	Kevin Zheng
	* server/init.c: Remove outdated "-o" flag.

2014-04-12	Kevin Zheng
	* utils/cfmeta-rrd: Retire since it no longer works with new metaserver.
	* utils/checkInternalPrototype.sh: Retire in favor of compiler flags.
	* utils/crossfire-loop.c: Retire in favor of shell script.
	* utils/get_release.in: Retire since CVS is gone.
	* utils/update_rp: Retire since CVS is gone.

2014-04-07	Kevin Zheng
	* utils/crossloop.in: Remove flags related to non-default plugins.

2014-04-06	Kevin Zheng
	* server/init.c: Clean up and sort command-line arguments.
	* server/move.c: Clean up "start to attack" message.
	* server/server.c: Retire des_crypt(3) in favor of crypt(3).

==============================================================================
Changes for 1.71.0
==============================================================================

2014-03-29	Kevin Zheng
	* server/server.c: Fix emergency map.

2014-03-17	Kevin Zheng
	* devel/crossfire-config.c: Retire build parameter dumper.

2014-03-04	Kevin Zheng
	* configure.ac: Disable newspaper and logger plugin by default.
	* server/: Reduce unnecessary startup verbosity.
	* server/misc.c: Shorten log level messages.

2014-01-01	Nicolas Weeger
	* common/map.c: Ensure objects are on a valid map position.

2013-11-29	SilverNexus
	* server/attack.c: Added damage for when a player burns an equipped
	item (e.g. with flint and steel). Should help balance the utility of
	the flint and steel.

2013-11-10	SilverNexus
	Fix for bug #762: Permadeath segfault on dead character load.

	* socket/request.c: do not send dead characters' information to the client
	* include/account_char.h: add a flag for dead characters
	* server/player.c: add account name to dead player's slaying field
	* server/account_char.c: add handling for new flag for dead characters
	* server/resurrection.c: make resurrection reset the dead character
	flag on a successful resurrection

2013-09-07	Andreas Kirschbaum
	Properly track cast spells. Fixes infrequent server crashes due to 100%
	CPU load.

2013-07-18	Nicolas Weeger
	Fix for bug #755: Player 'freezes' after boarded wagon is destroyed
	server/attack.c: reset player's contr->transport to NULL.

2013-01-11	Karla Stenger
	* server/apply.c: Fixed wrong check for applied flag when closing
	container to open another one.

2012-11-27	Karla Stenger
	* common/item.c: Add "(glowing)" to rings and amulets' description.

2012-07-01	Nicolas Weeger
	Fix for bug #3536508: Broken firewall with missile swarm.

2012-06-26	MSW
	Modify handle_client() to process more than one socket command per tick.
	This chops about half a second off time spent in negotiate_connection()
	on local client/server - probably bigger difference for remote servers.
	Also, as code was, if using image caching, no further processing would
	happen after first askface, so this should improve performance notably in
	those cases.

2012-06-10	Nicolas Weeger
	Apply patch #3532595: Restrict account creation, by Eddward DeVilla.

==============================================================================
Changes for 1.70.0
==============================================================================

Hack to make the server work on FreeBSD 9.
Nicolas Weeger 2012-02-07

Make artifacts hide their properties when not identified.
Nicolas Weeger 2012-01-28

Do not fail build when not building in a working copy.
Andreas Kirschbaum 2012-01-19

Implement feature request #1676810: Throw specific items.
Throwing will now use marked item, or items in a 'quiver of throwing items'.
Nicolas Weeger 2011-12-30

Improve 'probe' spell. Over level 15, a status bar is displayed over the target.
Duration and precision are based on the level.
Requires arch revision 16342 or higher.
Nicolas Weeger 2011-12-28

Fix bug #3440456: Animated bolts.
Adjust animate_object() to correctly handle FLAG_IS_TURNABLE,
and make object_update_turn_face() a mere wrapper to that function.
Nicolas Weeger 2011-12-18

Add logic to do svn version check between plugin and server - this prevents
incompatible plugins from being used.
MSW 2011-11-26

New server argument: -disable-plugin.
Disables a plugin from its name, 'All' to disable all.
Nicolas Weeger 2011-11-20

New server setting: "special_break_map".
Controls whether submaps in random maps can break the walls to be placed.
On (can break) by default for historical reasons.
Nicolas Weeger 2011-11-20

Rewrite the i18n system. This makes it easier to use strings in the code,
instead of arbitrary identifiers.
Nicolas Weeger 2011-11-12

Improve artifact support.
Add an 'artifact' field to 'object', that is saved and loaded, to keep trace
of what (optional) artifact an item was created with.
This enables artifact modifications on existing items.
Nicolas Weeger 2011-11-01

Apply patch #3428070: Autoreconf Warnings, by Steven Johnson.
It is for 'client', but fixes the same bug on server.
Nicolas Weeger 2011-10-27

Fix bug #2005689: 2.0 Creator creates items with duplicate names.
Have creator objects clear the title instead of setting both it and the name.
Nicolas Weeger 2011-10-22

Fix invalid expression.
Nicolas Weeger 2011-10-21

Add sys/socket.h to includes, since newserver.h needs it on some systems, and
every file includes that.  Remove it from files which previously included it,
since includes.h takes care of that now.
MSW 2011-10-08

Fix face issue with artifacts, eg gems.
Nicolas Weeger 2011-09-24

Fix account-related potential crashes.
Nicolas Weeger 2011-09-12

Remove curl/types.h include, which is obsolete.
Nicolas Weeger 2011-09-10

Enable server to listen to IPV6 ports, as well as IPV4.
Maurice Massar 2011-09-10

Relax check for valid listening ports to allow 1..65535.
Andreas Kirschbaum 2011-09-08

Fix experience for cure disease going to invalid skill (lockpicking for instance).
Nicolas Weeger 2011-08-14

Fix crash when a spellbook a player is reading gets identified, merges and
thus changes.
Nicolas Weeger 2011-08-13

Enable altars to have a special animation when there is a god intervention.
Nicolas Weeger 2011-08-11

Inform player of changes in wc, ac and speed.
Nicolas Weeger 2011-08-07

Update character speed and other attributes when consuming items from
inventory.
Andreas Kirschbaum 2011-08-05

Correctly display changes due to 'bless' spell. Add spell expiry.
Nicolas Weeger 2011-08-04

Implement "blessed 1" for TREASURE items: such items never create bad or
cursed items (GT_ONLY_GOOD).
Andreas Kirschbaum 2011-08-04

Add potion of 'testing monsters', casting probe.
Add recipe for it.
Both patches courtesy Khaleh.
Nicolas Weeger 2011-07-30

Give the alchemy level to generated potions. Fix documentation.
Nicolas Weeger 2011-07-30

Remove socket_info.nconn which gets invalid in some cases.
Nicolas Weeger 2011-07-24

Add protocol to send quest updates to client.
Add optional face to quests.
Nicolas Weeger 2011-07-23

Make container's contents browsable like the ground view.
Nicolas Weeger 2011-07-10

Randomize chests in random maps.
Nicolas Weeger 2011-07-08

Make immunity reduce symptoms when not totally immune.
This enables partial disease resistances.
Nicolas Weeger 2011-07-08

Display recipes a player knows that can use an item when examining it.
Nicolas Weeger 2011-07-08

Tentative fix for bug #3349111: invidious server crash.
Don't decrease socket_info.nconns if the socket is not available.
In some cases nconns gets decreased too much, which leads to issues.
The real fix would be to figure why there is a double decrease...
Nicolas Weeger 2011-07-05

Forbid un-locking items not in direct player's inventory.
Nicolas Weeger 2011-07-05

Tentative fix for bug #3349111: invidious server crash.
Do not destroy init_socket[0], instead try to reopen the listening socket.
Do not try to check its status if not valid.
Nicolas Weeger 2011-07-02

Correctly link all regions to their parent. Warn if not found.
Nicolas Weeger 2011-07-02

Remove NEW_MATERIAL_CODE support.
Nicolas Weeger 2011-06-29

Fix crash with detect monster on custom monsters.
Reference count wasn't uptodate, thus archetype would be freed.
Nicolas Weeger 2011-06-28

Rewrite picture loading logic to not be dependant on picture number
in the various bmaps and crossfire.x files.
Remove picture number in crossfire.x files.
Nicolas Weeger 2011-06-26

Remove stray spaces from outputs of applymode, bowmode, petmode, usekeys.
Andreas Kirschbaum 2011-06-25

Remove obsolete type 44 EXPERIENCE.
Nicolas Weeger 2011-06-25

Allow non weapon attacks to have animation suffixes.
Nicolas Weeger 2011-06-25

Redirect Python's stderr and stdout to the Crossfire log.
Uses technique and code from
 http://stackoverflow.com/questions/4307187/how-to-catch-python-stdout-in-c-code
Nicolas Weeger 2011-06-23

Don't open Python script file if cached.
Nicolas Weeger 2011-06-23

Do not crash due to corrupted name/password protocol packets.
Andreas Kirschbaum 2011-06-19

Send golem's hp and maxhp as part of statistics, so client can display that.
Nicolas Weeger 2011-06-12

Give access to jail's information for a region to the plugins.
Nicolas Weeger 2011-06-09

Use a specific field (wc_increase_rate, like skills) for summoning creature's
wc improvement by level.
Nicolas Weeger 2011-06-05

Fix for bug #3309792: Invidious server crash.
Don't try to send animation 0, instead clear FLAG_ANIMATE.
Set a bug face for animation 0, just in case.
Nicolas Weeger 2011-06-01

Correctly update improved weapon's weight in inventory.
Nicolas Weeger 2011-05-29

Ensure account information is stored at creation and character linking.
Nicolas Weeger 2011-05-29

Implement account password change.
Nicolas Weeger 2011-05-23

Tentative fix for bug #3127973: 'detect monster' effect badly positioned.
Nicolas Weeger 2011-05-22

Fix crash with character creation using jxclient.
Nicolas Weeger 2011-05-22

Prevent converters from creating unpaid coins.
Andreas Kirschbaum 2011-05-21

Fix Lythander's pipe not having spell it should.
Nicolas Weeger 2011-05-21

Fix god's knowledge handling always considering the god information as new.
Nicolas Weeger 2011-05-07

Allow messages from lib/messages to be stored through knowledge system.
Nicolas Weeger 2011-05-07

Improve messages (lib/messages): add relative chance, so messages can be
more frequent than others.
Nicolas Weeger 2011-05-07

Remove hard coded stat values - the stat bonuses (as well as max stat) can
be set in a file that is read at load time.  The default lib/stat_bonus
file has bonuses exactly the same as the old hard coded values (or in
case of Charisma, as close as could be done with the change).  Note:
you must do a 'make install' in the lib directory after this update,
otherwise, your server will be missing the stat bonuses and fail to run.
Automake/autoconf should automatically be run to know about the stat_bonus
file.
MSW 2011-05-01

Fix type conversion error and logic mistake resulting in really high prices
when selling items in some situations.
See the end of query_cost() in server/shop.c for more details.
This may fix bug #3163782: Inscription glitch brings 'unimaginable amount of platinum'.
Nicolas Weeger 2011-03-22

==============================================================================
Changes for 1.60.0
==============================================================================

lib/collect.pl.in: Remove default line which just generates an error when
    server starts up and doesn't do anything.
server/init.c: Update copyright date & owners that is displayed when program
   starts up.
MSW 2011-01-26

Add another flag to add_player() to have it supress harmless, but perhaps
confusing message, about swapping stats - on new clients, all stats are
set up in the client - message will still be printed for older clients.
MSW 2011-01-22

Remove metaserver1 support from server.
lib/settings: Remove settings for metaserver1, add not to update metaserver2
server/init.c, socket/metaserver.c: Remove code
MSW 2011-01-22

Don't put artifacts on active list. This fixes boots of mobility and also avoids
an [Error] in the log.
Nicolas Weeger 2011-01-08

Fix memory leak in formula code.
Nicolas Weeger 2011-01-08

Don't make 2 fountains in random maps, one is enough.
Nicolas Weeger 2011-01-08

Fix broken fountains in random maps.
Nicolas Weeger 2011-01-08

test/unit/common/check_living.c: Modify some hard coded array sizes to use
    the defined values.  Remove randomly generated input values and put those
    into arrays - the test only works with specific input values, and randomly
    generating them only works if one is using the same random number generator.
test/unit/common/check_item.c: Disable this test if not using glibc - its
    checking requires specific random number sequence - however, since many
    of the RANDOM() calls are from within libcommon, not easy to hard code
    the values.
INSTALL: Update notes on make check - only works with default values.
MSW 2010-12-26

Change the Animations structure to use New_Face* instead of indexes.
Nicolas Weeger 2010-12-05

Accept skill names with spaces (sense curse/sense magic) in addexp
command.
Andreas Kirschbaum 2010-12-04

Fix some compilers errors in CRE - 0b is non standard constant declaration,
some compilers do not like a semicolon after Q_PROPERTY declarations, and
it seemed some include files were missing.
MSW 2010-11-26

Added function to python plugin for getting the material name and materil
number of objects.  Returns python dict. (Affects cfpython_object.c and
cfpython_object_private.h)
Alestan 2010-11-25

Takes in account the magic of a cauldron when the chance of successfully
making a recipe is calculated (adds (cauldron->magic+1)/2 to the skill_level
in the calculation).
Khaleh 2010-11-24

Allow cost_string_from_value() callers to specify maximum coin to use.
This enables the guild script to display the account balance with amberium
instead of platinum, while leaving shops in platinum.
Nicolas Weeger 2010-11-22

Few shop fixes:
1) limit total paid for unpaid items to be per item, not per group -
   otherwise, player just has to sell items in smaller bunches which
   doesn't make much sense.
2) Change the minor randomization of shop values to be based on
   map reset time - in this way, values will change slightly, bug
   if you are splitting a larger group, you will get consistent values
   (and if you logout and log back in, as long as the map hasn't reset,
   will also get same value)
3) Reset value strings for sold items to cap at platinum - fixes problem
   when selling valuable items that message said you got paid in jade
   coins, when in fact you did not.
MSW 2010-11-21

Enable traps to have unlimited uses, with the 'lifesave' flag.
Nicolas Weeger 2010-11-20

Automatically attempt to lockpick doors when not running.
This apparently doesn't alter readied spell or such, so should be ok.
Nicolas Weeger 2010-11-20

Fix bug 3028405 - Too high bargaining experience when selling containers -
due to variations in shop pricing (probably another bug), it can sometimes be
the case that bargaining skill results in a higher price (by 1 sp) - I think
this might just be a rounding error - however, since the value being used
was unsigned, this overflowed into high value, meaning high exp.  Change
that to unsigned, and now no overflow and not lots of exp.
MSW 2010-11-19

Add code to have identified objects merge together with like objects.
identify() modified to return object, which may be merged object.
examine() modified to stop processing once it does a skill ident
on an item, since the pointer is has may now be invalid.
MSW 2010-11-18

Add ability for server to provide choice of starting items for new -
characters - add support for sending that data and receiving and validating
the responses.  Add DRAGON_FOCUS type which changes the dragon focus.
----
common/arch.c: Update type checking.  Remove check for < 0 - since
    unsigned value is passed in, that will never happen.
doc/Developers/protocol: Add information about choice handling.
include/define.h: Add dragon_focus type.
server/ob_types.c: Add call to init_type_dragon_focus()
socket/requestinfo.c: Include choice options in race/class information
   we send to client.
socket/request.c: Add handling of item choices during character creation.
types/Makefile.am, types/dragon_focus/dragon_focus.c: Add code to
    handle applying dragon focus object.
MSW 2010-11-14

Tentative fix fox unability to create characters with some clients.
Nicolas Weeger 2010-11-14

Correctly copy initial map information when using advanced character creation.
This ensures that if a player dies she'll come back to the initial spot
instead of the hall of selection.
Fix for bug #3108219: Wrong map upon player death.
Nicolas Weeger 2010-11-14

Make skill tools be picked up by the 'magical device' category.
This implements part of feature request #3094026: auto-pickup option for
lockpick/flint&steel/torch archetypes
Nicolas Weeger 2010-11-14

Adjust alchemy success chance to not depend on the ingredients,
but only the recipe difficulty as defined in lib/formulae and the skill.
Nicolas Weeger 2010-11-07

Adjust alchemy danger computation: remove name length, but take into
account weight and cursed or damned item status.
Nicolas Weeger 2010-11-07

Have singing honor the 'no_mood_change' flag.
Nicolas Weeger 2010-11-06

Partial fix for #3093752: Too hard to get experience in oratory (part 3).
Allow orating to monsters with a message (why not?). This also
enables to orate to monsters on signs.
While we're at it, honor the 'no_mood_change' flag for oratory.
Nicolas Weeger 2010-11-06

Partial fix for #3093752: Too hard to get experience in oratory (part 2).
Set monster's skill to oratory (in this case) so experience for killing
something goes there.
Nicolas Weeger 2010-11-06

Partial fix for #3093752: Too hard to get experience in oratory (part 1).
Compute skill exp before setting monster's exp to 0.
Nicolas Weeger 2010-11-06

Fix broken magic map spell for "small" maps.
Nicolas Weeger 2010-11-06

Integrate some lore from the wiki to the messages file.
Nicolas Weeger 2010-11-06

Fix possibility of arithmetic overflow in the function buf_overflow().
Arvid Norlander 2010-10-25

Enable Python 2.7 to be used. Prefer 3.1 over 3.0.
Arvid Norlander 2010-10-24

Remove 'Fontindex' type and use 'uint16', for coherence.
Nicolas Weeger 2010-10-24

server/player.c: Bug fix for new character creation - give racial items
   before applying class so special racial faces stick.
MSW 2010-10-23

Update for advanced (in game) character creation:
common/init.c: Add check for new subtype for finding first map.
doc/Developers/protocol: Fix formatting, add starting map information.
include/shared/newclient.h: Add types for map requestinfo data.
include/map.h: Add new map subtypes.
include/player.h: Add new ADD_PLAYER_... values for add_player()
include/sockproto.h: updated
include/sproto.h: updated
server/player.c: Change add_player() to have second parameter be a
   bitmask value and not true/false.  Add apply_race_and_class().
server/apply.c: Reformat apply_changes_to_player() and have it take new
    parameter which determines if class stat bonus can exceed racial maximum.
socket/loop.c: Handle startingmap requestinfo requrest.
socket/lowlevel.c: Add SockList_AddLen16Data() for cases were we want
    to send a length prefixed block of data that is >255 bytes long.
socket/request.c: Update for loginmethod 2.  Update decode_name_password()
    to support passing length of data back to server via parameter.  Handle
    new character creation data from client.
socket/requestinfo.c: Add command to send choice of starting maps
   to the client.
types/player_changer/player_changer.c: Add new parameter to call of
   apply_changes_to_player()
MSW 2010-10-20

Prevent duplicate freeing of socket_struct entries.
Andreas Kirschbaum 2010-10-18

Correctly enable plugins to handle THROW and STOP events for projectiles.
Nicolas Weeger 2010-10-10

Change from using memory.h to using string.h, include memory.h as well
but make use of the check for it we already have in configure... That
header shouldn't be needed, but who knows... Also Update the output of
the -o flag to be more relevant...
Arvid Norlander 2010-10-10

Fix incorrect check in test/bugs/bugtrack/check_2879249.c.
Arvid Norlander 2010-10-10

Fix bug that caused server to sometimes crash on account login.
Arvid Norlander 2010-10-10

Give access to 'cost_string_from_value' to the Python plugin.
Nicolas Weeger 2010-10-10

Use all coin types when displaying prices.
Nicolas Weeger 2010-10-10

Do not make symbols globally visible by default on *nix (when supported),
on Windows this is always the case. To prevent hidden errors (since most
developers seem to test on *nix), use -fvisibility=hidden when GCC is used
and make the MODULEAPI and CF_PLUGIN macros use __attribute__ to mark those
as visible. This will not break on any compiler not supporting this, but will
prevent future hidden errors of this type.
A further advantage with this is that it reduces risk of symbol name collision
between various dynamic objects.
Arvid Norlander 2010-10-09

Add missing CF_PLUGIN in cflogger. This would only fail on Windows since by
default on *nix, all symbols are exported. Thus this error went unnoticed
until I tried with -fvisibility=hidden and setting the MODULEAPI and CF_PLUGIN
macros use __attribute__((visibility("default"))...
Arvid Norlander 2010-10-09

Fix some serious compiler warnings (missing declaration of function, fixed by
adding an #include; wrong type for argument to snprintf, fixed by changing to
use the proper variable) in the test suites.
Arvid Norlander 2010-10-08

Fix case where a size_t* and an int* were confused. On my system that
resulted in rare data corruption sometimes when the function in question
was called.
Arvid Norlander 2010-10-08

Fix format string used to include pid in temporary filenames. It was
%hx (short) but in reality pids are these days 32-bit. Change to %x and
cast the parameter to unsignd int.
Arvid Norlander 2010-10-08

Add missing -I in utils/Makefile.am, otherwise mapper.c doesn't find
global.h.
Arvid Norlander 2010-10-06

Don't crash when there is a mood floor with speed in a container.
Fix for bug #3079991: server crash from bad map object.
Nicolas Weeger 2010-10-03

Discard items of type PLAYER during map loading.
Fix for bug #3079997: server crash from misc type object in a petshop.
Nicolas Weeger 2010-10-03

New pickup type, 'container'.
Partial fix for bug #3075860: Auto-pickup fails to pickup certain items.
Nicolas Weeger 2010-10-02

Use 'magic devices' for weapon and armour improvers during pickup.
Partial fix for bug #3075860: Auto-pickup fails to pickup certain items.
Nicolas Weeger 2010-10-02

Extend 'reset' to enable to reset unique player maps and unique squares in maps.
Nicolas Weeger 2010-09-29

Fix bug #1811411: Ground view is not correctly updated.
Correctly send face and name information when there is a player on an item
that is being identified.
Nicolas Weeger 2010-09-26

Simplify door-opening with keys for player, bypassing hit_player().
This should partly fix bug #1811331: discrete damage bug.
Nicolas Weeger 2010-09-26

Fix bug #2072850: Inconsistent limits for damage stat.
Nicolas Weeger 2010-09-26

Tentative fix for bug #2020224: buggy(?) crafting yields.
Don't call again attempt_recipe(), as that would give again artifact properties
to the item. Instead, use the item in the cauldron.
Nicolas Weeger 2010-09-26

Partial fix for bug #3075860: Auto-pickup fails to pickup certain items.
Correctly pick weapons.
Nicolas Weeger 2010-09-26

Fix bug #2938887: problem with casting unknown spell.
Change the display logic, don't show all spells when no matching spell.
Nicolas Weeger 2010-09-26

Directors should not move doors.
This fixes bug #3059451: force (smover) throws doors off hinges.
Nicolas Weeger 2010-09-21

Ignore 'FLAG_OBJ_ORIGINAL' for merging purposes. This fixes a merging bug with
unique maps.
Nicolas Weeger 2010-09-12

Fix broken DM 'follow' command.
Nicolas Weeger 2010-09-12

Add unit test exposing a weight reduction issue with containers.
Fix said weight reduction bug.
Nicolas Weeger 2010-09-11

Fix fishing rod not being correctly applied with ready_skill.
This fixes the second part of bug #3060474.
Nicolas Weeger 2010-09-08

Fix do_harvest() not checking if player can actually carry what is harvested.
This fixes bug #3060474: fishing puts more fishes into inventory than you can carry.
Nicolas Weeger 2010-09-08

Fix examine_monster() to handle critically hit cases.
Nicolas Weeger 2010-09-08

Unit tests: correctly initialise the config dir (for experience and such).
Nicolas Weeger 2010-09-06

CRE: fix item's chance in treasure display. Show % and chance out of total.
Nicolas Weeger 2010-09-04

CRE: extract various things to 'ResourcesManager'.
This gets back archetypes and treasure sorting, without messing the
treasure list's ordering.
Nicolas Weeger 2010-09-04

Add key_value 'no_mood_change' that when set to 1 on a monster
prevents spells like charm or pacify to have any effect.
Nicolas Weeger 2010-09-04

Don't join party again at startup if formed automatically.
This leads to party removal, and memory corruption.
Nicolas Weeger 2010-09-02

Fix bug #3055569: godenchanting is still buggy.
The enchanting code was bypassing attacktypes if weapon was already enchanted.
Also fix wrong name check.
Nicolas Weeger 2010-09-02

Fix Python Object.Say to automatically use the dialog system if in a dialog context.
This makes the object talk after the player, like expected, without
needing to change all scripts.
Also, 'Say' is almost always used in reply to something said,
so it makes sense.
Nicolas Weeger 2010-09-02

Fix broken Python Object.Take (inverted parameters).
Nicolas Weeger 2010-09-02

server/player.c: Move clearing of monitor_spells to initial socket allocation.
Fixes bug where spell updates would cease if player used a savebed and
then played again on same server.
MSW 2010-08-30

Tentative fix for bug #3054686: unarmed combat xp goes to sorcery by default.
When checking for chosen_skill, talismans were taking into account, which
is a mistake.
Nicolas Weeger 2010-08-29

Fix broken special foods. Duration wasn't updated as needed, making
the force expire immediately.
Nicolas Weeger 2010-08-28

Fix jumping skill: now jumping into a monster or player attacks it.
Andreas Kirschbaum 2010-08-26

Check head parts of multi-part objects when using the skills jumping, singing, or oratory.
Andreas Kirschbaum 2010-08-26

Fix possible crash using the singing skill.
neodeno 2010-08-26

Remove new lines in town portal messages.
Nicolas Weeger 2010-08-16

Fix container-related crash, when a plugin removes the container or equivalent.
Nicolas Weeger 2010-08-16

server/c_range.c:
Fix missing assignment of spell in player object - only results in crashes if
casting time is used.
MSW 2010-08-14

Fix wrong attack roll adjust for player in the dark with xray.
Nicolas Weeger 2010-08-14

Wrap player state change to a function.
Nicolas Weeger 2010-08-14

Correctly inform player of lost overall level at death.
Nicolas Weeger 2010-08-14

Make Python's Object.Anim a String in both read and write.
Raise an error if invalid animation is set.
Nicolas Weeger 2010-08-14

Make Python's Object.Face a String in both read and write.
Raise an error if invalid face is set.
Nicolas Weeger 2010-08-14

Fix accidentally broke 'tell' command.
Nicolas Weeger 2010-08-10

Fix broken 'curse' spell.
Nicolas Weeger 2010-08-08

Merge split lines in artifacts messages.
Nicolas Weeger 2010-08-08

Don't change decor's move_block in random maps, this messes item merging.
Nicolas Weeger 2010-08-07

Fix mover-related crash if in an inventory.
Nicolas Weeger 2010-08-07

Change plugin hooks prototype, don't return anything. Make functions static.
Nicolas Weeger 2010-08-07

Change event listener prototype for plugins to return int instead of void*.
Nicolas Weeger 2010-08-07

Remove unused 'command_' return values. Change function prototype to make
'params' const. Fix some const discarding.
Nicolas Weeger 2010-08-05

Make some DM functions static. Move 'command_dumpbelow' to c_wiz.c.
Nicolas Weeger 2010-08-05

Remove old 'ring_desc' function.
Nicolas Weeger 2010-08-05

Don't send the view when dropping items, that makes appear an opened
container was closed.
Nicolas Weeger 2010-08-04

Don't switch to golem mode if summon failed.
Nicolas Weeger 2010-08-04

CRE: tool to create base for smoothed face from a face.
Nicolas Weeger 2010-08-02

Fix bug #2546538: odd rune spell behavior.
Don't check grace cost against player's grace if no grace cost.
Nicolas Weeger 2010-08-01

Don't display attenuation or repell if denied.
Fixes part of #2941923: 11 bugs, alchemy, spell attunement, npc shops, client (WIN).
Nicolas Weeger 2010-08-01

Fix bug #3018536: duplication of items in containers.
Correctly free the removed item's inventory.
Also fix invalid carrying field.
Nicolas Weeger 2010-08-01

Remove deprecated function.
Nicolas Weeger 2010-08-01

Fix knowledge for recipes not displaying the required cauldron.
Nicolas Weeger 2010-08-01

CRE: correctly display artifacts that can be made via alchemy.
Nicolas Weeger 2010-08-01

Fix lighter message containing 'NULL'.
Nicolas Weeger 2010-08-01

Fix a unit test.
Nicolas Weeger 2010-08-01

CRE: add a 'spell table' report.
Nicolas Weeger 2010-07-29

Replace some calls to describe_item() with the StringBuffer version.
Nicolas Weeger 2010-07-29

Rewrite 'describe_item' to use StringBuffer.
Nicolas Weeger 2010-07-29

Rewrite 'describe_resistance' to use StringBuffer.
Nicolas Weeger 2010-07-29

Changes related to new character creation code - add new settings value
which determine stat ranges, split out the requestinfo replies to its
own file (request.c was getting a bit large), add handling for 'newcharinfo'
requestinfo, document this in the protocol file.  NOTE: you will need to
re-run automake & configure to pick up the new source file.
---
common/init.c: Initialize new fields in setting structure to default values.
doc/Developers/protocol: Add documentation on newcharinfo
include/global.h: Add new fields in settings structure for starting stat info.
lib/settings: Add new starting stat values to file.
server/init.c: Add logic to load new settings value from file.
server/player.c: Remove hard coded value, change to use settings value.
socket/Makefile.am: Add requestinfo.c file
socket/loop.c: Add callback for newcharinfo requestinfo.
socket/request.c, requestinfo.c: Move requestinfo handling to its own file,
   and new function for newcharinfo handling.
---
MSW 2010-07-28

Rewrite 'describe_monster' to use StringBuffer.
Nicolas Weeger 2010-07-28

Rewrite 'ring_desc' to use StringBuffer.
Nicolas Weeger 2010-07-28

Remove unused variable. Document.
Nicolas Weeger 2010-07-28

Remove static variable.
Nicolas Weeger 2010-07-28

Remove commented out code.
Nicolas Weeger 2010-07-28

Remove global variables.
Nicolas Weeger 2010-07-28

Fix documentation.
Nicolas Weeger 2010-07-28

Explicit why the 'accounts' file can't be opened, to help debug.
Nicolas Weeger 2010-07-28

Abort at startup if a creature one can summon has no move_type defined.
Add a redundant check for move_type 0 when summoning, set it to walk
in this case. This is a fix enforcer for bug #2791003.
Nicolas Weeger 2010-07-26

For the throwing skill, prefer items with 'is_thrown'.
This makes the player throw eg throwing daggers before other items.
Nicolas Weeger 2010-07-23

CRE: alchemy recipes report.
Nicolas Weeger 2010-07-21

CRE: display if artifacts can be generated through alchemy.
Nicolas Weeger 2010-07-21

Correctly generate readable of specified type if set.
This fixes a bug in Scorn (and elsewhere) library where
you could have alchemy recipes in the god section.
Nicolas Weeger 2010-07-19

CRE: bullet-like spells damage and cost report, praying only.
Nicolas Weeger 2010-07-18

CRE: add 'damage' to object wrapper.
Nicolas Weeger 2010-07-18

CRE: disable tree sorting for resource window, as that prevents reading
the treasure lists correctly.
Nicolas Weeger 2010-07-18

Add 'knowledge search <text>' to filter knowledge.
Nicolas Weeger 2010-07-14

Remove unused parameters.
Nicolas Weeger 2010-07-14

Don't display in summary functions, but in higher level.
Nicolas Weeger 2010-07-14

Don't display in detail functions, but in higher level.
Nicolas Weeger 2010-07-14

Enable knowledge filter, with additional parameter to 'knowledge list'.
Nicolas Weeger 2010-07-14

CRE: fix displayed alchemy formulae count.
Nicolas Weeger 2010-07-10

CRE: parse race-specific maps if they exist.
Nicolas Weeger 2010-07-05

Abort() on empty archetype name.
Nicolas Weeger 2010-07-05

Extract some code from enter_exit().
 server/server.c
Nicolas Weeger 2010-06-26

Add item type validity check when loading something.
Nicolas Weeger 2010-06-26

CRE: take 'npctoken' and 'setnpctoken' into account for message display.
Nicolas Weeger 2010-06-23

CRE: display actual item values for artifacts, as suggested by Leaf.
Nicolas Weeger 2010-06-20

CRE: add 'exit' command, add status bar tips to menu commands.
Nicolas Weeger 2010-06-20

CRE: read comments from quest pre/post scripts, to display in the dropdown list.
Nicolas Weeger 2010-06-19

Add 'purge_quests' DM command to unload quest definition.
Useful when modifying quest files, to avoid restarting server.
Nicolas Weeger 2010-06-19

Remove unused variables.
Nicolas Weeger 2010-06-19

CRE: message rule duplication.
Nicolas Weeger 2010-06-19

Correctly mark quests as completed during state loading.
Nicolas Weeger 2010-06-19

Remove cf_darcap plugin, as everything is now done through Python scripts
and the quest system.
Nicolas Weeger 2010-06-19

CRE: enable step reordering.
Nicolas Weeger 2010-06-19

Fix suspicious (and duplicate) artifact change. Update documentation.
 common/artifact.h
 lib/artifacts
Nicolas Weeger 2010-06-13

CRE: display artifact values, as a dump for now.
Nicolas Weeger 2010-06-13

CRE: word wrap for messages.
Nicolas Weeger 2010-06-13

CRE: quest step description is multiline too, for edition.
Nicolas Weeger 2010-06-13

CRE: redesign the quest steps panel, to have inplace edition.
This gives a better overview of the steps.
Nicolas Weeger 2010-06-13

Make the plugin calls to player titles respect the custom titles the player
has set.
server/plugins.c, plugins/common, plugins/cfpython
Brendan Lally 2010-06-08

Expose one knowledge function to plugin.
Nicolas Weeger 2010-06-06

CRE: display alchemy's index.
Nicolas Weeger 2010-06-06

Use 'const' for parameters.
Nicolas Weeger 2010-06-06

CRE: "setwhen" basic edition support.
Nicolas Weeger 2010-06-03

CRE: read and write 'setwhen' quest support, no modification for now.
Nicolas Weeger 2010-06-03

server/quest.c, quest step conditions, used to advance quests when another
quest(s) are at the 'right' step(s)
Brendan Lally 2010-05-30

server/quest.c, #define the state numbers in the quest parsing code
Brendan Lally 2010-05-30

Use a specific message to query animation state, fix isn't enough.
Nicolas Weeger 2010-05-30

Fix crash in cfanim.
Nicolas Weeger 2010-05-30

Change log level to error for various things in cf_anim.
Nicolas Weeger 2010-05-30

New variable to cf_anim. Enable object state querying (using 'fix')
to know if an object is animated.
Nicolas Weeger 2010-05-30

CRE: don't hardcode pre and post conditions files.
Nicolas Weeger 2010-05-30

CRE: add 'npctoken' and 'setnpctoken' pre and post conditions.
Nicolas Weeger 2010-05-30

Add DM 'purge_quest_state' command to make it easy to fix quest state
through manual file editing without restarting server.
Nicolas Weeger 2010-05-30

CRE: enable message rule reordering.
Nicolas Weeger 2010-05-30

CRE: expand resource tree if only one item.
Nicolas Weeger 2010-05-29

CRE: enable new message file creation.
Nicolas Weeger 2010-05-29

CRE: enable message rule addition or removal.
Nicolas Weeger 2010-05-29

Fix CRE crash when not enough reply data.
Nicolas Weeger 2010-05-29

Disable cf_darcap's plugin handleDeath function, replaced by a Python script.
Nicolas Weeger 2010-05-29

Expose 'Map.InsertAround' to Python.
Nicolas Weeger 2010-05-29

Remove unused "oldmessage" parameter from draw_ext_info, draw_ext_info_format,
  ext_info_map, ext_info_map_except, and ext_info_map_except2 functions and
  calls.
Kevin Bulgrien 2010-05-28

Fix socket/info.c::draw_ext_message() comments to be more informative and to
  update them to more completely describe current behavior.
Remove the socket/info.c::draw_ext_message() socket/info.c::print_message()
  call to fix bug 2984255 and to remove inappropriate log file clutter.
Remove socket/info.c::print_message() as LOG() is the proper method of logging
  messages.  It is obvious that the function has been modified from its
  original implementation as it expects a player pointer but does not use it.
  The only function that called it was draw_ext_info(), and it only did so
  when the player pointer was NULL or when a player's contr pointer was NULL.
  It appears that print_message() used to be a mechanism by which an old
  client could get simple messages without any formatting (based on out-dated
  comments in draw_ext_info()'s header), but that functionality is long gone.
Note:  draw_ext_info()'s oldmessage parameter is completely useless, unused,
  and should be set to NULL.  Really it should be removed and all calls to
  draw_ext_info() cleaned up likewise.
Kevin Bulgrien 2010-05-27

Quest parent edition in CRE.
Nicolas Weeger 2010-05-26

Permit Quests to define parents, display only parent quests in the quest
lists and fold child quests into the parent's description. The same
behaviour is used for the quest summary with the -mq flag
 server/quest.c
Brendan Lally 2010-05-25

Display warning if an animation only has one face.
Nicolas Weeger 2010-05-24

Support for building utils/mapper.c as crossfire-mapper.  The utility is not
built by default as it requires libgd (not normally required by the server).
crossfire-mapper is not needed to run a server, but it is useful for making
crossfire world maps for publishing via web server.  To build this utility,
specify --enable-mapper when running ./configure.
Kevin Bulgrien 2010-05-24

Add missing function prototypes. Use 'const' where possible.
Nicolas Weeger 2010-05-23

Speed up compilation with precompiled headers.
Nicolas Weeger 2010-05-22

Reply edition panel.
Nicolas Weeger 2010-05-22

Fix various crashes.
Nicolas Weeger 2010-05-22

'pre' and 'post' conditions edition.
Nicolas Weeger 2010-05-22

Extract widget, enable 'message' edition.
Nicolas Weeger 2010-05-22

Preliminary rule edition ("match" only for now). Rule file saving support.
Nicolas Weeger 2010-05-22

Downcast type, remove const, which apparently cause issues.
Nicolas Weeger 2010-05-21

Update help text for filters.
Nicolas Weeger 2010-05-21

Don't display an empty menu on right click.
Nicolas Weeger 2010-05-19

Add Race to the set of things that can be filtered on in CRE
Brendan Lally 2010-05-19

Implement requestinfo for race_info and class_info.  Note there is a bug with
the archetypes in that many archetypes have type==37 (CLASS) which are not
actually class descriptors.
socket/request.c: New functions to send class/race information.
doc/Developers/protocol: Update document for format of race/class_info
  requestinfo.
MSW 2010-05-18

Improve quest edition, now can add or remove steps. Can add new quests.
Nicolas Weeger 2010-05-16

Indicate quest end steps. Enable edition of the 'can restart?' flag.
Nicolas Weeger 2010-05-16

Remove unused class.
Nicolas Weeger 2010-05-16

Fix crash if wanting to start an unknown quest.
Nicolas Weeger 2010-05-16

Highlight rules when the same token.
Nicolas Weeger 2010-05-15

Preliminary message file (.msg) support. No edition yet.
Nicolas Weeger 2010-05-15

Update the tree if the quest code changes. Enables quest step edition.
Nicolas Weeger 2010-05-15

Quest edition, not complete but some fields already.
Nicolas Weeger 2010-05-15

Show existing quests, and their various steps.
Nicolas Weeger 2010-05-15

Fix typedef definition issue when building CRE.
Nicolas Weeger 2010-05-15

Make various pointers const.
Nicolas Weeger 2010-05-15

Correctly initialize variable. Make pointers const.
Nicolas Weeger 2010-05-15

Clean code.
Nicolas Weeger 2010-05-13

Correctly initialize variables.
Nicolas Weeger 2010-05-13

Make buffer bigger to avoid truncation, warn if still truncation.
Nicolas Weeger 2010-05-13

Remove unused code.
Nicolas Weeger 2010-05-09

Make variables 'const'.
Nicolas Weeger 2010-05-09

Expose rt_xxx to Python scripts through 'Crossfire.ReplyType'.
Nicolas Weeger 2010-05-08

Add 'rt_say', give explicit values. Extract texts to function.
Nicolas Weeger 2010-05-08

Add Crossfire.AddReply, Crossfire.SetPlayerMessage and Crossfire.NPCSay wrappers
to the Python plugin.
Nicolas Weeger 2010-05-08

Transmit talk information to plugins. Make a specific "say" plugin command.
Nicolas Weeger 2010-05-08

Keep NPC messages only, in case NPCs are removed during the dialog.
Nicolas Weeger 2010-05-08

Extract talk_info to dialog.h. Use sstring for various messages.
Nicolas Weeger 2010-05-08

Update Man Page
Brendan Lally 2010-05-07

Add -mq as a command line option to dump a list of the quests that the
server recognises.
Brendan Lally 2010-05-07

Improve dialog system. Use "You" for the player saying something.
Don't send multiple texts when @reply is used in dialogs.
Nicolas Weeger 2010-05-06

Include -mexp as one of the command line options listed in the help text.
Brendan Lally 2010-05-06

Doxygen fixes.
Nicolas Weeger 2010-05-06

Make parameters and return values const when applicable.
Nicolas Weeger 2010-05-06

Extract artifact functions to their own file.
Nicolas Weeger 2010-05-06

Don't send warnings on the server log from the DM's 'create' command.
Nicolas Weeger 2010-05-06

Make proto.
Nicolas Weeger 2010-05-06

ANSI C89 fix.
 server/quest.c
Nicolas Weeger 2010-05-04

server/player.c: don't switch to account mode if no account name (else segfault).
This could happen if the client sends the setup command but starts playing without
actually logging in.
Nicolas Weeger 2010-05-01

Enforce 2 characters minimum for account passwords, else accounts with 1
character can't create new characters. Some code cleaning.
 socket/request.c
Nicolas Weeger 2010-05-01

server/account_char.c: Modify to use the map name, not path for character
    listing if that data is available - gives nicer output.
socket/request.c: Add numeric face number for character information, add
    standard handling to send face number to client before use.
test/unit/common/check_living.c: Minor change to make it C89 compliant.
MSW 2010-04-26

server/quest.c: Allow quest definition files to 'include' other quest definition
files. Make the error messages from the quest file parsing code more
explicit to make tracking down errors easier. Add quest_get_by_code() which
quest_get() now acts as a wrapper to, so that error messages can be given if
a quest is defined multiple times.
Change the default quest file to world.quests so that old servers will still
work properly (but without the new syntax)
Brendan Lally 2010-04-26

Clear hp fixing code.
Nicolas Weeger 2010-04-26

Clean player grace fixing code.
Nicolas Weeger 2010-04-26

Clean player sp fixing code.
Nicolas Weeger 2010-04-26

Extract part of fix_object() to fix_player(), to make the function more manageable.
Nicolas Weeger 2010-04-26

Rename POTION_EFFECT to POTION_RESIST_EFFECT to better describe what it is.
Nicolas Weeger 2010-04-26

Warn players of the end of resistance effects.
Nicolas Weeger 2010-04-26

Some unit tests for fix_object().
Nicolas Weeger 2010-04-26

server/skills.c, server/c_object.c, include/sproto.h: Make the 'examine'
command id of objects.
* Move the detect curse and detect magic logic out into separate functions
* Make the id skills use the item types array to figure out which objects
   they should identify
* For any object which is examined, use the player's skills to attempt to
   detect magic, sense curse and then perform a skill-based id of objects.
Brendan Lally 2010-04-26

==============================================================================
Changes for 1.50.0
==============================================================================

server/attack.c: Don't make doors (or other objects) harder to hit because
   they lack a move type.  Remove unused variable.
MSW 2010-04-25

Fix a missing whitespace issue that makes books read like "which gives the
recipientImmunity to magic".
Kevin Bulgrien 2010-04-25

Add ability to send face number (instead of name) - add new definition
to newclient.h, update protocol doc.  First commit is so shared newclient.h
file can get used.
Files affected: include/shared/newclient.h doc/Developers/protocol
MSW 2010-04-24

Replace [NULL] from response to command-line `crossfire-server -v` with the
same text that is sent back to a client when it requests server version.
Make `crossfire-server -help` information for -v more accurate to current
function.
Kevin Bulgrien 2010-04-24

CRE: expose 'item' as an Object instead of an Archetype to scripting engine.
Makes things much easier.
Nicolas Weeger 2010-04-22

CRE: ac and wc as properties for objects.
Nicolas Weeger 2010-04-22

random_maps/treasure.c
- Make sure random map dungeon level numbers on signs and keys match up and
  make sense.  This is an off-by-one issue.
include/map.h
- Change mapstruct members enter_x and enter_y to sint16 since it appears that
  most other server code uses sint16 types for map coordinates, and the change
  results in dropping some -Wconversion warnings.  Use of -1,-1 in an exit is
  now the way to mark it the defaults set in the map are used without having
  to set them in the exit.  It may be odd to have -1,-1 in a map (mapstruct),
  but it still seems better to have type consistency.  Also fix up the broken
  doxygen comment on these items, and add some content detail.
Kevin Bulgrien 2010-04-21

Simplify code.
Nicolas Weeger 2010-04-21

CRE: export attack types values to scripting.
Nicolas Weeger 2010-04-18

CRE: export object's attacktype to scripting.
Nicolas Weeger 2010-04-18

CRE: display items count, and if filtered total count.
Nicolas Weeger 2010-04-18

Fix unit test for accounts when tmp files are still around.
Nicolas Weeger 2010-04-18

Fix invalid attack roll handling in easy cases.
Nicolas Weeger 2010-04-18

CRE: export some properties for formulae.
Nicolas Weeger 2010-04-18

CRE: set a better progress caption.
Nicolas Weeger 2010-04-17

CRE: show report generation progress, enable cancelling.
Nicolas Weeger 2010-04-17

CRE: button to copy report contents to clipboard.
Nicolas Weeger 2010-04-17

CRE: expose maps to report interfaces.
Nicolas Weeger 2010-04-17

CRE: keep map level while we're at it.
Nicolas Weeger 2010-04-17

CRE: expand maps node if only maps, resize columns to meaningful size.
Nicolas Weeger 2010-04-17

CRE: display an empty panel by default, to force a decent size.
Nicolas Weeger 2010-04-17

CRE: display item property in treasure panel.
Nicolas Weeger 2010-04-16

CRE: report definition is now managed like filters.
Add quick item filter.
Nicolas Weeger 2010-04-16

CRE: wrap object name and experience.
Nicolas Weeger 2010-04-16

CRE: change disposition for resource window.
Nicolas Weeger 2010-04-15

CRE: display region information when one is selected.
Nicolas Weeger 2010-04-15

CRE: experience display.
Nicolas Weeger 2010-04-15

CRE: load data in the thread, no need to freeze everything.
Nicolas Weeger 2010-04-14

CRE: display map name, and exits to and from.
Nicolas Weeger 2010-04-14

CRE improvements. Keep region information for maps.
Display map list by region, with map experience.
Nicolas Weeger 2010-04-14

Fix for bug 2985631 - can not create a new character if you have a long
account password.  Simple solution is to just truncat password.
MSW 2010-04-11

Add some minimal new character support.  Work in progress, but added code
that at least hands off the username/password to server.
---
doc/Developers/protocol: Add some docs on createplayer protocol command.
include/sockproto.h, include/sproto.h: Update with new functions.
server/login.c: Add code to update account for new characters.
server/player.c: Make set_first_map() non static.  Change add_player()
  to take second argument and return the newly created player object.
  Fix roll_again() output to use <> instead of [], since later are
  markup commands.
socket/loop.c: Add callback for createplayer protocol command.
socket/request.c: Add create_player_cmd().  Update add_player to take
   second argument.
types/savebed/savebed.c: Add warning message and prevent player from
   saving if they have 0 exp and the character won't be saved.
   Otherwise, it seems to work but does nothing.
---
MSW 2010-04-07

Keep rough monster experience for maps. Dump region experience after parsing.
 utils/cre/CREMapInformation.{h,cpp} CREMapInformationManager.{cpp,h}
Nicolas Weeger 2010-04-07

Don't send pickup information if not explicitely asked for.
 server/c_object.c
Nicolas Weeger 2010-04-07

Fix potential crash when changing class.
 plugins/cflogger/cflogger.c
Nicolas Weeger 2010-04-07

Fix crash if 'add_me' was sent multiple times.
 socket/request.c
Nicolas Weeger 2010-04-07

Commit account management code.  Seems mature enough for general use - probably
a few bugs.  What this adds is an account that characters use to log in,
at which point they then choose what character they want to play.
---
doc/Developers/protocol: Fix some formatting, clarify some points, make
    some revisions to account protocol commands.
include/account_char.h: Move MAX_CHARACTERS_PER_ACCOUNT to this
    file so other files to access it.
include/newserver.h: Add login_method to socket structure.
include/sockproto.h: Update for new functions.
include/sproto.h: Update for new functions.
lib/Makefile.am: Have it make account directory if it does not exist.
server/account.c: Fix bug related to loading when only 1 character
    is associated with account.  Change account_exists() to return
    proper name of account.  Clean up some function declarations
    and bugs.  Add some new functions to get character/account
    data.
server/account_char.c: Fix typo and minor errors in error message.
server/c_misc.c: Update check_login() for 2 params
server/init.c: Add call to load account information.
server/login.c: Save account information.  Modify check_login() for
    account logins which bypass password checking.
server/player.c: Make get_player() non static.  Add enhancements
   for new login code in play again.
socket/init.c: initialize login_method to 0.
socket/loop.c: Add new protocol commands with callbacks.
socket/request.c: Add loginmethod setup command.  Add several new functions
    to handle account management functionality.
test/unit/server/check_account.c: Update for new return semantics for
	account_exists()
---
MSW 2010-04-06

Add more extended statistics information: applied stats. These allow
clients to distinguish between depleted stats and stat changes due to gear
or skills.
Andreas Kirschbaum 2010-04-03

socket/request.c
- Fix segfault when client requests spellmon 2.
Kevin Bulgrien 2010-04-02

socket/init.c
- Remove duplicate initializer.
Kevin Bulgrien 2010-04-01

Fix invalid function call. Add function prototypes.
 plugins/cfpython/cfpython_object.c
 plugins/common/include/plugin_common.h
Nicolas Weeger 2010-04-01

include/shared/newclient.h
- Rename the confusing MSG_TYPE_DIALOG_MAGIC_MOUTH to
  MSG_TYPE_DIALOG_MAGIC_EAR since only magic ears are MSG_TYPE_DIALOG.
- Add a new MSG_TYPE_SIGN subtype of MSG_TYPE_SIGN_MAGIC_MOUTH since magic
  mouths are distinctly different from all other signs, and this might mean a
  client might want to handle their messages uniquely.
server/monster.c
- Rename MSG_TYPE_DIALOG_MAGIC_MOUTH to MSG_TYPE_DIALOG_MAGIC_EAR to match up
  with newclient.h changes.
common/readable.c
- Add a new MSG_TYPE_SIGN subtype MSG_TYPE_SIGN_MAGIC_MOUTH in conjunction
  with changes made to newclient.h.
Kevin Bulgrien 2010-03-30

- Commit some edits made in conjunction with wiki edits a while back:
- Sort the normal commands alphabetically.
- Move gsay to the communications command list.
- Move printlos out of the communications command list to the normal list.
- Move cointoss and orcknuckle out from among the emote commands and put them
  next to the non-emotion commands in the communications commands group.  They
  still do not seem to be communication commands, but that's where they were
  already and I don't feel like debating it at the moment.
Kevin Bulgrien 2010-03-29

- Add extra detail to the apply command help (lib/help/apply.en)
Kevin Bulgrien 2010-03-29

Add a patch written by Funnyman3595 to add Object.Split and Object.Clone to
the methods which can be used by python scripts through the plugin.
plugins/cfpython/include/cfpython_object_private.h
server/plugins.c
plugins/cfpython/cfpython_object.c
plugins/common/plugin_common.c
Brendan Lally 2010-03-30

Changes to the way the server handles quests:
Rather than a separate end_quest() function, quest steps may contain the
line 'finishes_quest' advancing to any step that contains that line finishes
the quest. All references to end_quest are removed.
The stage number for completed, unrestartable quests is preserved, and the
step description (called 'outcome') is shown for completed quests also.
The quest list command output is reworked, it defaults to showing the number
of completed quests, and listing the active ones, but 'quest list all' can
be used to show all of the quests whether completed or not.
plugins/cf_darcap/cf_darcap.c
plugins/common/include/plugin_common.h
plugins/common/plugin_common.c
plugins/cfpython/cfpython_object.c
plugins/cfpython/include/cfpython_object_private.h
include/plugin.h
server/quest.c
server/plugins.c
Brendan Lally 2010-03-29

Replace the numbers in the map2 command handling with some #define's
 include/shared/newclient.h
 socket/request.c
Brendan Lally 2010-03-28

Don't drop the inventory of items marked as 'no drop'
 common/object.c
Brendan Lally 2010-03-28

Massive CRE improvements.
Filters are now defined globally. Report window, to display things (will be improved soon).
Nicolas Weeger 2010-03-27

Don't list invisible items as part of the contents of chests when applied.
 types/treasure/treasure.c
Brendan Lally 2010-03-26

Town portal now has an animation instead of being immediate.
 server/spell_effect.c
Nicolas Weeger 2010-03-25

Have disappearing FLAG_IS_USED_UP items put their inventory on the ground, not on pile top.
 server/time.c
Nicolas Weeger 2010-03-25

Add new flag to object_free() to force inventory contents on the ground instead on pile top.
 common/object.c
 include/object.h
Nicolas Weeger 2010-03-25

Add '!' to pickup to toggle the mode.
 lib/help/pickup.en
 server/c_object.c
Nicolas Weeger 2010-03-25

Basic help text for filtering.
Nicolas Weeger 2010-03-25

Basic filtering on artifacts and formulaes.
Nicolas Weeger 2010-03-24

Enable filtering on archetypes (name and clone's type).
Nicolas Weeger 2010-03-24

Add requestinfo/replyinfo mechanisms to get the news/rules/motd file.  In
this way, client does not need to parse drawinfo commands, and this
functionality is needed in account based logins since the login code path is
different.  Add setup command for loginmethod - work in progress
but needed for testing.
---
socket/request.c: Add setup loginmethod, add send_file() to send files
socket/loop.c: Update requestinfo handling to deal with motd/news/rules
doc/Developers/protocol: Clarify some areas of protocol.  Add information
    about requestinfo/replyinfo for news/rules/motd
MSW 2010-03-23

As per discussion on IRC, some changes to hopefully improve balance - will
await feedback:
common/living.c: Don't have the magic of an item affect wc.  Only if wc
     is explicitly set does it improve the character.
server/skills.c: Tweak lockpicking - give the skill level more relevence.
     Have difficulty increase exp gained.
MSW 2010-03-23

Fix EVENT_SAY for items in a container.
 server/monster.c
Nicolas Weeger 2010-03-22

Reformat and spellcheck all help texts and default rules/motd/news files.
Andreas Kirschbaum 2010-03-21

Add help for 'title' command.
Andreas Kirschbaum 2010-03-21

Send updated ground view when num_look_objects is received.
 socket/request.c
Nicolas Weeger 2010-03-20

Extract function to find player from socket.
 include/sproto.h
 server/player.c
 socket/request.c
Nicolas Weeger 2010-03-20

Don't send empty "stats " commands.
 socket/request.c
Nicolas Weeger 2010-03-20

Add extended statistics information: race stats, natural stats.
This enables clients to display depletion and such.
 doc/Developers/protocol
 include/newserver.h player.h
 include/shared/newclient.h README
 socket/init.c request.c
Nicolas Weeger 2010-03-20

Fix crash with "cast" command having no arguments.
Andreas Kirschbaum 2010-03-19

Cache map information.
utils/cre/
 CREArchetypePanel.cpp
 CREArchetypePanel.h
 CREMainWindow.cpp
 CREMainWindow.h
 CREMapInformationManager.h
 CREMapInformationManager.cpp
 CREMapInformation.cpp
 CREMapInformation.h
 CREResourcesWindow.cpp
 CREResourcesWindow.h
 cre.pro
Nicolas Weeger 2010-03-17

Basic settings for map cache directory, and associated dialog.
 utils/cre/cre.{cpp,pro} CRESettings.{cpp,h} CRESettingsDialog.{cpp,h}
Nicolas Weeger 2010-03-14

Add relevant debug flags to compilation.
 utils/cre/.qmake.cache
Nicolas Weeger 2010-03-14

Use archetype name instead of archetype itself. Show map name in list too.
 utils/cre/CREArchetypePanel.cpp CREMapInformation.{cpp,h} CREMapInformationManager.{cpp,h} CREMainWindow.cpp CREUtils.{cpp,h}
Nicolas Weeger 2010-03-14

Remove obsolete map fields in header.
 common/map.c
Nicolas Weeger 2010-03-14

Basic map browsing. Report archetype use in maps.
Modified files:
 utils/cre/cre.pro CREArchetypePanel.cpp CREMainWindow.{cpp,h}
New files:
 utils/cre/CREMapInformationManager.{cpp,h} CREMapInformation.{cpp,h}
Nicolas Weeger 2010-03-14

Sort alphabetically by default.
 utils/cre/CREAnimationPanel.cpp CREArchetypePanel.cpp CREResourcesWindow.cpp
Nicolas Weeger 2010-03-14

Display archetype use in other_arch and treasure lists.
 utils/cre/CREArchetypePanel.{cpp,h}
Nicolas Weeger 2010-03-14

Rename field 'class' to 'character_class' because that's a reserved C++
keyword and thus conflicts for CRE building.
Nicolas Weeger 2010-03-14

Update account handling - add character specific handling for the accounts,
add test case, and add some missing svn keywords.  Still some more
work to be done here
---
doc/Developers/protocol: Clean up formatting some.
include/Makefile.am: Add new file
include/account_char.h: New file for account information
include/global.h: Include account_char.h
include/newserver.h: Add references to account information to socket
include/sproto.h: Add function prototypes
socket/init.c: And initialization & cleanup for account info in socket
server/Makefile.am: Add new file
server/account.c: Add creation time to account record
server/account_char.c: New file - character management
server/login.c: Add code to update character info in socket.
server/server.c: Add periodic saving of account information.
test/unit/server/Makefile.am: Update for new file
test/unit/server/check_account_char.c: New file - test for character
    management
MSW 2010-03-14

Enable sacrificed items on altars and such to be alive, if asked for.
 server/common/button.c
Nicolas Weeger 2010-03-13

Fix some object_free_drop_inventory() to object_free2().
 server/apply.c c_wiz.c login.c plugins.c server.c skills.c spell_effect.c
Nicolas Weeger 2010-03-13

Do not send negative area for empty magicmap responses.
Andreas Kirschbaum 2010-03-12

Do not run EVENT_DESTROY plugin events for merged objects.
Andreas Kirschbaum 2010-03-08

Properly free inventory of merged objects.
Andreas Kirschbaum 2010-03-08

Rename object_free() to object_free_drop_inventory() to hint about
possible side-effects.
Andreas Kirschbaum 2010-03-08

Properly distinguish between text and binary files.
Andreas Kirschbaum 2010-03-07

Correctly reset los when mapsize changes.
 socket/request.c
Nicolas Weeger 2010-03-07

Load regions before trying to load the initial map.
 common/init.c
Nicolas Weeger 2010-03-07

Fix crash when plugin removed dropped item.
 server/c_object.c
Nicolas Weeger 2010-03-07

Misc Win32 fixes.
Nicolas Weeger 2010-03-06

Fix possible segmentation fault when shutting down the server.
Andreas Kirschbaum 2010-03-04

Don't call server functions directly from plugins.
Nicolas Weeger 2010-02-28

Make object_dump() and get_ob_diff() use const object*.
Nicolas Weeger 2010-02-28

CRE: display archetype information.
Nicolas Weeger 2010-02-28

CRE: try the object name if archetype isn't found for artifact display.
Nicolas Weeger 2010-02-28

CRE: display 'yes' and 'no' sub lists.
Nicolas Weeger 2010-02-28

Only consider items of the right knowledge type, to avoid dumb crashes.
Nicolas Weeger 2010-02-28

Correctly handle NONE subtreasure list in treasure list.
Nicolas Weeger 2010-02-28

Simplify code.
Nicolas Weeger 2010-02-28

Extract 'remove_depletion' function from potion. Give access to plugins to it,
add to Python wrappers.
Nicolas Weeger 2010-02-28

Use ARCH_DEPLETION instead of hardcoding the value.
Nicolas Weeger 2010-02-28

Rewrite spellpath_msg() to use stringbuffer.
Nicolas Weeger 2010-02-13

Fix memory leak.
Nicolas Weeger 2010-02-13

Rewrite artifact_msg() to use stringbuffer, not complete.
Nicolas Weeger 2010-02-13

Fix stupid infinite loop.
Nicolas Weeger 2010-02-13

Track god-information knowledge.
Nicolas Weeger 2010-02-07

Extract describe_god() from god_info_msg(), use StringBuffer.
Nicolas Weeger 2010-02-07

Make artifact description more random (for items it can apply to),
correctly handle forbidden items.
Nicolas Weeger 2010-02-07

Fix artifact description to use item's name, not archetype name.
Nicolas Weeger 2010-02-07

Keep track of monster knowledge.
Nicolas Weeger 2010-02-07

Tweak knowledge functions, preparing for additional items.
Nicolas Weeger 2010-02-07

Remove support for lib/treasures file from lib/collect.pl.
Andreas Kirschbaum 2010-02-01

Remind player of spell consumption when casting.
Nicolas Weeger 2010-01-31

Extend alchemy to describe item combinations/transformations.
Nicolas Weeger 2010-01-31

Ensure formulae with 0 chance are never listed.
Nicolas Weeger 2010-01-31

Tighten up string checking for accounts, since they will get used for
filenames.  Add new checks for these new allowed characters.
Files: server/account.c test/unit/server/check_account.c
MSW 2010-01-21

Add 'spellmon 2' setup option, to send more spell information.
This includes if the spell needs arguments (another spell, ...)
and if the spell requires items to be cast.
Nicolas Weeger 2010-01-24

Enable spells to consume items to be cast.
Nicolas Weeger 2010-01-24

When talked to, NPCs now stay still a few ticks before moving - only if random movement.
Nicolas Weeger 2010-01-24

Give access to quest-related functions to the Python plugin.
Nicolas Weeger 2010-01-24

Tweak Spike's quest (Darcap) so it can be done again and again.
Nicolas Weeger 2010-01-24

Plugin access to 'quest_was_completed' function.
Nicolas Weeger 2010-01-24

Track quests already completed once, so we can avoid giving a super reward
all the time.
Nicolas Weeger 2010-01-24

Revamp quests, use a definition file to factorize things.
Nicolas Weeger 2010-01-24

General cleanup related to protocol and documentation.  Make many setup
options that have been around for a while standard.
MSW 2010-01-19
--
doc/Developers/protocol: Clean this up - remove obsolete commands,
    document protocol commands consistently, stating what type
    of data the different commands expect.  Update for new account
    based protocol commands (not yet implemented)
include/shared/newclient.h: Formatting fixes, add MSG_TYPE_ADMIN_ERROR
include/newserver.h: Remove fields from socket structure which are now
    considered standard.
include/sockproto.h: Add print_ext_msg()
socket/image.c: Remove code that handles setfacemode
socket/info.c: Always use drawextinfo
socket/init.c: remove initializations for what are now standard options.
socket/loop.c: Remove setfacemode, setsound, toggleextendedinfos,
    toggleextendedtext protocol commands.
socket/request.c: Remove obsolete setup options.  Put options that
    should be removed (but clients are using them as version tests) to
    end of routine.  Remove toggle_extended_infos_cmd() - now default.
    Remove toggle_extended_text_cmd() - server now uses drawextinfo
    exclusively.  Remove set_sound_cmd().  Update map_newmap_cmd()
    to assume client supports newmap command.
--

Fix various missing return values and warnings in functions.
Nicolas Weeger 2010-01-18

Player knowledge management. See server/knowledge.c for more technical information,
 and doc/knowledge for playing information.
Nicolas Weeger 2010-01-18

Fix a crash when using shutdown.
Nicolas Weeger 2010-01-17

Implement a quest in Darcap, just to test stuff - no combat, just get items :)
Nicolas Weeger 2010-01-17

Low-level quest status handling.
Nicolas Weeger 2010-01-17

New property for plugins to get the raw name without any modification.
Nicolas Weeger 2010-01-17

Invalidate parsed dialog when setting the message through a plugin.
Nicolas Weeger 2010-01-17

Add 'min_level' for alchemy formulae.
Nicolas Weeger 2010-01-16

Failing at mushroom of Gourmet only yields ashes instead of some
random nasty effect.
Nicolas Weeger 2010-01-16

Remind player when doing alchemy in wizard mode.
Nicolas Weeger 2010-01-16

Add 'failure_arch' and 'failure_message' to formulas, to have specific
archetypes be generated in case of failure instead of a random effect.
Nicolas Weeger 2010-01-16

Punishment for players selling holy relics from the St Andreas church.
Nicolas Weeger 2010-01-09

New object event for plugins: selling (object is being sold by activator).
Nicolas Weeger 2010-01-09

Plugin utility function cf_map_insert_object_around().
Nicolas Weeger 2010-01-09

The Darcap church is now a sacred place, don't kill ghosts there!
Nicolas Weeger 2010-01-09

Give the price in coins instead of platinum only.
Nicolas Weeger 2010-01-09

Export query_cost_string and cost_string_from_value to plugins.
Nicolas Weeger 2010-01-09

Add account handling code.  This is work in progress - the checked in
piece is the backend piece.  Protocol updates and client interface are
next steps to do.  As part of this, split_string() was modified to take
as an argument the seperator - this is useful because the account code
stores the player names in a semicolon separated list.
MSW 2010-01-07
---
common/image.c: Update call to split_string()
common/utils.c: Modify split_string() to take as an argument the seperator -
	this makes it more useful/general purpose.
include/libproto.h: Update split_string() prototype
include/sproto.h: Add prototypes for account.c
server/Makefile.am: Add account.c
server/hiscore.c: Update call to split_string()
server/swap.c: Update call to split_string()
test/unit/server/Makefile.am: Add check_account test.
test/unit/server/check_account.c: functional tests for account code.
test/unit/common/check_utils.c: Update split_string() call


First version of a Darcap handling plugin. For now handles the barman
in the tavern.
Nicolas Weeger 2009-12-28

Correctly make monster face its direction when using move_to.
Nicolas Weeger 2009-12-12

Fix monster_compute_path.
Nicolas Weeger 2009-12-12

Pass an empty string rather than NULL to command_function if no parameters
are given.
Andreas Kirschbaum 2009-12-20

server/c_misc.c:  Fix overflow in showing how much time character has been
   played - use 64 bit interim values.
MSW 2009-12-12

Prevent DMs from using 'quit', else they aren't actually deleted.
Nicolas Weeger 2009-12-12

Try to fix disappearing dragon abilities when converting to a god.
Nicolas Weeger 2009-12-12

Track how many ticks the character has been played.  Piece of information
tracking easy to add in.  Output is shown in the statistics command.
MSW 2009-12-07

Send 'pickup' update to clients requesting it when the player
uses the 'pickup' command directly.
Nicolas Weeger 2009-12-06

Honore the 'NO_PICK' flag for generated BOOKS even if empty.
Nicolas Weeger 2009-12-05

test/unit/common/check_time.c: Remove apparent debugging output which doesn't
	really belong.
MSW 2009-12-01

Fix some crashes on malformed input in alchemy loading code.
Arvid Norlander 2009-11-29

Fix potential NULL dereference in poisoning code in server/attack.c.
Arvid Norlander 2009-11-28

Implement proper error handling on malformed regions file. Also added a
new fatal() message to refer to the last error (used in region parsing,
will be used elsewhere soon too).
Arvid Norlander 2009-11-28

Fix a potential NULL dereference due to passing a potential NULL pointer to
qsort().
Arvid Norlander 2009-11-28

Fix uninitialised value on a empty attackmess file. The issue should never
happen in practice however.
Arvid Norlander 2009-11-28

Fix some dead initialisations (value assigned never used).
Arvid Norlander 2009-11-28

We already used the generic autoconf INSTALL. Update it to a newer version
(autoreconf automatically updated it).
Arvid Norlander 2009-11-28

Add missing prototype to include/sproto.h
Arvid Norlander 2009-11-28

Add correct text to highscore table for players disconnecting from the
game.
Andreas Kirschbaum 2009-11-22

Make utils/cre actually build and link.
Nicolas Weeger 2009-11-16

Not finding an archetype in second_arch_pass indicates a mistake in
 archetypes file, so it's better to just exit so it gets fixed instead
 of leading to issues later on.
Nicolas Weeger 2009-11-16

Rewrite hiscore.c module. Now the highscore file is read once when the
server is started and written whenever it changes. Adding new entries and
generating output for the 'hiscore command do not anymore read the
highscore file from disk.
Andreas Kirschbaum 2009-11-15

Remove support for undefined translations 'nl', 'de', and 'it'. Removes
some error messages at startup.
Andreas Kirschbaum 2009-11-14

Remove 'explore' mode.
Andreas Kirschbaum 2009-11-14

Fix formatting of 'hiscore' command output.
Andreas Kirschbaum 2009-11-13

Omit objects below the floor from the ground view.
Andreas Kirschbaum 2009-10-29

Fix exit location for the goto command in server/c_wiz.c (was broken when exit
coordinates recently changed so that (-1,-1) meant default coordinates).
Arvid Norlander 2009-10-29

Disable [Debug] messages by default. Use the -d command-line option to
enable debug messages.
Andreas Kirschbaum 2009-10-25

Fix incorrect error message for throwing skill when no throwable object
was found.
Andreas Kirschbaum 2009-10-25

Fix checks for incorrect/missing parameters of 'abil' command.
Andreas Kirschbaum 2009-10-25

Adapt regression test to changed spell parameters (r12127).
Andreas Kirschbaum 2009-10-24

Fix #2879249 (SIGSEGV on transport moving across some edges of tiled maps).
Andreas Kirschbaum 2009-10-23

Change exits pointing to new map's default coordinates from (0,0) to
(-1,-1). This allows exits to point to (0,0).
Andreas Kirschbaum 2009-10-23

The hiscore command requests 50 high scores, but for some reason the command
that outputs the scores arbitrarily returns only 49.  Removed a needless
decrement of the max parameter.  Now the command returns 50.
Kevin Bulgrien 2009-08-31

Remove i18n strings and help files that used to support the output-sync and
output-count functionality.
Kevin Bulgrien 2009-08-31

Remove output-count and output-sync from the server.  Remove the output buffer
defines and declarations, along with the outputs_sync and outputs_count items.
Remove now unused flush_output_element(), check_output_buffers(), various
comments, calls to removed functions, output-sync and output-count command
support, player struct outputs_sync and outputs_count members.  This mod does
attempt to preserve player file compatibility with older server versions by
always saving legacy defaults to the player file outputs_sync and count
parameters.  Re-ran make cproto to add missing items fix brokenness in the
proto files.  NOTE:  References to I18N_MSG_CMISC_099, 100, 101, 102, 103, and
104 were removed, but the messages themselves were not removed and no attempt
was made to see if other references still exist.
Kevin Bulgrien 2009-08-13

Fix bug 2835449 pickup is broken by changing server/login.c check_login() to
read the pickup value saved in the player file as an unsigned value instead
of as a signed value.  Unfortunately corrupted player files still have the
debug bit set, and this fix does not address that issue.  To fix the player
file, zero out the pickup value, or adjust the value to turn off the debug
bit.
Kevin Bulgrien 2009-08-11

Fix regression introduced at revision 12136 by commenting an uncommented line
in experience table D (Table C is supposed to be used).  Reported by MarkM /
knotwork.  Causes server start failure  [Error]   Experience for level 116 is
lower than previous level (0 <= 67200000000).
Kevin Bulgrien 2009-08-10

Set perm XP to 50 and select experience table C to match the metalforge server
configuration.
Meflin 2009-08-08

Fix for tracker #2825935 `cast consecrate` regression introduced at revision
11827, Sat Jun 13 2009 in server/spell_effect.c that resulted in "You are
not standing over an altar!" even when standing on an altar.  The regression
caused the altar check to iterate over character inventory instead of
objects below the character.   Various spelling issues also corrected.
Kevin Bulgrien 2009-08-03

Fix whitespace issue with an attack message "viciously strikes".
Kevin Bulgrien 2009-08-01

Disembark transport when using dimension door from inside.
Andreas Kirschbaum 2009-07-14

Fix some grammar in server/login.c.
Kevin Bulgrien 2009-07-11

Fix some crashes observed on invidious due to access to uninitialized
variables.
Andreas Kirschbaum 2009-07-11

Fix player save file parser. Now usekeys and applymode settings are
retained between logins. Fixes #2819301 (usekeys setting no longer
persists across logout.)
Andreas Kirschbaum 2009-07-10

Fix some memory leaks when updating object->msg.
Andreas Kirschbaum 2009-07-09

Fix for bug 2.0 wraith feed auto-ready bug? - ID: 1989153 - unarmed skill
selection is hardcoded.  Add a command - 'unarmed_skill' in which player
can specify what unarmed skill to use by default instead of the server using
its built in defaults.
---
common/player.c: clear unarmed_skill field in clear_player()
include/sproto.h: Add definition for command_unarmed_skill()
include/player.h: add unarmed_skill field to player structure.
lib/Makefile.am,lib/help/unarmed_skill.en : Add help file for unarmed_skill
server/c_misc.c: Add command_unarmed_skill() to set/get preferred unarmed
     skill.
server/commands.c: Add unarmed_skill to command listing.
server/login.c: Add code to load/save unarmed_skill value.  Since there
    are several saved/loaded string values, pull processing of that out
    and make the string value available to all values.  Updated some of
    the other users in the login function.
server/player.c: Set unarmed_skill to NULL for new players.
server/skill_util.c: Modify find_best_player_hth_skill() to look at
    unarmed_skill if set.
MSW 2009-07-02

Fix bolt spells: do not hit caster. Do not allow casting into walls.
Andreas Kirschbaum 2009-06-29

Fix trajectory of thrown objects. Formerly some objects did speed up again
after they should have fallen to the ground.
Andreas Kirschbaum 2009-06-24

Fix incorrect player counts in /maps command output for logged out players.
Andreas Kirschbaum 2009-06-24

Fix alchemy failure effect: now the cauldron actually explodes.
Andreas Kirschbaum 2009-06-24

Add help file for "chat" command.
Andreas Kirschbaum 2009-06-24

Fix monster movement code. Now multi-tiled monsters are much smarter
attacking the player.
Andreas Kirschbaum 2009-06-24

Fix monster movement code. Now monsters opening door and/or destroying
earthwalls works. Makes multi-tiled monsters more agile.
Andreas Kirschbaum 2009-06-24

Make monsters hit doors with attack damage rather than fixed 1000 damage.
Andreas Kirschbaum 2009-06-24

Make bullet swarm spells fire three tiles wide.
Andreas Kirschbaum 2009-06-23

Change movement of ball spells.
Andreas Kirschbaum 2009-06-22

Make missile and ball spells hit targets adjacent to the caster. Formerly the
spell did start one tile away.
Andreas Kirschbaum 2009-06-22

Limit missile spells to turn at most one direction per turn.
Andreas Kirschbaum 2009-06-22

Make missile and ball spells target a random part for multi-tiled objects.
Andreas Kirschbaum 2009-06-22

Fix array out-of-bounds accesses for monsters having stats > 30. Makes
trolls pick up boulders.
Andreas Kirschbaum 2009-06-22

Do not teleport character to savebed when re-logging in in a random map.
Andreas Kirschbaum 2009-06-21

Make monsters take the shortest route to the player.
Andreas Kirschbaum 2009-06-20

Suppress error messages about non-existing items for "apply -a" on already
applied items or "apply -u" un unapplied items.
Andreas Kirschbaum 2009-06-20

Make singing and oratory skills work against multi-tiled monsters.
Andreas Kirschbaum 2009-06-20

Retain unaggressive flag for splitting monsters.
Andreas Kirschbaum 2009-06-19

Prevent black puddings from jumping over walls.
Andreas Kirschbaum 2009-06-19

Insert dropped objects below the player.
Andreas Kirschbaum 2009-06-18

Allow monsters to pick up "throwable" items as weapons.
Andreas Kirschbaum 2009-06-18

Change weight check for monsters in object_get_pick(): replace
"item_weight <= picker_weight/3" with
"total_picker_weight does not exceed get_weight_limit(picker)". This allows
hill giants to pick up boulders and prevents vampires from carrying unlimited
weight.
Andreas Kirschbaum 2009-06-17

Allow monsters to apply items even if they do not know the needed skill.
Requiring the appropriate can_xxx flag is good enough.
Andreas Kirschbaum 2009-06-17

Add shopitems type 'none' matching items with 'type 0'. Prevents some error
messages in the server log.
Andreas Kirschbaum 2009-06-17

Fix monsters applying items generated from treasure lists: do not apply items
before all treasures have been created. Without this fix applying of weapons
did sometimes fail because the needed skill was generated after the weapon.
Andreas Kirschbaum 2009-06-17

Include "hostile" attribute in (pk) messages.
Andreas Kirschbaum 2009-06-16

Fix owner check ("The weapon does not recognize you as its owner.") for bows
and character names which are a prefix of the owner's name.
Andreas Kirschbaum 2009-06-16

Fix incorrect experience calculation when disarming traps/runes as
reported by Alex Tokar.
Andreas Kirschbaum 2009-06-14

Move party related code into party.c module. Fix PARTY_KILL_LOG compile-time
option. Reliably print party join/leave messages. Properly leave the party
when the client connection breaks or when the character logs out. Properly
clean up empty parties.
Andreas Kirschbaum 2009-06-14

Add command parameter validation as reported by Alex Tokar.
Andreas Kirschbaum 2009-06-14

Extract code accessing or manipulating the player's title into player.c
module. Fixes #2017797 (Multiple 'the' displayed in hiscore output). Needs
update to existing 'settings' files: remove all occurrences of "%T" from
who_format and who_wiz_format.
Andreas Kirschbaum 2009-06-14

Do not switch a monster's enemy at each attack. This allows pets to
concentrate on one enemy when being attacked by multiple enemies.
Do not change monster's enemy from pet to player whenever the player's pet
attacks the monster.
Make pets using ranged weapons work correctly on tiled maps.
Make pets using skills work correctly on tiled maps.
Make pet movement work correctly on tiled maps.
Andreas Kirschbaum 2009-06-14

Rewrite loops iterating over inv/env/below/above object lists with macros
that are not affected by objects being modified/removed/freed within the
loop.
Andreas Kirschbaum 2009-06-13

Apply patch by Dany Talbot fixing #1990214 (2.0 godenchant bug?).
Andreas Kirschbaum 2009-06-10

Fix #1961814 (scripting failing to drop items). Also fixes "drop 1 cauldron"
command.
Andreas Kirschbaum 2009-06-10

Fix rod generation: make sure it can hold enough spell points. Now all light
rods get spell points for 3 changes, heavy rods for 6 charges.
Andreas Kirschbaum 2009-06-10

Merge HORNs (type 35) into RODs (type 3).
Andreas Kirschbaum 2009-06-10

Fix monsters not using wands/staffs/rods.
Andreas Kirschbaum 2009-06-09

Remove support for obsolete attributes can_use_rod, can_use_wand, and
can_use_horn. These attributes have been read/written from/to map files but
not used for anything.
Andreas Kirschbaum 2009-06-09

include/shared: Add as a non-external directory.
include/shared/newclient.h: Added client/trunk/common/shared/newclient.h
  revision 11674 to transfer control of newclient.h from client area to
  server area.
include/shared/README: Add a file with a brief note stating that the client
  references the files in this directory using an SVN external property.
Kevin Bulgrien 2009-05-09

include: After advice of Ragnor against svn:externals without -r, deleted the
  svn:externals pointing to client/trunk/common/shared, after also coming to
  the conclusion that this needs to be controlled in server vs. client so that
  any client software base that wants to use this file can specify the version
  of the file they want instead of the server having to pick one from
  somewhere else.
Kevin Bulgrien 2009-05-09

include: Added svn:externals pointing to client/trunk/common/shared
include/includes.h
include/Makefile.am
include/newclient.h: Removed. Duplicate file.
socket/item.c
socket/image.c
socket/request.c
socket/lowlevel.c
server/c_range.c
server/shop.c
server/player.c: changed references of newclient.h to shared/newclient.h.
Kevin Bulgrien 2009-05-09

server/c_object.c: Fix crash when picking up some flying objects.
Andreas Kirschbaum 2009-04-20

Fix for bug 2281692 - CFDialog conversation NPC answer precedes PC speech.
server/monster.c: ext_info_map() wasn't called until after the event logic.
Instead, for players, we can draw it immediately - we only need to perhaps do
something special for monsters.  In this way, conversation is in the correct
order.
MSW 2009-04-14

Apply #2753395 (help file for the wimpy command).
Andreas Kirschbaum 2009-04-11

Fix for bug 2602566 - Players can nest containers.  pick_up() has largely
same functionality, but lots of changes to remove the series of gotos and
generally just clean it up.
server/c_object.c: Clean up function pick_up().  Modify put_object_in_sack()
   to not allow containers to be put in containers.
MSW 2009-04-07

Fix for bug include/autoconf.h.in - customize stack of weapons bug.
This commit also fixes some other things, like update name not getting
sent to the client when doing the prepare.
types/weapon_improver/weapon_improver.c: All changes in prepare_weapon():
    Split stack of weapons so other items don't disappear.  Move the
    draw_info() call after updating the weapon name, so it uses new
    weapon name.  Add call to esrv_update_item() to update the name
    of the weapon.
MSW 2009-04-05

common/friend.c, common/exp.c, common/button.c, common/object.c, common/utils.c:
  Fix some bad format strings for LOG().
Arvid Norlander 2009-03-04

common/map.c: Based on profiling of charm monster on a large map with Chinese
  dragons, optimise get_map_flags() a bit by avoiding a call to out_of_map(),
  get_map_from_coord() performs the needed checks and we need to call it anyway.
  Also fix typos in the documentation for get_map_from_coord().
Arvid Norlander 2009-03-03

server/attack.c: Fix crash bug introduced in r11584 (Fix for bug 1922771: xp non
  zero in meditation). Bug triggered by charming chinese dragons.
Arvid Norlander 2009-03-03

Work in progress skill rebalance code.  This should not affect play in any
way - while it introduces some new skills, those skills are not available
right now (players need to choose class that doesn't exist).
---
doc/Developers/spells: Fix some typos, add info on elemental shield.
include/skills.h: Add new magic skills.  Update defines related to that.
   Change terminator of unarmed_skills[] to 0, so type is defined as
   unsigned so -1 doesn't work.
include/spells.h: Add new spell type - elemental shield.
server/player.c: Don't remove spell objects from new characters - this
   makes it possible to give starting characters set of spells.
   This shouldn't make any difference - if characters have spells they
   shouldn't, this suggests an issue with treasurelists.
server/skill_util.c: Modify find_skill_by_name() to take comma separated
   list of skill names.  This is used for common spells to all spell
   casting skills (something like detect magic) - don't want 4 versions
   of it, and don't want to require character to know a particular
   skill for something basic.  Also add handling for new skills.
server/skills.c: Add note about problems of raising monsters Wis on
   failed steal attempt.  No actual code change.
server/spell_effect.c: Update for auras that provide resistances.
server/spell_util.c: Add handling for elemental shield spell.
--
MSW 2009-03-02

Fix for bug 1830750: Buffer overflow with stat depletion via rabies
(note it wasn't an actual buffer overflow by integer overflow).  Fix was to
modify check_stat_bounds() to take parameters for valid range, and add check
for it for the disease a well as temporary calculations in fix_object.
---
common/living.c: Modify check_stat_bounds() as described above.  Update
    existing calls and add new call in fix_object()
include/libproto.h: Update with no prototype.
server/disease.c: Update disease function to use get_attr_value/
    set_attr_value.  Add call to check_stat_bounds to make sure disease
    stats are within range.
server/player.c: Update calls to check_stat_bounds()
MSW 2009-03-02

test/toolkit/toolkit_common.c, test/include/toolkit_common.h: Fix a lot of
  compiler warnings in the unit tests by adding a missing prototype to a header
  and correcting another prototype.
server/c_misc.c: Fix trivially player triggered uninitialised read in the
  language command.
common/object.c: Use "%s" to LOG() when dumping objects instead of passing
  the dump as format string. Fix some compile warnings about variable shadowing.
Arvid Norlander 2009-03-02

common/anim.c: Use "%s" to LOG() when dumping objects instead of passing
  the dump as format string.
common/image.c: Fix LOG() with too formatstring/parameter mismatch.
common/init.c: Fix a compiler warning when using MEMORY_DEBUG, fix an
  uninitialised read if tod data file exists but is invalid (default to sane
  value instead, as is done if the file doesn't exist at all).
common/map.c: Fix a potential uninitialised read.
Arvid Norlander 2009-03-02

macros/cf_python.m4: Support Python 3 but prefer Python 2 when possible. This
  is because Python 3 is still rather experimental. To force building against a
  specific Python version use --with-python=path where path is replaced with the
  install prefix for Python.
Arvid Norlander 2009-02-27

plugins/cfpython/cjson.c: Add support for Python 3. For Python 3 we always
  encode to Bytes but can decode both Bytes and Unicode. For decoded strings the
  default is to use Unicode under Python 3 (and under 2.x we still default to
  String).
plugins/cfpython/cfpython: Support for Python 3. This involves some changes for
  Python 2.x too in order to make it possible to maintain the code. Some of the
  Python 3.x specific code for caching bytecode is rather messy and could be
  probably be improved. The way the constant modules are created has been
  changed to support both Python 2.x and 3.x (now using PyModule_New()).
Arvid Norlander 2009-02-27

server/attack.c: Fix for bug 1922771: xp non zero in meditation.  In
    poison_living(), do some more work to find proper skill to set to credit
    the exp gain - for players, op->skill doesn't look like it is set,
    but op->chosen_skill is.
MSW 2009-02-26

autogen.sh: Error out if the various programs called aren't successful. This
  means we can hopefully get the first error in bug reports instead of errors
  caused by the first error later.
Arvid Norlander 2009-02-26

server/attack.c: Fix for bug 2019648: Too high experience gain with draining
    monsters.  Don't add more exp to monsters than the player lost by draining.
    Record original exp of player before draining and use that as a check in
    MIN() statement - because from old code, divisor is twice as much as
    we remove, very likely the old method will be less than actual lost exp.
MSW 2009-02-25

server/attack.c: Fix for bug 2021012: Do insane damage in arena - if
    characters are on battleground, do not reduce damage for them
    being friendly.
MSW 2009-02-24

Fix for bug 1988417 - rebalanced WC bug.
common/living.c: Remove unneeded if op->type==PLAYER right after closing
    brace for same if clause.  Move character_load to top of that code
    block.  Fix wc calculation so now if skill_level>=1 and not >1.
    Fix fallback method to divide characters overall level in calculating
    wc to give more sane results.  Add key/value wc_increase_rate so
    skills can be better tuned instead of having it hardcoded (it is
    still hardcoded as a fallback if that isn't set)
doc/Developers/skills: Update some notes on values in combat skills,
    especially the wc_increase_rate.
MSW 2009-02-22

plugins/cfpython/cfpython_archetype.c, plugins/cfpython/cfpython_object.c,
  plugins/cfpython/cfpython_party.c, plugins/cfpython/cfpython_region.c,
  plugins/cfpython/cfpython_map.c,
  plugins/cfpython/include/cfpython_object_private.h,
  plugins/cfpython/include/cfpython_map_private.h,
  plugins/cfpython/include/cfpython_party_private.h,
  plugins/cfpython/include/cfpython_region_private.h,
  plugins/cfpython/include/cfpython_archetype_private.h: Implement the function
  tp_richcompare, since Python 3.x no longer uses tp_compare. tp_richcompare can
  also be used on Python 2.x. Also fix broken compare for players since
  tp_richcompare and tp_compare are not inherited if tp_hash is non-NULL.
  Also fix type definition head initialisation for Python 3.x.
plugins/cfpython/include/cfpython_region_private.h: Fix a typo that resulted in
  Python showing region type name as Crossfire.Party.
plugins/cfpython/cfpython_map.c: Fix several crash bugs related to swapped out
  maps.
Arvid Norlander 2009-02-19

server/c_range.c, server/init.c, server/shop.c, server/login.c, server/c_wiz.c:
  Fix some format string bugs (found using the GCC format __attribute__ for some
  crossfire functions).
server/c_wiz.c: Add some missing [fixed] to style_info output.
Arvid Norlander 2009-02-17

socket/item.c, socket/loop.c, socket/lowlevel.c, socket/metaserver.c: Fix some
  format string bugs (found using the GCC format __attribute__ for some
  crossfire functions).
Arvid Norlander 2009-02-17

common/map.c: Make a function static.
common/loader.l, common/object.c, common/readable.c: Fix some format string bugs
  (found using the GCC format __attribute__ for some crossfire functions).
Arvid Norlander 2009-02-17

common/map.c: Properly fill in op->more for multipart objects in containers.
  Multipart objects in containers can happen for customised monsters in
  generator inventories. This happened on /darcap/raffle/raffle1_u3.
Arvid Norlander 2009-02-17

README: Update the README file somewhat. It mentioned CVS and various other
  outdated things.
Arvid Norlander 2009-02-16

This is another step towards Python 3.x support, however in this commit there
are mostly fixes for various bugs in the existing found when working on the
porting. Also this commit drops support for Python 2.3 and older. This support
was already broken (some code already used modern features).
---
plugins/cfpython/include/cfpython.h: We need more python-version dependant
  defines so rewrite the checks to be cleaner as well.
plugins/cfpython/include/cfpython_object.h: Add a variant of the EXISTCHECK()
  macro that also verifies that the type matches (to fix some crashes).
plugins/cfpython/include/cfpython_party_private.h,
  plugins/cfpython/include/cfpython_region_private.h,
  plugins/cfpython/include/cfpython_archetype_private.h: Fix the method calling
  conventions to match was actually being done in the code.
plugins/cfpython/include/cfpython_object_private.h,
  plugins/cfpython/include/cfpython_map_private.h,
  plugins/cfpython/cfpython_object.c, plugins/cfpython/cfpython_map.c: Fix out
  of date PyNumberMethods structs. Handle the int/long unification in Python 3
  as well. Change to calling convention METH_NOARGS when no arguments were
  passed to the methods. Change to METH_O when a single object argument was
  passed. Add checks for correct type of objects where that was missing (could
  result in crashes before, if there were bugs in the python scripts, now such
  bugs will just throw a python exception).
plugins/cfpython/cfpython.c: Change to calling convention METH_NOARGS when no
  arguments were passed to the methods.
macros/cf_python.m4: Remove checks for Python 2.3 and older.
Arvid Norlander 2009-02-14

plugins/cfpython/cfpython.c, plugins/cfpython/cfpython_map.c,
  plugins/cfpython/include/cfpython_archetype_private.h,
  plugins/cfpython/include/cfpython_region_private.h,
  plugins/cfpython/include/cfpython_party_private.h,
  plugins/cfpython/include/cfpython_map_private.h,
  plugins/cfpython/include/cfpython_object_private.h,
  plugins/cfpython/include/cfpython.h, plugins/cfpython/cfpython_object.c: Some
  of the changes needed to support Python 3: Adding some compatibility defines
  to support some stuff on both Python 2 and Python 3. This also means we now
  support unicode strings in a few places we didn't before. Also properly handle
  "hash not supported" under Python 2.6 or later.
Arvid Norlander 2009-02-13

server/apply.c, server/skills.c, server/player.c, server/spell_attack.c: Add a
  comment marking some variables set but then never used (found with compiler
  warnings). Unsure about what the correct way to solve them are (that is:
  should the variable assignment be removed, or should the variable be used
  somewhere).
server/c_misc.c, common/map.c, common/object.c: Fix some format strings using %d
  when %u should have been used.
Arvid Norlander 2009-02-13

plugins/cfpython/include/cfpython_proto.h, plugins/cfpython/cfpython.c: Fix
  broken give command. Was broken due to MSW removing -Bsymbolic when building
  plugins about half a year ago. Also change some other symbols to static in the
  plugins to avoid more issues like this.
plugins/cflogger/include/cflogger_proto.h, plugins/cflogger/cflogger.c,
  plugins/citylife/include/citylife_proto.h, plugins/citylife/citylife.c,
  plugins/cfrhg/include/cfrhg_proto.h, plugins/cfrhg/cfrhg.c,
  plugins/cfanim/include/cfanim.h, plugins/cfanim/include/cfanim_proto.h,
  plugins/cfanim/cfanim.c, plugins/cfnewspaper/include/cfnewspaper_proto.h,
  plugins/cfnewspaper/cfnewspaper.c: More changes in the same style as the above
  python changes to reduce possible symbol lookup conflicts. Also make some
  functions static.
plugins/cfrhg/include/cfrhg_proto.h, plugins/cfrhg/cfrhg.c: Fix a typo in cfrhg
  (was "cfrgh" in one place).
Arvid Norlander 2009-02-12

common/treasure.c: Restore item_power if GT_MINIMAL is passed into
    fix_generated_item().  Fixes bug 2590465: Anvils making items without
    item power
MSW 2009-02-11

lib/Makefile.am: replace make with $(MAKE) - needed if using non default
    make, or otherwise have special set up.
MSW 2009-02-11

lib/attackmess: Fix for bug# [ 2565212 ] Output quirk with wraith feed ability
(You You).  Removed 'You' text from the attack messages file.
Rick Tanner 2009-02-11

lib/.collect-stamp, lib/smooth: Both of these are generated by make collect,
  remove them from SVN. The latter file also showed up a lot in svn diff because
  the locally generated copy no longer matched the svn version and no one
  committed the change.
lib/: Add those two removed files to svn:ignore.
lib/Makefile.am: Update to match change, also add some other auto generated
  files to MAINTAINERCLEANFILES.
Arvid Norlander 2009-02-10

include/living.h, include/player.h: Rearrange member order in some structs to
  reduce wasted space due to alignment.
Arvid Norlander 2009-02-10

plugins/cfnewspaper/cfnewspaper.c: Remove unused function.
Arvid Norlander 2009-02-10

types/README: Fix indentation.
Arvid Norlander 2009-02-10

test/templates/logresult.xsl: Fix case of tag, must be lower case since it
  generates XHTML, not HTML.
check-fragment.am: Make report generation work for out of tree builds. We now
  copy the xsl files to test/logs/ before everything else, instead of after. We
  also use the copy now, instead of using the file in test/templates/.
Arvid Norlander 2009-02-10

test/templates/crossfire-logo-unit-failed.png,
  test/templates/crossfire-logo-unit-success.png,
  test/templates/txtlog.png, test/templates/failure.png,
  test/templates/success.png, test/templates/error.png,
  test/templates/crossfire-logo-unit.png: Recompress png images for smaller file
  size.
Arvid Norlander 2009-02-10

check-fragment.am: Add a define -DBUILD_ROOT to support out of tree builds
  properly.
test/unit/common/check_object.c, test/unit/common/check_loader.c,
  test/unit/common/check_arch.c, test/unit/common/check_item.c: make check
  should now works for out of tree builds. Not well tested yet. Not functional
  changes for in-tree builds.
Arvid Norlander 2009-02-10

include/Makefile.am: Make svnversion.h work properly when the build tree is
  not the source tree.
Arvid Norlander 2009-02-10

include/object.h: Small spelling correction in comment.
utils/mapper.c: Fix a crash when generating tiled (non-world) maps (such as for
  greenway) and the user used -limit.
Arvid Norlander 2009-02-10

plugins/cfpython/cfpython_object.c,
  plugins/cfpython/include/cfpython_object_private.h: Add Object_GetAnimated()
  to be able to read this property (it used to be write only from python).
Arvid Norlander 2009-02-10

plugins/cfpython/cfpython_object.c,
  plugins/cfpython/include/cfpython_object_private.h: Make it possible to set
  Object.Identified as well as get it. This was used by some python scripts
  (though it didn't actually work).
Arvid Norlander 2009-02-09

utils/mapper.c: Fix a segfault when generating world map and not all input maps
  was found (could happen using -limit).
Arvid Norlander 2009-02-08

utils/mapper.c: Change // style comment to /**/ style. Add missing include. Make
  some variables and functions static (fixing GCC warnings about missing
  prototypes). Change some 0 to NULL for pointers to make code clearer.
Arvid Norlander 2009-02-08

utils/mapper.c: Change all sprintf() to snprintf(). Also fix a crash due to
  division by zero when using -limit and we didn't get as far as processing any
  maps with non-zero elevation.
Arvid Norlander 2009-02-08

utils/mapper.c: Remove some unused variables. Get rid of zero length snprintf()
  (caused GCC warning).
Arvid Norlander 2009-02-08

include/libproto.h, common/dialog.c, common/init.c, common/object.c,
  common/button.c, common/region.c, common/living.c, common/time.c,
  common/recipe.c, common/map.c, common/arch.c, common/treasure.c: Make a lot
  of functions that aren't used outside one file in common/ static.
Arvid Norlander 2009-02-07

common/readable.c, common/object.c, common/map.c, include/libproto.h: Use size_t
  instead of int for buffer sizes.
common/readable.c, include/libproto.h: Make some functions not used elsewhere
  static.
common/readable.c: Get rid of sprintf().
Arvid Norlander 2009-02-07

common/porting.c: Fix format string.
Arvid Norlander 2009-02-07

common/player.c: Remove unused variables.
Arvid Norlander 2009-02-07

types/mood_floor/mood_floor.c: Use NULL instead of 0 for pointers.
types/player_mover/player_mover.c: Assigning a floating point constant to an
  integer variable makes no sense.
Arvid Norlander 2009-02-07

include/libproto.h, include/ob_methods.h, include/typesproto.h,
  common/ob_methods.c, types/common/describe.c, types/legacy/legacy_describe.c:
  Use size_t when working with buffer sizes.
include/sproto.h, server/attack.c, server/spell_util.c: Attack type should be
  uint32 and not int.
Arvid Norlander 2009-02-07

types/shop_inventory/shop_inventory.c: Use size_t not int when working with
  list sizes. The variable i is used for several things, but using size_t should
  be safe for all uses of it.
Arvid Norlander 2009-02-07

types/deep_swamp/deep_swamp.c: Replace sprintf() with snprintf().
Arvid Norlander 2009-02-07

common/readable.c: Fix a snprintf() with non-constant format string and no
  parameters passed.
Arvid Norlander 2009-02-07

types/detector/detector.c: Fix GCC warning caused by a declaration of an
  unimplemented, unused static function.
Arvid Norlander 2009-02-07

plugins/cfpython/include/cfpython_object_private.h,
  plugins/cfpython/include/cfpython_map_private.h,
  plugins/cfpython/include/cfpython_party_private.h,
  plugins/cfpython/include/cfpython_region_private.h,
  plugins/cfpython/include/cfpython_archetype_private.h,
  plugins/cfpython/cfpython.c: Fix some minor issues (variables that should have
  been static, using 0 instead of NULL [leading to more confusing code]).
Arvid Norlander 2009-02-07

plugins/cfanim/cfanim.c, plugins/cflogger/cflogger.c:  Fix some minor issues
  (variables that should have been static, using 0 instead of NULL, leading to
  more confusing code) found using the static analysis tool "sparse".
Arvid Norlander 2009-02-07

server/init.c: Avoid some warnings by casting function to one with the right
  type before calling. Also convert some char* to const char* and make the
  variable options static.
Arvid Norlander 2009-02-06

server/pets.c, server/player.c, server/plugins.c: Fix some minor issues (such as
  using 0 instead of NULL [leading to more confusing code], using snprintf with
  no format arguments [use strncpy instead], using int instead of tag_t [which
  is typedefed to unsigned int]).
Arvid Norlander 2009-02-06

socket/info.c, server/alchemy.c, server/gods.c: Fix some minor issues (using 0
  instead of NULL [leading to confusing code], casting const char* to char*).
Arvid Norlander 2009-02-06

include/global.h: Get rid of some warnings by making some "char*" "const char*"
  in the Settings struct.
Arvid Norlander 2009-02-06

server/player.c: Make sure unpaid items are removed at death even on non-shop
  floors.
Arvid Norlander 2009-02-06

server/spell_effect.c: Fix part of bug #2457751
  "Unpaid items work for some things...". Staff to snake and animate weapon no
  longer works on unpaid items.
Arvid Norlander 2009-02-06

common/readable.c: Passing the same buffer as both the output buffer as a
  parameter in the format to s(n)printf invokes undefined behaviour. Avoid doing
  that. Tests showed that glibc treated the buffer as empty, resulting in
  ignoring whatever was in the buffer before.
Arvid Norlander 2009-02-06

common/item.c: Make item_types_size static, it isn't used elsewhere.
Arvid Norlander 2009-02-06

server/attack.c: Fix rare abort() with spells like dragonfire on multi-tile
  objects. Required some single tile object to be on top of the multi-tile
  object.
Arvid Norlander 2009-02-04

server/spell_attack.c: Fix bug #2353025 "2.0, holy wrath and ret. strike freeze
  server". This happened because explosion spells use stats.maxhp as a unique ID
  to avoid running out of control. This one was properly set by bullet spells,
  but not by smite spells. Fix this.
Arvid Norlander 2009-02-04

server/spell_util.c: Put cap on level used for cast_magic_storm() in
    prayer_failure() - otherwise, spell can hang the server as it
    gets cast at super high level.
MSW 2009-02-04

common/button.c: Fix bug #2457751 "Unpaid items work for some things...". Now
  dropping unpaid items on altars no longer works.
Arvid Norlander 2009-02-03

Fix out-of-bounds accessess to xxx_bonus[] (and similar) arrays.
Andreas Kirschbaum

common/living.c:
random_maps/wall.c, random_maps/style.c, random_maps/door.c, random_maps/exit.c,
  random_maps/random_map.c, random_maps/rogue_layout.c, random_maps/test.c,
  random_maps/special.c, random_maps/floor.c, random_maps/monster.c,
  random_maps/standalone.c, random_maps/treasure.c: Fix some minor issues
  (variables that should have been static, using 0 instead of NULL [leading to
  more confusing code], mismatching prototype and so on) found  using the static
  analysis tool "sparse" (made for Linux kernel originally).
Arvid Norlander 2009-02-03

random_maps/reader.l, common/loader.l, include/libproto.h: The shared yyerror()
  in loader.l didn't work properly in reader.l (which was the intention).
  Instead it caused memory errors (and potentially segfaults) when called. This
  was due to yyerror() accessing the static variable yytext, which is unique to
  each file. Since yytext in loader.l was often freed already when yyerror() in
  reader.l was called this would cause memory errors. If it wasn't yet freed it
  would instead report irrelevant data in the error message. Thus duplicate the
  routine to both of the files, and make them both static.
Arvid Norlander 2009-02-03

Encapsulate access to xxx_bonus[] (and similar) arrays with accessor functions
get_xxx_bonus().
---
common/living.c: Make arrays static. Add accessor functions.
common/living.h: Remove arrays. Add accessor function prototypes.
*.c: Replace xxx_bonus[stat] with get_xxx_bonus(stat).
Andreas Kirschbaum 2009-02-03

common/object.c, common/exp.c, common/time.c, common/recipe.c, common/arch.c,
  common/map.c, common/los.c: Fix some minor issues (variables that should have
  been static, using 0 instead of NULL, leading to more confusing code) found
  using the static analysis tool "sparse" (made for Linux kernel originally).
Arvid Norlander 2009-02-03

plugins/cfpython/include/cfpython.h, plugins/cfpython/cfpython.c:
  To make porting to Python 3 in the future easier, enable the forward
  compatibility warning flag if crossfire is compiled against Python 2.6, this
  will result in warnings to stderr about "DeprecationWarning" if incompatible
  code is found. Several issues has already been fixed recently (thanks to
  having this enabled locally). Compiling Crossfire against Python 2.5 or older
  still works (of course). Also add a missing include causing warnings under
  Python 2.6.
Arvid Norlander 2009-02-03

common/shstr.c: Use the correct return type from hashstr() current code assumed
  sizeof(int) == sizeof(long) == sizeof(void*) which is incorrect for many
  systems (such as x86_64). There was another potential (as in: would not happen
  with current hash table size) issue in the same code with mixing signed and
  unsigned. Also fixed.
Arvid Norlander 2009-02-03

server/plugins.c: Fix possible buffer overflow when initializing plugins.
Andreas Kirschbaum 2009-02-03

doc/Developers/smooth.pdf, doc/Developers/img/sgrass.base.111.eps,
  doc/Developers/img/smoothlevel.eps, doc/Developers/img/canvas_smooth.eps,
  doc/Developers/smooth.tex: smooth.pdf was broken (due to someone using
  svn:eol-style on it [as far as I can tell], pdf are binary files and shouldn't
  be mangled like that!). Also the pdf couldn't be re-generated from smooth.tex
  since some of the image files were missing. (They were erroneously removed in
  revision 3560). Add the three *.eps needed back. Then regenerate the pdf.
  Also some cosmetic changes to the file.
Arvid Norlander 2009-02-03

doc/Developers/sound, doc/Developers/*.dox, doc/Developers/types/*.dox,
  doc/Developers/fields/*.dox: Set svn:eol-style to native. Correct a few files
  that were stored with CRLF.
Arvid Norlander 2009-02-03

include/define.h, include/libproto.h, common/item.c, common/readable.c,
  common/loader.l: Make safe_strcat() (defined in include/define.h for some
  odd reason) use size_t instead of int for buffer size, since this includes
  changing a pointer to int into a pointer to size_t update all calls to
  safe_strcat() to use size_t for that.
Arvid Norlander 2009-02-02

common/object.c, include/config.h: Document the different levels of MEMORY_DEBUG
  and add a third level that calls free() instead of adding back to free list
  in order to more properly detect use after free.
Arvid Norlander 2009-02-01

common/object.c, include/config.h: Workaround to make MEMORY_DEBUG usable,
  currently we can't realloc on allocation to ensure the backtrace is correct
  (as the comment in the code described) since a lot of stuff access objects
  after freeing and fixing these are non-trivial. So disable realloc() for now
  unless MEMORY_DEBUG is defined to a value greater than 1. Also fix one of the
  accesses after free_object() (was in clean_friendly_list()).
Arvid Norlander 2009-02-01

common/re-cmp.c: Correct some #ifdef to use the correct variable name
  (SAFE_CHECKS not SAFE_CHECK).
Arvid Norlander 2009-02-01

include/define.h: Update comment about INORGANIC (type 73) including
  dragon scales. Making them type flesh had negative consequences such
  as making them edible and causing them to weigh 50000Kg instead of 25Kg
  each.
Rick Tanner 2009-01-31

common/player.c, include/libproto.h, server/player.c: Fix a few memory leaks
  if player selects "play again" after logging out.
Arvid Norlander 2009-01-29

plugins/cfpython/cfpython.c: Remove some Py_DECREF() calls in the python module.
  This fixes bug #2459929 (DECREF error, bombs server if python is strict).
  However, I'm not sure this is the correct way to fix that bug.
Arvid Norlander 2009-01-29

macros/cf_python.m4: Add python 2.6 to the python path search lists as well.
Arvid Norlander 2009-01-28

include/newserver.h, socket/init.c, socket/request.c: Remove MapMode
  type/mapmode field since only one mode is supported.
Andreas Kirschbaum 2009-01-28

common/shstr.c, common/arch.c, common/path.c: Fix some int that should have been
  size_t, found using splint.
common/arch.c: Also fix an "int" that should have been "unsigned long".
include/libproto.h, include/path.h: Update prototypes where needed for these int
  to size_t changes.
Arvid Norlander 2009-01-28

macros/libtool.m4: Removed this file as it depends on which libtool version is
  installed on the system running autogen.sh. configure will fail with an error
  if version doesn't match between this file and the generated (non-versioned)
  file utils/ltmain.sh. autogen.sh will install the correct version of
  macros/libtool.m4 as long as a newer version doesn't exist. Thus removing this
  file from SVN is the correct way to solve the issue. This file _should_
  however be included in release tarballs since utils/ltmain.sh will also be
  included there.
macros/: Added svn:ignore for libtool.m4
Arvid Norlander 2009-01-27

server/plugins.c: Set plugins_list to NULL when unloading plugins at exit to
  prevent some possible issues if someone tries to mess with plugins afterwards.
Arvid Norlander 2009-01-26

include/libproto.h, common/arch.c: Make hasharch() in arch.c static since it
  wasn't (and shouldn't be) used anywhere else.
Arvid Norlander 2009-01-26

test/unit/common/check_shstr.c: Fix small memory leak in the shstr unit test.
common/arch.c: Make free_all_archs() also clear the hash table for archetypes,
  this fixes an invalid read in test/unit/common/check_arch.c.
Arvid Norlander 2009-01-26

Use a subdirectory for aclocal macros instead of the old-style acinclude.m4.
This will make it simpler to maintain and update to current upstream copies of
the various autoconf macros. This commit does not update to current upstream
copies, but extracts the version crossfire used from the old acinclude.m4.
---
autogen.sh: Updated commands to match for this change.
include/autoconf.h.in: Auto-regenerated by autotools, no functionality changes.
macros/: Added
macros/libtool.m4: Auto imported by aclocal, previously aclocal copied this
  directly into the (non-versioned) file aclocal.m4.
macros/cf_xslt.m4, macros/cf_python.m4, macros/libcurl.m4, macros/check.m4:
  Extracted from acinclude.m4.
acinclude.m4: Removed.
Makefile.am: Added matching ACLOCAL_AMFLAGS line.
---
Arvid Norlander 2009-01-26

lib/Makefile.am, lib/adm/collect_images.pl: Make out of tree builds work. Note
  that the arch symlink in lib should be placed in the build tree. Further: the
  Perl script change might be suboptimal, I'm not a Perl expert.
Arvid Norlander 2009-01-25

types/transport/transport.c: Add missing braces to if clause in
    transport_type_process().
MSW 2009-01-24

Server part of client window resizing.  When server gets a mapsize request,
it now clears its map data so it does a complete refresh of the map to the
client.  This fixes drawing issues.
---
include/sockproto.h: Change map_newmap_cmd() definition
server/move.c, server/plugins.c, server/server.c, server/spell_effect.c:
    Change call to map_newmap_cmd()
socket/request.c: Add call to map_new_cmd() in setup area.  Change
    map_newmap_cmd() to take a socket structure instead of player -
    the setup only has socket pointer and not player pointer to use.
---
MSW 2009-01-24

test/unit/server/check_c_party.c: Fix failing regression test. (Access to
  uninitialized variable.)
Andreas Kirschbaum 2009-01-24

test/unit/common/check_object.c: Make the test_count_free test work in a build
  with MEMORY_DEBUG turned on as well.
Arvid Norlander 2009-01-24

common/image.c: Fix crash if read_bmap_names() is called more than once.
  Needed for debugging regression tests.
test/unit/common/check_object.c: Fix failing regression test. (Access to
  non-existent face.)
Andreas Kirschbaum 2009-01-24

common/readable.c, common/dialog.c, common/loader.l, common/treasure.c,
  common/image.c, socket/item.c: Add missing ending \n to LOG() calls.
Arvid Norlander 2009-01-24

socket/info.c: Fix stack smashing in magic_mapping_mark() on maps wider than 50
  tiles.
Arvid Norlander 2009-01-24

test/unit/common/check_item.c: Fix failing regression test.
Andreas Kirschbaum 2009-01-24

plugins/common/hashtable.c: Rewrite the code documentation to doxygen style.
Arvid Norlander 2009-01-23

plugins/cflogger/cflogger.c: Make non-direct kills (kill by spell, kill by
  poison, kill by golem and so on) register properly.
Arvid Norlander 2009-01-23

plugins/cflogger/cflogger.c: Slight error in last commit, turns out time table
  can't use real time as primary key. Change database schema to format 3.
  Upgrades directly from version 1 not run into the issue.
Arvid Norlander 2009-01-23

plugins/cflogger/cflogger.c: Clean out some of the messy and broken SQL (didn't
  use indexes, was missing important constraints and so on) in cflogger. This
  includes introducing a new version of the SQL schema used. The database will
  be automatically upgraded at next run. Be aware of that older versions were
  missing a check for too new format, thus once you upgraded the format you
  should not run it with an older version of the server. Changes to the schema
  includes adding some indexes and similar.
Arvid Norlander 2009-01-22

plugins/cflogger/cflogger.c, plugins/cfnewspaper/cfnewspaper.c: Now handles
  random maps the way the source code comments claims it does.
plugins/cfnewspaper/cfnewspaper.c: Make info about kills from a specific region
  work.
Arvid Norlander 2009-01-22

common/object.c: Add missing newline to log message that is shown if
  MEMORY_DEBUG is defined.
Arvid Norlander 2009-01-21

common/arch.c: Fix memory leak in archetypes when discrete damage is used.
Arvid Norlander 2009-01-21

server/plugins.c: Remove forgotten debug output.
plugins/cflogger/cflogger.c, plugins/cfnewspaper/cfnewspaper.c: Add missing
  newline in log output.
plugins/cfnewspaper/cfnewspaper.c: Close the second sqlite database as well.
Arvid Norlander 2009-01-21

server/plugins.c, server/server.c: Run closePlugin() in the various plugins at
  server shutdown. Previously it was only run when the wiz command plugout was
  used. This change is needed to properly close the sqlite database handles in
  cflogger and cfnewspaper.
include/sproto.h: Run make proto in server/ to include the newly added
  cleanupPlugins() in server/plugins.c. This caused some other changes, such as
  reordering and adding some other functions.
Arvid Norlander 2009-01-21

server/plugins.c: Fix broken error checking in plugin loading code.
Arvid Norlander 2009-01-21

common/readable.c: Fix a rare bug that caused the use of an uninitialised
  variable in god_info_msg() for gods denies summoning (such as valkyrie).
Arvid Norlander 2009-01-21

doc/Developers/objects, lib/artifacts: Remove obsolete fields color_fg and
 color_bg.
lib/adm/map_info: Remove support for color_fg/color_bg fields.
Andreas Kirschbaum 2008-12-12

server/login.c: Clear shootype value when player leaves game - otherwise
   it will point to bad value in ranges[] array.
MSW 2008-11-25

lib/collect.pl.in: Prepend an underscore to names generated for implicitly
 defined animations.
Andreas Kirschbaum 2008-11-23

Rewrite SockList handling to not malloc/free buffers but use stack
 space instead. Encapsulate most accesses to SockList instances into
 lowlevel.c.
Andreas Kirschbaum 2008-11-21

common/treasure.c: Do not call tailor_readable_ob() with invalid msgtype
 parameter.
common/readable.c: Detect and report errors when saving bookarch file.
common/readable.c: Remove trailing whitespace from generated book
 contents.
common/readable.c: Do not call get_titlelist() for invalid indices.
common/readable.c: Fix 'bookarch' parser to strip trailing spaces but not
 leading spaces. Fix possible memory leak when reading the 'bookarch'
 file. Detect and report syntax errors.
Andreas Kirschbaum 2008-11-20

common/readable.c: Fix 'messages' file parser to strip trailing spaces but
 not leading spaces. Issue warning messages if messages are truncated.
 Detect and report syntax errors rather than crash.
common/readable.c: Fix incorrect random expression -- condition was always
 false.
socket/image.c: Accelerate "replyinfo image_sums" processing.
doc/Developers/protocol: Fix documentation for "replyinfo image_sums"
 format.
Andreas Kirschbaum 2008-11-19

socket/request.c, doc/Developers/protocol: Properly check "setup"
 settings; document allowed values.
socket/request.c: Properly check input read from client socket.
Andreas Kirschbaum 2008-11-18

Apply patch #2305993: Random Item generation difficutly table expansion,
courtesy meflin.
 common/treasure.c
 include/treasure.h
Nicolas Weeger 2008-11-17

Allow transports to not occupy the same spaces depending on the facing direction.
 common/map.c: tweak various move_type checks for transport
 doc/Developers/objects: update with special flag
 server/player.c: special handling for transport facings
Nicolas Weeger 2008-11-16

Reduce selling cost of Gourmet Mushrooms.  They were to easy to exploit
and abuse for massive cash influx. Requested change by meflin.
 /lib/artifacts
Rick Tanner 2008-11-11

Tentative fix for bug #1982043: Ruggilli immolation.
 server/disease.c: don't remove god-diven diseases.
Nicolas Weeger 2008-11-11

Fix for bug #2259992: I dont know how to apply the ... * (unpaid).
 include/ob_methods.h: new return value for methods.
 server/apply.c: don't display anything if player already warned.
Nicolas Weeger 2008-11-11

Tentative fix for bug #2094038: Monk Confusion...
 server/gods.c: don't try to update the 'no weapon' flag if the player is
 forbidden weapons, that messes with things.
Nicolas Weeger 2008-11-10

Remove obsolete 'color_fg' handling.
 common/image.c
Nicolas Weeger 2008-11-10

Merge smoothing information in New_Face, to simplify some.
 common/image.c
 include/face.h
Nicolas Weeger 2008-11-09

Apply patch #2040854: Patch to compile on OSX PPC, and to comply with ANSI C, by elliotbay.
Basically put an array definition in the .c instead of the .h.
 plugins/cfpython/include/cfpython.h
 plugins/cfpython/cfpython.c
Nicolas Weeger 2008-11-09

Fix for bug #2249875: 2.0 random say crashes.
Remove 'duplicate_dialog_information()', and merely clear FLAG_DIALOG_PARSED in
object copy so dialog is correctly parsed again when needed.
 common/dialog.c object.c
 include/libproto.h
Nicolas Weeger 2008-11-09

Initial import of Crossfire Resource Editor, tool to manage various resources like
artifacts, archetypes, faces, animations, treasures.
For now it only lets the user view, but edition is planned.
This is a C++/Qt program, not part of the regular build system.
 utils/cre/*cpp *h: CRE files.
Nicolas Weeger 2008-11-08

Rename map's 'template' field which conflicts with C++ compilers.
Also change 'region' and 'shopitems' in some structures to the underlying structure
instead of the typedef, for the same confusion reason.
 common/anim.c map.c
 include/map.h
 random_maps/random_map.h
 server/server.c swap.c
Nicolas Weeger 2008-11-08

Tentative fix for bug #2018391: Zero-cap or capless containers, also stacking containers.
Split containers when reading/applying them (coherent with eg rings when applied).
Also ensure that a sack is split when putting things into it anyway.
 include/sproto.h: function now visible to others.
 server/apply.c c_object.c: split containers
 socket/item.c: don't crash if object isn't a player.
 test/unit/server/check_c_object.c: write some tests for put_object_in_sack().
Nicolas Weeger 2008-10-31

Fix for bug #2081472: short int encoding for food value in payment altars.
 include/living.h object.h: make food and last_eat sint32 so no overflow.
Nicolas Weeger 2008-10-31

Fix for bug #2140899: crash server by reading scroll on ground.
 types/scroll/scroll.c: keep scroll's inventory name in case inventory
  is removed.
Nicolas Weeger 2008-10-05

Add a function called tempnam_secure(), unlike the old tempnam_local() it should
be secure against race conditions. Replaced one of the two uses of tempnam_local
with tempnam_secure, the other one is a bit tricker. It may or may not work on
Windows, but it should be easy for someone with access to a Windows system to
add an #ifdef for that.
 include/libproto.h
 common/porting.c
 server/login.c
Arvid Norlander 2008-09-25

Fix for bug #1985944: problem with trigger_markers (object type 52).
 types/marker/marker.c
Arvid Norlander 2008-09-25

Fix for bug #2021042: level inscription indefinately with 1 scroll.
 server/skills.c: don't allow to write when blind.
Nicolas Weeger 2008-09-19

Tentative fix for bug #2028467: confusing changing things it should not.
 server/spell_util.c: correctly count items.
Nicolas Weeger 2008-09-19

Fix for bug #2088893: Assertion in cfanim.c globalEventListener on client connect.
Renamed all globalEventListener to put a plugin-specific prefix.
 plugins/cfanim/include/cfanim_proto.h
 plugins/cfanim/cfanim.c
 plugins/cflogger/include/cflogger_proto.h
 plugins/cflogger/cflogger.c
 plugins/cfnewspaper/include/cfnewspaper_proto.h
 plugins/cfnewspaper/cfnewspaper.c
 plugins/cfpython/include/cfpython_proto.h
 plugins/cfpython/cfpython.c
 plugins/cfrhg/include/cfrhg_proto.h
 plugins/cfrhg/cfrhg.c
 plugins/citylife/include/citylife_proto.h
 plugins/citylife/citylife.c
Nicolas Weeger 2008-09-19

Add new setup option "num_look_objects": allows clients to set the size
of the ground view. Clients not sending this option default to 50 which
is the previously hard-coded size. Fixes some off-by-one issues; now
always exactly the requested number of objects are sent.
 trunk/include/newserver.h
 trunk/socket/item.c
 trunk/socket/init.c
 trunk/socket/request.c
 trunk/doc/Developers/protocol
Andreas Kirschbaum 2008-09-06

Automatic strip of trailing whitespaces. This stripped a trailing whitespace in
ChangeLog, that is why ChangeLog is listed too.
 ChangeLog
 make_win32/plugin_python/plugin_python.rc
 make_win32/plugin_anim/plugin_anim.dsp
 make_win32/crossfire.rc
 make_win32/plugin_common/plugin_common.dsp
 make_win32/INSTALL_WIN32.txt
 make_win32/Release_notes.txt
Arvid Norlander 2008-09-02

Small code fixes found using GCC compiler warnings (bad format strings,
unreachable return, missing return, unclear {} in a #define when used in a if.)
 include/global.h
 socket/item.c
 socket/loop.c
 socket/metaserver.c
 server/shop.c
 server/swap.c
 server/spell_util.c
 server/resurrection.c
 server/server.c
 server/login.c
 server/c_wiz.c
Arvid Norlander 2008-09-02

Added %a in the default format string for the 'who' command, because the
'afk' command is useless if nobody can see the AFK status of players who
use it.
 lib/settings
Raphaël Quinet 2008-08-27

Inform other party members when a player leaves a party by joining or
creating another party, not only when the player uses "party leave".
 server/c_party.c
Raphaël Quinet 2008-08-25

Some plugin-related fixes.
 server/c_object.c: EVENT_DROP should be called before the item is removed,
  else can't prevent dropping.
 server/monster.c: enable items in player/npc's inventory to react, too
Nicolas Weeger 2008-08-16

Added new subtype 4 ST_MAT_WINDOW for building materials.  This allows the
player to build windows in existing walls (if these walls have a corresponding
window archetype).  Fixed an issue in apply_builder_floor() that could cause a
floor to be removed twice when a wall was replaced by a floor.
 include/define.h
 server/build_map.c
Raphaël Quinet 2008-08-04

Bug fix: when building a new floor on top of an old floor, the old one was
never removed, resulting in a stack of floors in some buildable areas.
 server/build_map.c
Raphaël Quinet 2008-08-03

Fix for bug #2028541: Any object using a non-default move_slow_penalty was
always saved with the value 0 because the code was using FAST_SAVE_LONG
instead of FAST_SAVE_DOUBLE for a floating-point value.
 common/loader.l
Raphaël Quinet 2008-08-02

Change regions file name to 'regions.reg'.
 include/config.h
Nicolas Weeger 2008-08-02

If an object of type CHECK_INV blocks movement (e.g. move_block all) and if
it contains a message, then display that message to those who are blocked.
This allows the inventory checkers to behave a bit like locked doors.
 common/map.c
Raphaël Quinet 2008-07-31

Allow other archetypes than fingers to be given as trophies in arena battles.
In order to do that, the battleground should have other_arch set to the
archetype to be generated.  If no other_arch is set, then fingers will be
generated as before.  Also, the trophies will have their value, type and
material set to 0 so that they cannot be used nor destroyed.
 include/sproto.h
 server/attack.c
 server/disease.c
 server/pets.c
 server/player.c
 server/spell_util.c
Raphaël Quinet 2008-07-28

lib/smooth: updated by 'make collect' after Ryo's changes to the archetypes.
Raphaël Quinet 2008-07-28

plugins/*/Makefile.am:  Remove  -Xlinker -export-dynamic -Xlinker -Bsymbolic
    from extra LDFLAGS.  Those are gnu specific linker options which cause
    the plugins to fail to compile when not using gld. I've tested the build
    without those options with gld on linux, and all works fine, so not sure
    if those are still needed - in theory, libtool should cover that.  If
    those options are still needed, configure.ac should get updated with a
    a better test.
MSW 2008-07-24

Automatic style fix: replace "foo* bar" by "foo *bar", remove extra spaces
inside parentheses, etc.  This was done after an analysis of the code revealed
that less than 20% of the pointer declarations were using the other style.
Same for the parentheses.  Having a consistent style in all files should make
it a bit easier to maintain the code.
 common/anim.c
 common/arch.c
 common/button.c
 common/dialog.c
 common/friend.c
 common/glue.c
 common/holy.c
 common/image.c
 common/init.c
 common/item.c
 common/languages.c
 common/logger.c
 common/los.c
 common/map.c
 common/object.c
 common/ob_methods.c
 common/ob_types.c
 common/path.c
 common/player.c
 common/porting.c
 common/readable.c
 common/recipe.c
 common/re-cmp.c
 common/shstr.c
 common/stringbuffer.c
 common/treasure.c
 common/utils.c
 devel/devel.c
 include/attack.h
 include/dialog.h
 include/global.h
 include/languages.h
 include/libproto.h
 include/map.h
 include/object.h
 include/ob_methods.h
 include/path.h
 include/player.h
 include/plugin.h
 include/sockproto.h
 include/spells.h
 include/sproto.h
 include/stringbuffer.h
 plugins/cfanim/cfanim.c
 plugins/cfanim/include/cfanim.h
 plugins/cflogger/cflogger.c
 plugins/cfnewspaper/cfnewspaper.c
 plugins/cfpython/cfpython_archetype.c
 plugins/cfpython/cfpython.c
 plugins/cfpython/cfpython_map.c
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/cfpython_party.c
 plugins/cfpython/cfpython_region.c
 plugins/cfpython/cjson.c
 plugins/cfpython/include/cfpython_archetype.h
 plugins/cfpython/include/cfpython_archetype_private.h
 plugins/cfpython/include/cfpython.h
 plugins/cfpython/include/cfpython_map.h
 plugins/cfpython/include/cfpython_map_private.h
 plugins/cfpython/include/cfpython_object.h
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/include/cfpython_party.h
 plugins/cfpython/include/cfpython_party_private.h
 plugins/cfpython/include/cfpython_region.h
 plugins/cfpython/include/cfpython_region_private.h
 plugins/cfrhg/cfrhg.c
 plugins/citylife/citylife.c
 plugins/common/hashtable.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/template/include/plugin_template.h
 plugins/template/plugin_template.c
 random_maps/floor.c
 random_maps/maze_gen.c
 random_maps/rproto.h
 random_maps/standalone.c
 random_maps/treasure.c
 server/alchemy.c
 server/apply.c
 server/attack.c
 server/build_map.c
 server/c_chat.c
 server/c_misc.c
 server/c_object.c
 server/c_party.c
 server/c_wiz.c
 server/disease.c
 server/gods.c
 server/hiscore.c
 server/init.c
 server/login.c
 server/monster.c
 server/move.c
 server/player.c
 server/plugins.c
 server/server.c
 server/shop.c
 server/skills.c
 server/skill_util.c
 server/spell_attack.c
 server/spell_effect.c
 server/spell_util.c
 server/swap.c
 server/time.c
 server/timers.c
 server/win32.c
 socket/info.c
 socket/init.c
 socket/item.c
 socket/loop.c
 socket/request.c
 socket/sounds.c
 test/bugs/bugtrack/check_1727944.c
 test/toolkit/toolkit_common.c
 test/toolkit/toolkit_crossedit.c
 test/toolkit/toolkit_map.c
 test/toolkit/toolkit_random_maps.c
 test/toolkit/toolkit_server.c
 test/toolkit/toolkit_socket.c
 test/unit/common/check_arch.c
 test/unit/common/check_item.c
 test/unit/common/check_loader.c
 test/unit/common/check_object.c
 test/unit/common/check_shstr.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/server/check_attack.c
 test/unit/server/check_c_object.c
 test/unit/server/check_c_party.c
 test/unit/socket/stubs_socket.c
 types/altar/altar.c
 types/armour_improver/armour_improver.c
 types/book/book.c
 types/button/button.c
 types/cf_handle/cf_handle.c
 types/check_inv/check_inv.c
 types/clock/clock.c
 types/common/common_apply.c
 types/common/describe.c
 types/common/projectile.c
 types/container/container.c
 types/converter/converter.c
 types/deep_swamp/deep_swamp.c
 types/director/director.c
 types/exit/exit.c
 types/food/food.c
 types/hole/hole.c
 types/identify_altar/identify_altar.c
 types/lamp/lamp.c
 types/legacy/legacy_describe.c
 types/lighter/lighter.c
 types/marker/marker.c
 types/pedestal/pedestal.c
 types/player_mover/player_mover.c
 types/poison/poison.c
 types/potion/potion.c
 types/power_crystal/power_crystal.c
 types/savebed/savebed.c
 types/scroll/scroll.c
 types/shop_inventory/shop_inventory.c
 types/shop_mat/shop_mat.c
 types/sign/sign.c
 types/skillscroll/skillscroll.c
 types/spellbook/spellbook.c
 types/spell_effect/spell_effect.c
 types/spinner/spinner.c
 types/transport/transport.c
 types/trap/common_trap.c
 types/trapdoor/trapdoor.c
 types/treasure/treasure.c
 types/trigger_altar/trigger_altar.c
 types/trigger_button/trigger_button.c
 types/trigger_pedestal/trigger_pedestal.c
 types/trigger/trigger.c
 types/weapon_improver/weapon_improver.c
 utils/bwp.c
 utils/gridarta-types-convert.c
 utils/mapper.c
Raphaël Quinet 2008-07-20

Style fixes in files that were using foo[ bar ] instead of foo[bar], slight
reformatting of Win32 code.  There were only 30 occurences of foo[ bar ] among
3958 lines using array indexes or declarations, so it is clear that the common
style is to avoid spaces inside the brackets.
 common/object.c
 plugins/cfnewspaper/cfnewspaper.c
 server/c_party.c
 server/win32.c
 server/c_misc.c
 server/c_object.c
 server/apply.c
 socket/info.c
 utils/mapper.c
Raphaël Quinet 2008-07-20

Win32 compilation fixes.
 include/win32.h: some #define to fix things.
 make_win32/crossfire32.dsp: add missing files.
 make_win32/plugin_python/plugin_python.dsp: add missing files.
 socket/loop.c: function doesn't exist, so we'll suppose the socket is ok for now.
Nicolas Weeger 2008-07-19

Fix for bug #2017790 "Cannot build talking books, listening books or signs".
Fixed the incorrect usage of the function can_build_over(), refactored and
simplified the code, made functions static, added test to prevent the same wall
from being rebuilt several times, do not remove the marking rune prematurely if
a listening book cannot be built.
 include/sproto.h
 server/build_map.c
Raphaël Quinet 2008-07-19

Fix bug #2009686 "party password does not work if 8 characters long". 8 chars
long passwords broke with party_rejoin to auto rejoin on login due to 9 char
buffer and assuming the last char would always be an \n.
 server/login.c
Arvid Norlander 2008-07-18

Fix bug #2017648 "applying devourer weap causes crash", this was a division by
zero bug that affected any "personalized blessings" weapons with a willpower in
the range 0-1000. Also fix some minor issues in the same code block (reordering
tests and reusing a variable instead of fetching it using get_ob_key_value
twice).
 server/apply.c
Arvid Norlander 2008-07-17

In debug log message, check for null value and substitute as needed - it is
not universal that printf("%s", NULL) will not crash.
MSW 2008-07-07

Fix for bug #2009802 "alchemy experience not stored correctly": Remove useless
and dangerous casts to uint16 because both source and destination variables
are of type int, and the experience points for several recipes do not fit in
16 bits.
 common/recipe.c
Raphaël Quinet 2008-07-03

Partially update metaserver specification.
 doc/metaserver
Andreas Kirschbaum 2008-06-27

Don't reset image checksum.
 common/image.c
Nicolas Weeger 2008-06-21

Fix for bug #1990016 "No message when using skills over an empty cauldron"
 server/alchemy.c
Raphaël Quinet 2008-06-14

Add missing newlines in copyright header in some plugin source/header files.
 plugins/cfpython/include/cfpython.h
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/include/cfpython_map.h
 plugins/cfpython/cfpython_map.c
 plugins/cfnewspaper/cfnewspaper.c
Arvid Norlander 2008-06-13

Reformat all header files in include/ to fit with current coding style standard,
a combination of using the astyle tool and manual review afterwards.
 include/define.h
 include/treasure.h
 include/commands.h
 include/win32.h
 include/shstr.h
 include/timers.h
 include/config.h
 include/object.h
 include/loader.h
 include/attack.h
 include/race.h
 include/logger.h
 include/newserver.h
 include/image.h
 include/ob_methods.h
 include/re-cmp.h
 include/living.h
 include/book.h
 include/player.h
 include/plugin.h
 include/material.h
 include/metaserver2.h
 include/spellist.h
 include/global.h
 include/skills.h
 include/spells.h
 include/includes.h
 include/god.h
 include/map.h
 include/tod.h
 include/newclient.h
Arvid Norlander 2008-06-13

First step in fixing bug #1992235 (citylife/rabies potential DOS). Make citylife
NPCs undead.
 plugins/citylife/citylife.c
Arvid Norlander 2008-06-12

Reformat all files in server/ to fit with current coding style standard, a
combination of using the astyle tool and manual review afterwards.
 server/c_range.c
 server/weather.c
 server/c_party.c
 server/commands.c
 server/win32.c
 server/init.c
 server/daemon.c
 server/timers.c
 server/spell_attack.c
 server/attack.c
 server/c_move.c
 server/rune.c
 server/shop.c
 server/swap.c
 server/pets.c
 server/skill_util.c
 server/spell_util.c
 server/disease.c
 server/c_chat.c
 server/alchemy.c
 server/resurrection.c
 server/c_new.c
 server/player.c
 server/gods.c
 server/build_map.c
 server/c_misc.c
 server/time.c
 server/ban.c
 server/skills.c
 server/move.c
 server/server.c
 server/c_object.c
 server/c_wiz.c
 server/plugins.c
 server/apply.c
 server/monster.c
 server/spell_effect.c
 server/hiscore.c
Arvid Norlander 2008-06-12

Reformat all files in random_maps/ to fit with current coding style standard, a
combination of using the astyle tool and manual review afterwards.
 random_maps/wall.c
 random_maps/style.c
 random_maps/snake.c
 random_maps/door.c
 random_maps/room_gen_onion.c
 random_maps/exit.c
 random_maps/square_spiral.c
 random_maps/random_map.c
 random_maps/rogue_layout.c
 random_maps/room_gen_spiral.c
 random_maps/test.c
 random_maps/special.c
 random_maps/floor.c
 random_maps/maze_gen.c
 random_maps/monster.c
 random_maps/standalone.c
 random_maps/expand2x.c
 random_maps/treasure.c
 random_maps/decor.c
Arvid Norlander 2008-06-12

Reformat all files in socket/ to fit with current coding style standard, a
combination of using the astyle tool and manual review afterwards. Also fix
copy-and-paste typo from svn output in changelog below.
 socket/item.c
 socket/image.c
 socket/init.c
 socket/request.c
 socket/loop.c
 socket/lowlevel.c
 socket/info.c
 socket/sounds.c
 socket/metaserver.c
Arvid Norlander 2008-06-12

Reformat common/loader.l a bit too. Update info in common/README. Clean up
some trailing whitespaces in some header files.
 common/loader.l
 common/README
 make_win32/plugin_python/resource.h
 make_win32/resource.h
Arvid Norlander 2008-06-12

Reformat all files in common/ to fit with current coding style standard, a
combination of using the astyle tool and manual review afterwards.
 common/item.c
 common/readable.c
 common/dialog.c
 common/shstr.c
 common/object.c
 common/languages.c
 common/button.c
 common/holy.c
 common/logger.c
 common/image.c
 common/re-cmp.c
 common/ob_methods.c
 common/region.c
 common/living.c
 common/info.c
 common/player.c
 common/exp.c
 common/stringbuffer.c
 common/recipe.c
 common/friend.c
 common/map.c
 common/arch.c
 common/links.c
 common/porting.c
 common/ob_types.c
 common/anim.c
 common/treasure.c
 common/glue.c
 common/los.c
Arvid Norlander 2008-06-12

Get rid of a GCC warning, fix a typo in a comment.
 include/libproto.h
 common/loader.l
 server/time.c
Arvid Norlander 2008-06-12

Reformat some files to fit with current coding style standard, a combination of
astyle and manual review afterwards.
 common/utils.c
 common/init.c
 common/time.c
 common/porting.c
Arvid Norlander 2008-06-11

Remove some auto generated (by autoconf/automake) files from svn. Updated
svn:ignore to match. Also updated svn:ignore for other places.
Removed:
 utils/depcomp
 utils/config.guess
 utils/config.sub
 utils/mkinstalldirs
 utils/missing
 utils/install-sh
Property change on:
 .
 utils
 test/bugs/bugtrack
Arvid Norlander 2008-06-11

Reformat some files to fit with current coding style standard, a combination of
astyle and manual review afterwards. Also fix bad date in ChangeLog I entered
below (copy and paste blergh).
 server/init.c
 server/disease.c
 server/login.c
 server/main.c
Arvid Norlander 2008-06-11

Reformat two files to fit with current coding style standard, a combination of
astyle and manual review afterwards.
 server/move.c
 server/server.c
Arvid Norlander 2008-06-11

Prevent running the crossfire server as root on *nix systems. Give an explaining
error message. It will also prevent running it as suid (intentional).
 server/server.c
Arvid Norlander 2008-06-11

Temporary work around a crash in move_disease() that is very hard to reproduce,
and I haven't managed to find the cause for.
 server/disease.c
Arvid Norlander 2008-06-11

Make more functions and variables in plugins static. Clean up some indention in plugins.
 plugins/cflogger/cflogger.c
 plugins/cfanim/include/cfanim.h
 plugins/cfanim/include/cfanim_proto.h
 plugins/cfanim/cfanim.c
 plugins/cfnewspaper/cfnewspaper.c
Arvid Norlander 2008-06-05

Clean up in plugins, fix a lot of gcc warnings (in plugins), update prototype
headers in plugins, make some functions static. Also update build system for
cflogger to make it not include common plugin stuff in header. Followed example
set by cfnewspaper's Makefile.am. Make the template plugin include prototype
header. (It is a good idea to do so, for various reasons.) Also add some missing
newlines at end of copyright header comments in some files. Also make some
variables const (in python plugin) in order to fix gcc warnings and to make
code cleaner (a string literal is always a const char* in C90 or later, but
char* is allowed for compatibility reasons, though it will actually be a const).
 configure.ac
 plugins/cflogger/include/cflogger_proto.h
 plugins/cflogger/include/cflogger.h
 plugins/cflogger/Makefile.am
 plugins/cflogger/cflogger.c
 plugins/citylife/citylife.c
 plugins/cfrhg/cfrhg.c
 plugins/cfpython/include/cfpython_proto.h
 plugins/cfpython/include/cfpython_object.h
 plugins/cfpython/cfpython.c
 plugins/template/create_plugin.sh
 plugins/template/plugin_template.c
 plugins/cfnewspaper/include/cfnewspaper.h
 plugins/cfnewspaper/include/cfnewspaper_proto.h
 plugins/cfnewspaper/cfnewspaper.c
Added:
 plugins/citylife/include/citylife_proto.h
 plugins/cfrhg/include/cfrhg_proto.h
Removed:
 plugins/cflogger/include/Makefile.am
Arvid Norlander 2008-06-04

Spellcheck and update documentation. Updated CVS commit guide lines to refer
to SVN (and current practice). Added missing docs for "music" command to
protocol docs.
 doc/Developers/objects
 doc/Developers/mapguide
 doc/Developers/protocol
 doc/Developers/key-value
 doc/Developers/spells
 doc/Developers/svn
 doc/Developers/README
 doc/Developers/map-technical
 doc/Developers/random-maps
Moved:
 doc/Developers/cvs to doc/Developers/svn
Arvid Norlander 2008-06-02

Add missing call to init_gods in check_item unit test that caused a crash at
-O1 or higher (sometimes). That however broke other parts of the test suite
that depends on a certain sequence of random numbers. (Very brittle code!) Fix
so it matches the new generated random order.
 test/unit/common/check_item.c
Arvid Norlander 2008-06-01

Add some missing "extern" keywords that caused warnings. Change some EXTERN to
extern (as EXTERN is undefined in some files, but that caused issues in a few
cases). Add some missing "const" keywords to devel/devel.c and fix a typo in
a comment. Remove some unused variables from random_maps.
 include/timers.h
 include/global.h
 devel/devel.c
 random_maps/room_gen_onion.c
 random_maps/room_gen_spiral.c
 server/timers.c
Arvid Norlander 2008-06-01

Set svn:eol-style to native on *.c and *.h files that were missing it.
 server/ob_methods.c
 server/ob_types.c
 test/unit/server/comet_perf.c
 test/bugs/bugtrack/check_1727944.c
 plugins/cflogger/include/cflogger_proto.h
 plugins/cflogger/include/cflogger.h
 plugins/cflogger/cflogger.c
 plugins/citylife/include/citylife.h
 plugins/citylife/citylife.c
 plugins/cfrhg/include/cfrhg.h
 plugins/cfrhg/cfrhg.c
 plugins/cfpython/cjson.c
 plugins/cfnewspaper/include/cfnewspaper.h
 plugins/cfnewspaper/include/cfnewspaper_proto.h
 plugins/cfnewspaper/cfnewspaper.c
 include/dialog.h
 include/languages.h
 include/image.h
 include/ob_methods.h
 include/typesproto.h
 include/metaserver2.h
 include/stringbuffer.h
 include/ob_types.h
 common/dialog.c
 common/languages.c
 common/ob_methods.c
 common/stringbuffer.c
 common/ob_types.c
 utils/mapper.c
 utils/gridarta-types-convert.c
 utils/bwp.c
 types/gate/gate.c
 types/marker/marker.c
 types/player_changer/player_changer.c
 types/shop_inventory/shop_inventory.c
 types/food/food.c
 types/lamp/lamp.c
 types/arrow/arrow.c
 types/book/book.c
 types/peacemaker/peacemaker.c
 types/identify_altar/identify_altar.c
 types/trigger_button/trigger_button.c
 types/pedestal/pedestal.c
 types/cf_handle/cf_handle.c
 types/poisoning/poisoning.c
 types/trap/common_trap.c
 types/trap/trap.c
 types/trap/rune.c
 types/duplicator/duplicator.c
 types/thrown_object/thrown_object.c
 types/poison/poison.c
 types/converter/converter.c
 types/detector/detector.c
 types/shop_mat/shop_mat.c
 types/director/director.c
 types/weapon_improver/weapon_improver.c
 types/spinner/spinner.c
 types/blindness/blindness.c
 types/container/container.c
 types/trigger_pedestal/trigger_pedestal.c
 types/deep_swamp/deep_swamp.c
 types/teleporter/teleporter.c
 types/trigger_altar/trigger_altar.c
 types/hole/hole.c
 types/armour_improver/armour_improver.c
 types/common/describe.c
 types/common/projectile.c
 types/common/common_apply.c
 types/check_inv/check_inv.c
 types/spellbook/spellbook.c
 types/trapdoor/trapdoor.c
 types/treasure/treasure.c
 types/clock/clock.c
 types/spell_effect/spell_effect.c
 types/transport/transport.c
 types/power_crystal/power_crystal.c
 types/skillscroll/skillscroll.c
 types/lighter/lighter.c
 types/scroll/scroll.c
 types/mood_floor/mood_floor.c
 types/creator/creator.c
 types/sign/sign.c
 types/altar/altar.c
 types/trigger/trigger.c
 types/legacy/process.c
 types/legacy/legacy_describe.c
 types/legacy/apply.c
 types/player_mover/player_mover.c
 types/potion/potion.c
 types/exit/exit.c
 types/savebed/savebed.c
 types/button/button.c
Arvid Norlander 2008-06-01

Update 'make collect' so that it does not complain about files that are not
really junk: CHANGES, TODO, *.xcf* (including *.xcf.gz or *.xcf.bz2), *.doc
and *.txt.
 lib/collect.pl.in
Raphaël Quinet 2008-06-01

Scripted removal of trailing whitespaces, also removing excessive newlines at
end of files (one final newline should be all).
 plugins/cfpython/cjson.c
 socket/metaserver.c
 common/languages.c
 common/button.c
 common/time.c
 random_maps/treasure.c
 server/spell_attack.c
 server/resurrection.c
 server/player.c
 server/skills.c
 server/move.c
 server/c_object.c
 server/hiscore.c
 INSTALL
Arvid Norlander 2008-06-01

Change even more sprintf to snprintf.
 socket/init.c
 socket/loop.c
 socket/info.c
 random_maps/random_map.c
 server/c_party.c
 server/init.c
 server/rune.c
 server/swap.c
 server/pets.c
 server/disease.c
 server/alchemy.c
 server/resurrection.c
 server/gods.c
 server/player.c
 server/c_misc.c
 server/ban.c
 server/skills.c
 server/login.c
 server/c_wiz.c
 server/spell_effect.c
 server/hiscore.c
Arvid Norlander 2008-05-31

Change some more sprintf to snprintf.
 common/readable.c
 common/languages.c
 common/holy.c
 common/logger.c
 common/image.c
 common/region.c
 common/living.c
 common/exp.c
 common/recipe.c
 common/arch.c
 common/porting.c
 common/anim.c
 common/treasure.c
 socket/metaserver.c
 types/food/food.c
 types/weapon_improver/weapon_improver.c
Arvid Norlander 2008-05-31

Change some sprintf to snprintf.
 socket/image.c
 socket/item.c
 socket/request.c
Arvid Norlander 2008-05-30

Fix use of uninitialised variables in the plugin API and remove some dead code
from the plugin API (as in: never called from plugin_common.c) Also cleanup
indention in map.h, change order of members in some structs in face.h to pack
them a bit better.
 include/face.h
 include/map.h
 plugins/common/plugin_common.c
 server/plugins.c
Arvid Norlander 2008-05-29

Fix the member order in global.h to match the one in init.c. Fix some extern
with wrong type (was char* instead of const char* const). Change some prototypes
to use const pointers. Change to strtol if it exists, and only fall back to
strtol_local if it doesn't.
 common/object.c
 common/porting.c
 common/treasure.c
 include/attack.h
 include/global.h
 include/libproto.h
 include/sproto.h
 server/login.c
 server/spell_util.c
 server/time.c
Arvid Norlander 2008-05-29

Fix a case of assigning and passing a string literal (const char*) as a char*.
Also pack one structure a bit better.
 random_maps/random_map.c
 random_maps/random_map.h
 random_maps/rproto.h
 random_maps/special.c
Arvid Norlander 2008-05-29

Make server send size and data in one packet, this fix is suboptimal though as
it uses memcpy to do so, it should use writev instead.
 socket/lowlevel.c
Arvid Norlander 2008-05-29

Change the order of some members in some of the large and often used structs in
order to pack them better. This will mainly help on x86_64, but also a bit on x86.
No actual functionality change. Some structs could be packed even better but that
would destroy the logical sectioning of the members in groups.
 include/living.h
 include/map.h
 include/newserver.h
 include/object.h
 include/player.h
Arvid Norlander 2008-05-27

Fix some more snprintf using a non-constant string as format parameter, and no
arguments to format string. Also change some more // comments to /**/, as crossfire
is C89 not C99. Add some missing prototypes to headers. Add missing value to a return.
Change from using strcasestr (GNU specific) to the already existing strcasestr_local
in one place.
 plugins/cflogger/cflogger.c
 plugins/cfnewspaper/cfnewspaper.c
 plugins/common/include/plugin_common.h
 server/hiscore.c
 server/login.c
 socket/lowlevel.c
 server/move.c
 server/player.c
 server/plugins.c
 server/server.c
 server/shop.c
 server/spell_effect.c
Arvid Norlander 2008-05-27

Fix some snprintf using a non-constant string as format parameter, and no
arguments to format string. Also change some // comments to /**/, as crossfire
is C89 not C99.
 common/anim.c
 common/init.c
 common/map.c
 common/readable.c
 common/shstr.c
Arvid Norlander 2008-05-25

Removed unused .cvsignore files, after all we use SVN since a long time.
 .cvsignore
 */.cvsignore
 */*/.cvsignore
 */*/*/.cvsignore
Arvid Norlander 2008-05-25

Add length parameter for some functions to be able to use snprintf instead of
sprintf in those. Fixed a char* that should have been const char* in plugin code.
Fixed some typos in protocol documentation. Also fixed indention in some code while
I was working on it anyway.
 doc/Developers/protocol
 include/sockproto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
 socket/info.c
 socket/request.c
Arvid Norlander 2008-05-25

Cleanup the autoconf and automake stuff somewhat:
* Removed tests for X libraries (as the map editor is no longer a part of the server)
* Ran autoupdate to update the syntax (where it could do so).
* Add some missing checks
* Make check for gethostbyname try libc first, no need to get nsl version.
* Use AS_HELP_STRING to format help strings.
* General cleanup and reformatting to make it easier to maintain.
* Update automake syntax in some files.
 acinclude.m4
 check-fragment.am
 configure.ac
 include/autoconf.h.in
 test/toolkit/Makefile.am
Arvid Norlander 2008-05-24

Fix for bug #1965528. Not sure if it fixes all cases of the bug.
 server/shop.c
Arvid Norlander 2008-05-21

Change a lot of static variables to static const, as they are never modified.
Also remove some non-needed nested (inside a function) extern. Also fix some
compiler warning in cfanim (on x86_64 int is not same size as long int!).
 common/exp.c
 common/logger.c
 common/los.c
 common/item.c
 common/object.c
 common/readable.c
 common/time.c
 common/treasure.c
 plugins/cfanim/cfanim.c
 server/c_object.c
 server/c_misc.c
 server/monster.c
 server/player.c
 server/server.c
 socket/loop.c
 socket/request.c
Arvid Norlander 2008-05-21

Fix wrong format string for 64-bit unsigned values. Fix confusing error log message
in shop code (confusing due to not refering to the correct function).
 include/global.h
 server/shop.c
Arvid Norlander 2008-05-21

Remove an unused static const array. Not referenced anywhere.
 common/item.c
Arvid Norlander 2008-05-21

Add a 'message' command, that will display a message on the whole map the victim is on.
 plugins/cfanim/cfanim.c
Nicolas Weeger 2008-05-20

Clean some log messages. Add the option to specify the animation to play
through the 'message' sent as part of the event.
 plugins/cfanim/cfanim.c
 plugins/cfanim/include/cfanim_proto.h
Nicolas Weeger 2008-05-20

The current configure.ac was already set to use the utils directory for auxillary
files, so the config.guess and config.sub in the top source directory were not
used, thus moved them to utils directory. (Before, locally created copies by
autogen.sh placed in utils/ would were used. Try removing them if svn complains
about already existing files). Also force update of all autoconf/automake files
to last versions. Also fix a minor issue with "inline" and "void" being in wrong
order in a function (gcc will handle it, but the C standard doesn't allow it).
 INSTALL
 common/map.c
 utils/depcomp
 utils/install-sh
 utils/missing
 utils/mkinstalldirs
Moved:
 config.guess to utils/config.guess
 config.sub to utils/config.sub
Arvid Norlander 2008-05-20

Fix some cases of using snprintf function with potentially untrusted data as
format parameter. Change two sprintf into snprintf. Add return value for all
code paths in a non-void returning function.
 common/path.c
 server/c_chat.c
 server/c_misc.c
 server/c_wiz.c
Arvid Norlander 2008-05-20

Update svn:ignore property for various directories in the server source,
in order to make it simpler to work with.
 (Lots of directories in the source tree, too many to list here)
Arvid Norlander 2008-05-20

Apply Patch #1966455: Fix for cut off NPC dialog messages.
 common/dialog.c
Arvid Norlander 2008-05-20

Apply Patch #1966113: Fix uninitialised range vector in monster.c.
 server/monster.c
Arvid Norlander 2008-05-20

Increase base book max size, to try to get more various messages.
 include/book.h
Nicolas Weeger 2008-05-19

Apply Patch #1967076: Fix crash in use command.
 command/c_object.c
Arvid Norlander 2008-05-19

Apply patch #1965969: Unit test for common/path.c.
 common/path.c
 test/unit/common/check_path.c Makefile.am
Arvid Norlander 2008-05-17

Apply patch #1964563: Fix compile error when "MEMORY_DEBUG" is defined in config.h.
 server/server.c
Arvid Norlander 2008-05-16

Apply patch #1964058: Fix missing \0 in buffer in add_object_to_socklist.
 socket/item.c
Arvid Norlander 2008-05-16

Apply patch #1964051: Valgrind error fix: Bad format string.
 lib/i18n/messages.en messages.fr
Arvid Norlander 2008-05-16

Fix incorrect boundary of the object type array, courtesy of Arvid Norlander.
 include/define.h
Yann "gros" Chachkoff 2008-05-16

Fix memory leaks, courtesy Arvid Norlander.
 common/dialog.c
Andreas Kirschbaum 2008-05-23

Added the possibility to build the server outside of its source directory.
 plugins/citylife/Makefile.am
 plugins/cfrhg/Makefile.am
 plugins/template/Makefile.am
 plugins/cfnewspaper/Makefile.am
Arvid Norlander 2008-05-14

Fixed bug #1962926 "Fix for crash on division by zero", courtesy of Arvid Norlander
 common/item.c
Yann "gros" Chachkoff 2008-05-13

Removed 'context' stuff as it isn't used here. Clean event handling.
 plugins/cfanim/cfanim.c
 plugins/cfanim/include/cfanim.h cfanim_proto.h
Nicolas Weeger 2008-05-12

Add 'moveto' command, and 'byname' victim type. Fix potential memory leak.
Enable moves to take more than one tick.
 doc/Developers/plugins.doc/cfanim/animfiles.txt
 plugins/cfanim/cfanim.c
 plugins/cfanim/include/cfanim.h cfanim_proto.h
Nicolas Weeger 2008-05-12

Wrapper for move_to(). Fix invalid move_to parameter order.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2008-05-12

Give access to find_string() to plugins. Fix invalid manual_apply parameter order.
 include/sproto.h
 server/plugins.c
Nicolas Weeger 2008-05-12

Detect correct prototype for strerror_r() courtesy Arvid Norlander.
 common/porting.c
 configure.ac
 include/autoconf.h.in
 include/libproto.h
Andreas Kirschbaum 2008-05-12

Ansi C compatibility improvements courtesy Arvid Norlander:
 include/attack.h: do not redeclare variable
 socket/lowlevel.c: use #include <errno.h>
 (lots of files): use prototypes
Andreas Kirschbaum 2008-05-12

Fix possible buffer overflows courtesy Arvid Norlander.
 common/init.c
Andreas Kirschbaum 2008-05-12

Give access to move_to() to plugins.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2008-05-12

Rewrite NPC communication system. See doc/objects 'J. NPC's Speak out' for more information,
or check doc/Developers/dialog.dox, or the maps/test/say map.
 common/loader.l Makefile.am object.c
 doc/Developers/mainpage.dox objects
 include/define.h Makefile.am object.h libproto.h typesproto.h
 server/c_chat.c monster.c
New files:
 common/dialog.c
 doc/Developers/dialog.dox
 include/dialog.h
Nicolas Weeger 2008-05-11

Add 'move_to' function, that can be used later on for eg plugins
(should replace Python's CFMove).
 include/sproto.h
 server/monster.c move.c
Nicolas Weeger 2008-05-11

Merge NPC and MAGIC_EAR handling, add comments, fix prototype to use const.
 include/sproto.h
 server/monster.c
Nicolas Weeger 2008-05-11

Document a few things.
 plugins/cfanim/cfanim.c
 plugins/cfanim/include/cfanim_proto.h
Nicolas Weeger 2008-05-10

Fix bombs being really too powerful.
 server/spell_attack.c: set the maxhp (for spell merging) for bombs too.
Nicolas Weeger 2008-05-10

Make the 'second' timemode work. Don't set FLAG_WIZ* on non player object.
Correctly remove event if unique.
 plugins/cfanim/cfanim.c
 plugins/cfanim/include/cfanim_proto.h
Nicolas Weeger 2008-05-10

Fix a few warnings.
 include/sproto.h: add prototype for query_cost_string().
 test/toolkit/toolkit_common.c: make argument const.
Nicolas Weeger 2008-05-10

Rename some functions, fix documentation.
 doc/Developers/login.dox
 include/sockproto.h
 server/init.c server.c
 socket/init.c loop.c request.c
Nicolas Weeger 2008-05-10

Implement feature request #1961031: 'drop food' and 'drop flesh' buttons would be nice.
 lib/help/dropall.{fr,en}: update help text.
 server/c_object.c: extend 'dropall' to accept 'food' and 'flesh'.
Nicolas Weeger 2008-05-10

Fix bug #1846018: artifact monster graphics broken.
 common/treasure.c: animation is part of things artifact can change.
 lib/artifacts: add correct animations to monsters.
Nicolas Weeger 2008-05-09


Also extract NPC messages for friendly living things.
 utils/mapper.c
Nicolas Weeger 2008-05-08

Potential fix for bug #1928570: x-ray vision now needs a push start.
 server/spell_effect.c: use FLAG_NO_FIX_PLAYER to not mess with our values.
Nicolas Weeger 2008-05-08

Fix a potential underflow, forbid players to create too powerful missiles.
 server/spell_effect.c
Nicolas Weeger 2008-05-08

Remove unpaid items when returning a player to his savebed for map reset or
after server-specific timeout.
 include/sproto.h
 server/login.c player.c
Nicolas Weeger 2008-05-08

Generate NPC information page.
 utils/mapper.c
Nicolas Weeger 2008-05-08

Better and more logical fix for bug #1936178: Trying to remove removed object causes server crash.
 random_maps/treasure.c: remove doors after door replacing.
Nicolas Weeger 2008-05-08

Fix artifact reading to (kind of) trim strings. Fix add missing artifacts
to fix alchemy warning.
 common/treasure.c
 lib/artifacts
Nicolas Weeger 2008-05-08

Tentative fix for bug #1936178: Trying to remove removed object causes server crash.
 random_maps/treasure.c: update doorlist to process when removing a door.
Nicolas Weeger 2008-05-08

Tentative fix for bug #1956908: bolt wc can overflow.
 server/player.c: cap modifiers so we don't overflow wc.
Nicolas Weeger 2008-05-07

Fix bug #1929084: Wrong artifact stats on forged items. Use 'legal_artifact_combination'
to check that the item matches the artifact.
 common/recipe.c treasure.c
 include/libproto.h
Nicolas Weeger 2008-05-07

common/loader.l: remove obsolete code.
Nicolas Weeger 2008-05-07

Add min/max monster level information to maps.
 utils/mapper.c
 utils/templates/map_monster_before.template: added the fields to the default template.
Nicolas Weeger 2008-05-07

Remove unused #ifdef and useless LOG.
 common/map.c
Nicolas Weeger 2008-05-06

Provide a more explicit message when attempting to write down a spell with
no marked scroll, as per bug #1910805.
 server/skills.c
Yann Chachkoff 2008-04-20

New plugin: random house generator. Check cfrhg.c for details.
Still basic, but should be a good start.
 configure.ac
 plugins/Makefile.am
Added:
 cfrhg/include/cfrhg.h
 cfrhg/cfrhg.c Makefile.am
Nicolas Weeger 2008-04-12

Extract duplicator handling to its own type file.
 common/button.c
 include/sproto.h typesproto.h
 random_maps/standalone.c
 server/ob_types.c time.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
 types/Makefile.am
New file:
 types/duplicator/duplicator.c
Nicolas Weeger 2008-04-11

Extract detector handling to its own type file.
 include/sproto.h typesproto.h
 server/ob_types.c time.c
 types/Makefile.am
 types/legacy/process.c
New file:
 types/detector/detector.c
Nicolas Weeger 2008-04-11

Extract mood floor handling to its own type file.
 common/button.c
 include/sproto.h typesproto.h
 server/ob_types.c
 types/Makefile.am
 types/legacy/process.c
New file:
 types/mood_floor/mood_floor.c
Nicolas Weeger 2008-04-09

Extract marker handling to its own type file.
 common/button.c
 include/sproto.h typesproto.h
 random_maps/standalone.c
 server/ob_types.c time.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
 types/legacy/process.c
 types/Makefile.am
New file:
 types/marker/marker.c
Nicolas Weeger 2008-04-09

Extract creator handling to its own type file.
 common/button.c
 include/sproto.h typesproto.h
 random_maps/standalone.c
 server/ob_types.c time.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
 types/legacy/process.c
 types/Makefile.am
New file:
 types/creator/creator.c
Nicolas Weeger 2008-04-09

Extract teleporter handling to its own type file.
 common/button.c
 include/sproto.h typesproto.h
 random_maps/standalone.c
 server/ob_types.c time.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
 types/legacy/process.c
 types/Makefile.am
New file:
 types/teleporter/teleporter.c
Nicolas Weeger 2008-04-08

include/libproto.h: missing register_trigger prototype.
Nicolas Weeger 2008-04-08

New 'ob_trigger' object function.
 common/ob_methods.c ob_types.c
 include/libproto.h ob_methods.h
Nicolas Weeger 2008-04-08

Move most of the object system's logic to common, to prepare for more refactoring
and easier calling from the common library.
 common/Makefile.am
 include/libproto.h sproto.h
 random_maps/standalone.c
 server/ob_methods.c ob_types.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
Added files:
 common/ob_methods.c ob_types.c: duplicated from server/ and cleaned
Nicolas Weeger 2008-04-08

Make type's type coherent.
 common/object.c
 include/libproto.h
Nicolas Weeger 2008-04-06

Move conversion to lower case to calling function.
 server/c_new.c
Nicolas Weeger 2008-04-06

Link to quest's definition instead of the page itself.
 utils/mapper.c
Nicolas Weeger 2008-04-02

Sort maps on the quest page.
 utils/mapper.c
Nicolas Weeger 2008-04-02

Remove obsolete get_map_ob define, replaced by GET_MAP_OB.
 common/button.c map.c utils.c
 include/map.h
 plugins/common/plugin_common.c
 random_maps/decor.c exit.c special.c standalone.c style.c treasure.c wall.c
 server/alchemy.c apply.c attack.c c_wiz.c disease.c monster.c move.c pets.c
  player.c plugins.c resurrection.c rune.c shop.c skill_util.c skills.c
  spell_attack.c spell_effect.c spell_util.c time.c
 socket/item.c
 utils/bwp.c mapper.c
 types/common/projectile.c
 types/exit/exit.c
 types/peacemaker/peacemaker.c
 types/shop_inventory/shop_inventory.c
 types/spell_effect/spell_effect.c
Nicolas Weeger 2008-03-30

Remove static buffer.
 server/player.c
Nicolas Weeger 2008-03-30

common/living.c: remove unneeded test.
Nicolas Weeger 2008-03-30

Move function is_legal_2ways_exit() to relevant file, remove legacy function.
 include/sproto.h
 server/apply.c
 types/exit/exit.c
Nicolas Weeger 2008-03-30

Extract blindness to its own file.
 include/sproto.h typesproto.h
 server/ob_types.c time.c
 types/legacy/process.c
 types/Makefile.am
Added file:
 types/blindness/blindness.c
Nicolas Weeger 2008-03-30

Change test order to speed up some, fix comments.
 server/c_object.c
Nicolas Weeger 2008-03-30

Rename a few xxx_player() functions to xxx_living() for coherence.
 include/sproto.h
 server/apply.c attack.c skills.c spell_effect.c spell_util.c
Nicolas Weeger 2008-03-30

Remove global variables. Make functions static.
 random_maps/maze_gen.c maze_gen.h rproto.h
Nicolas Weeger 2008-03-30

Remove unused parameter, rename to better name.
 server/attack.c
Nicolas Weeger 2008-03-30

Extract player_changer to its own file.
 include/sproto.h typesproto.h
 server/ob_types.c time.c
 types/legacy/process.c
 types/Makefile.am
Added file:
 types/player_changer/player_changer.c
Nicolas Weeger 2008-03-29

Remove obsolete code, tweak comment.
 server/time.c
Nicolas Weeger 2008-03-29

Remove autohook inserted in items, and use was_destroyed() to check item's validity.
 plugins/cfpython/include/cfpython_object.h: keep item's count, change check macros.
 plugins/cfpython/cfpython_map.c: fix wrong EXISTCHECK_INT to MAPEXISTCHECK_INT.
 plugins/cfpython/cfpython_object.c: remove autohook stuff, use item's count.
 plugins/cfpython/cfpython.c: remove autohook handling.
Nicolas Weeger 2008-03-29

Tweak documentation generation.
 doc/playbook/Makefile.am: factorize code to make it easy to generate PDFs,
  fix many pic issues.
 doc/scripts/makeps.pl: add "pdf" output support.
Nicolas Weeger 2008-03-29

Remove unused variable. Use safe string functions.
 server/alchemy.c
Nicolas Weeger 2008-03-29

Use try_find_archetype() instead of find_archetype() and remove the nroferrors
handling.
 random_maps/wall.c
Nicolas Weeger 2008-03-29

Remove unused parameter.
 random_maps/random_map.c rproto.h snake.c square_spiral.c test.c
Nicolas Weeger 2008-03-29

Use StringBuffer to remove static buffers.
 include/sproto.h
 server/c_object.c shop.c
Nicolas Weeger 2008-03-29

Fix accidentally broken connection.
 socket/request.c
Nicolas Weeger 2008-03-29

Remove unused parameter.
 include/sproto.h
 server/spell_effect.c spell_util.c
Nicolas Weeger 2008-03-29

Use safe string functions.
 server/build_map.c
Nicolas Weeger 2008-03-29

Use flags instead of hardcoded values for monster's will_apply.
 include/object.h
 server/monster.c move.c
Nicolas Weeger 2008-03-29

Remove unused return value.
 include/sproto.h
 server/player.c
 socket/request.c
Nicolas Weeger 2008-03-29

Remove unused return value.
 include/sproto.h
 server/player.c
Nicolas Weeger 2008-03-29

Remove static buffer.
 server/hiscore.c
Nicolas Weeger, 2008-03-29

Remove static buffer, simplify code.
 server/hiscore.c
Nicolas Weeger, 2008-03-29

Make god-related object const to avoid modification.
 common/holy.c readable.c
 include/libproto.h sproto.h
 server/attack.c c_wiz.c gods.c pets.c spell_attack.c spell_effect.c
Nicolas Weeger, 2008-03-29

Clean code, use player-finding function.
 server/c_wiz.c
Nicolas Weeger, 2008-03-29

Remove global variables, make them in a structure. Make function static.
 random_maps/rproto.h treasure.c
Nicolas Weeger, 2008-03-29

Remove global variable, remove suspect tests.
 random_maps/treasure.c
Nicolas Weeger, 2008-03-29

Remove obsolete other_arch field which was used for spell in firewall.
 server/time.c
Nicolas Weeger, 2008-03-29

Remove free_map()'s second parameter, unused.
 common/map.c
 include/libproto.h
 server/swap.c
 test/unit/server/comet_perf.c
Nicolas Weeger, 2008-03-29

Use 'const char*' instead of 'char*'.
 server/c_party.c c_wiz.c
Nicolas Weeger, 2008-03-29

Fix non meaningful return value of summon_hostile_monsters().
 server/spell_util.c
Nicolas Weeger, 2008-03-29

Use 'const char*' instead of 'char*'.
 include/sproto.h
 server/swap.c
Nicolas Weeger, 2008-03-29

Write 'describe_item' unit tests.
 test/unit/common/check_item.c Makefile.am
Nicolas Weeger, 2008-03-25

Generate global elevation map.
 utils/mapper.c
Nicolas Weeger, 2008-03-25

Factorize code.
 common/friend.c
Nicolas Weeger, 2008-03-24

Correctly point to tiled group instead of non existing map page.
 utils/mapper.c
Nicolas Weeger, 2008-03-24

Use region's name instead of the filename in maps's pages.
 utils/mapper.c
Nicolas Weeger, 2008-03-24

Remove trailing newlines in quest/map description.
 utils/mapper.c
Nicolas Weeger, 2008-03-24

Tweak documentation so some programs in utils/ are part of Doxygen's output.
 Doxyfile
 utils/bwp.c gridarta-types-convert.c mapper.c
Nicolas Weeger, 2008-03-23

Tweak documentation, remove unused parameters.
plugins/citylife/citylife.c
Nicolas Weeger, 2008-03-23

Fix memory leak.
 utils/mapper.c
Nicolas Weeger, 2008-03-23

Fix documentation, no functional change.
 common/button.c image.c info.c init.c item.c player.c time.c treasure.c
 plugins/cfpython/cfpython_map.c
 random_maps/exit.c random_map.h treasure.c
 server/apply.c plugins.c rune.c spell_effect.c
 types/button/button.c
 types/exit/exit.c
 types/legacy/apply.c
 types/spell_effect/spell_effect.c
 types/trap/rune.c
 types/treasure/treasure.c
Nicolas Weeger, 2008-03-23

Fix protocol issues regarding sent items: do not send invisible items.
  common/object.c
Andreas Kirschbaum 2008-03-21

Fix protocol issues regarding face caching.
  socket/request.c
Andreas Kirschbaum 2008-03-21

Implement strerror_local() for systems not having strerror_r().
  common/porting.c
Andreas Kirschbaum 2008-03-20

Fix some integer overflows in experience calculations.
  common/exp.c
  common/living.c
  include/libproto.h
  include/sproto.h
  server/attack.c
  server/skill_util.c
Andreas Kirschbaum, 2008-03-08

Fix i18n bug resulting in erroneous output for 'statistics' command.
 include/languages.h
Kevin Bulgrien, 2008-03-02

Generate a global list of monsters in maps, and list monsters on each map.
 utils/templates/map.template
 utils/mapper.c
Added files:
 utils/templates/map_monster_after.template map_monster_before.template
 map_monster_between.template map_no_monster.template map_monster_one.template
Nicolas Weeger, 2008-02-23

Generate a list of special equipment in maps. Not yet listed in the map page itself.
 utils/mapper.c
Nicolas Weeger, 2008-02-22

Smarter pic generation for tiled maps. Fix crash if no map for quest.
 utils/mapper.c
Nicolas Weeger, 2008-02-16

Remove obsolete functions (related to weather).
 random_maps/standalone.c
 utils/bwp.c mapper.c
 test/unit/common/stubs_common.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
Nicolas Weeger, 2008-02-17

Fix shifted pic for eg Titan.
 common/object.c: make get_multi_size() non static so can be used elsewhere.
 include/libproto.h
 utils/mapper.c
Nicolas Weeger, 2008-02-17

Remove ltostr10 and doubletostr10. They were using static buffer, and
are nicely replaced by stringbuffer_append_printf() or snprintf().
 common/loader.l object.c porting.c
 include/libproto.h
 server/time.c
 test/unit/common/check_loader.c
Nicolas Weeger, 2008-02-17

Unit test for get_ob_diff().
 test/unit/common/check_loader.c
 test/unit/common/Makefile.am
Nicolas Weeger, 2008-02-17

Tileset support, through '-tileset=' option. Default 'standard' tileset.
 utils/mapper.c
Nicolas Weeger, 2008-02-16

Remove left-over from weather code.
 common/map.c utils.c
 include/map.h plugin.h sproto.h
 plugins/cfpython/include/cfpython_map_private.h
 plugins/cfpython/cfpython_map.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/c_misc.c init.c plugins.c weather.c
Nicolas Weeger, 2008-02-16

Fix various warnings, remove unused variables/code.
 common/button.c languages.c
 server/attack.c c_misc.c spell_util.c
 socket/request.c sounds.c
 types/gate/gate.c
Nicolas Weeger, 2008-02-14

Add 'race_restriction' key/value field, that enables to restrict an item
to being appliable only for certain races.
 doc/Developers/objects
 server/apply.c
Nicolas Weeger, 2008-02-14

Remove unused functions.
 common/porting.c
 include/libproto.h
Nicolas Weeger, 2008-02-13

Better tiled maps handling. Now tiled maps are considered as one map, and
all links will point to the group.
 utils/mapper.c
Nicolas Weeger, 2008-02-13

Kind of update a few things.
 doc/handbook.ps
 doc/playbook/appA.tex chap3.tex
Nicolas Weeger, 2008-02-09

Fix broken pics.
 doc/playbook/items-extract
 doc/playbook/Makefile.am
Nicolas Weeger, 2008-02-09

socket/loop.c request.c: fix missing parameter.
Nicolas Weeger, 2008-02-09

Use 'anim_suffix' in class selection to try to find a race/class animation.
 server/apply.c
Nicolas Weeger, 2008-02-09

Some bases for sending race/class info to client. Not finished.
 doc/Developers/protocol: update.
 include/sockproto.h
 socket/loop.c request.c
Nicolas Weeger, 2008-02-09

Helper stringbuffer function.
 common/stringbuffer.c
 include/stringbuffer.h
Nicolas Weeger, 2008-02-09

Get quest information from map's lore. Generate quest index.
 utils/mapper.c
 utils/templates/map.template
Added files:
 templates/map_no_quest.template map_one_quest.template map_with_quests.template
  quests.template quests_map.template quests_quest.template
Nicolas Weeger, 2008-02-08

Include level of map in variables. Generate global map index by level.
 utils/mapper.c
Added files:
 utils/templates/level.template level_map.template level_value.template
Nicolas Weeger, 2008-02-08

Documentation, no functional change.
 common/anim.c: remove todo, done.
 doc/Developers/compound_animations.dox: added.
 doc/Developers/custom_attributes.dox: first version.
 doc/Developers/mainpage.dox: add the previous 2 pages.
Nicolas Weeger, 2008-02-07

Add stringbuffer_append_printf(), stringbuffer_append_stringbuffer(), and
stringbuffer_finish_shared().
  common/stringbuffer.c
  include/stringbuffer.h
Andreas Kirschbaum 2008-02-07

Change heading of high score command output to match the actual highscore data
by using <> instead of [] around max grace, hp, and sp.  The reason is that
when [max x] gets to a client that supports mediaTags, the text is treated
as a tag, and a log message is created about an unknown tag.
  server/hiscore.c
Kevin Bulgrien, 2008-02-06

Use map's name on the slaying page.
 utils/mapper.c
Nicolas Weeger, 2008-02-05

Add exits leading to a map. Changes tag to be coherent.
 utils/mapper.c
 utils/templates/map.template map_with_exit.template
Added templates:
 utils/templates/map_exit_to.template map_no_exit_to.template map_with_exit_to.template
Nicolas Weeger, 2008-02-05

Extract map page writing to separate function. Make names coherent.
Delay map loading, reducing memory consumption. Use map name in exit list.
Fix documentation.
 utils/mapper.c
Nicolas Weeger, 2008-02-05

Always get map's name at cost of memory use.
 utils/mapper.c
Nicolas Weeger, 2008-02-05

Parameter to toggle exit info generation.
 utils/mapper.c
Nicolas Weeger, 2008-02-05

Simplify code.
 utils/mapper.c
Nicolas Weeger, 2008-02-05

Fix warnings.
 utils/mapper.c
Nicolas Weeger, 2008-02-04

Get the real map's name.
 utils/mapper.c
Nicolas Weeger, 2008-02-04

Keep pointer to region instead of just the name.
 utils/mapper.c
Nicolas Weeger, 2008-02-03

Major refactoring, to prepare for more fun things.
 utils/mapper.c
Nicolas Weeger, 2008-02-03

Generate information on 'slaying' fields. Not complete yet, missing
FORCE created by markers and other things.
 utils/mapper.c
Nicolas Weeger, 2008-02-03

Add lore information to map page.
 utils/mapper.c
Added files:
 utils/templates/map_lore.template map_no_lore.template
Nicolas Weeger, 2008-02-03

common/object.c: fix memory leak.
Nicolas Weeger, 2008-02-03

Remove weather code, unused and messy.
 include/global.h sproto.h tod.h
 common/init.c map.c
 lib/i18n/messages.en messages.fr settings
 server/c_misc.c commands.c init.c weather.c
Nicolas Weeger, 2008-02-01

Fix for bug #1882265: Server failure when all exp_table entries commented out.
 common/exp.c: exit() in case of errors.
 lib/exp_table: enable a table by default.
Nicolas Weeger, 2008-02-01

plugins/cfanim/cfanim.c,
plugins/cfanim/include/cfanim.h,
plugins/cfanim/include/cfanim_proto.h:
  Changed the name of variables that some C compilers considered as
  keywords.
Yann "gros" Chachkoff 2008-02-01

socket/request.c: trash obsolete code (and version is checked for >= 1027 anyway).
Nicolas Weeger, 2008-01-30

configure.in: Remove to eliminate autoconf complaints that configure.ac and
  configure.in exist.
include/define.h: Add a comment to HOLE.
include/, include/.cvsignore: svnversion.h should not be controlled in SVN so
  ignore it. Changed svn:ignore property accordingly.
Kevin Bulgrien 2008-01-30

include/Makefile.am:  Use hint at http://www.in-ulm.de/~mascheck/various/echo/
  to try to remove a portability issue regarding use of echo -n.
Kevin Bulgrien 2008-01-29

Fix for bug 1850524 - SDL clients crash when entering boat.  Bogus scroll
values were being sent on mapscroll, but only the SDL client did anything
with the mapscroll variables, so only it saw problems.
---
types/transport/transport.c: Store away player x and y positions so we
  can do proper comparisions.  Move update of applier values out of
  if coordinates are different, since those need to get updated in all
  cases.
MSW 2008-01-27

Changes for SVN:
Fix for #1878361: "Hill Giants no longer throw boulders"
Modified files:
 server/skills.c
Yann "gros" Chachkoff, 2008-01-27

Fix for #1878323: "trunk server crashes when praying on alter"
Modified files:
 server/gods.c
Yann "gros" Chachkoff, 2008-01-27

New plugin: citylife. Adds NPCs to town, to make them more lively.
See the plugin documentation for more details.
Modified files:
 configure.ac: build new plugin.
 doc/Developers/mainpage.dox: link to plugin documentation.
 plugins/Makefile.am: build new plugin.
Added files:
 plugins/citylife/include/citylife.h
 plugins/citylife/citylife.c
 plugins/citylife/Makefile.am
Nicolas Weeger, 2008-01-27

Fix template plugin generation and compilation.
 plugins/template/plugin_template.c: fix compilation and parameter order for strncpy.
 plugins/template/create_plugin.sh: missing "exit" to quit if no name.
Nicolas Weeger, 2008-01-26

utils/mapper.c: new option, "-regionslink", to generate a .dot file containing
 relationship between regions. New option "-noworldmap" to not generate the full
 world map. Use region's longname instead of the short name in regions index.
 Change world map size from 30xtiles to 50xtiles.
Nicolas Weeger, 2008-01-26

.cvsignore files created in types subdirectories and svn:ignore set.
Kevin Bulgrien

Spelling mistakes corrected.
  README
  configure.ac
  doc/crossfire-server.man
Kevin Bulgrien

Solved an issue about the portability of strerror_r.
 common/porting.c
Yann "gros" Chachkoff, 2008-01-25

Add F_BLESSED to send blessed status to client.
 include/newclient.h
 socket/item.c
Nicolas Weeger, 2008-01-24

plugins/cfpython/cfpython.c: add EVENT_USER to defined constants.
Nicolas Weeger, 2008-01-24

Documentation, no functional change.
 common/treasure.c: link functions to the relevant page.
 doc/Developers/collect.dox: new file.
 doc/Developers/mainpage.dox: link to collect process.
 doc/Developers/treasure_list.dox: add much content.
Nicolas Weeger, 2008-01-16

Commit combat rebalancing.  Combat is slower now, so less deadly.  If player
is idle, they get faster hp/sp regen.  Allow generators to have limit on
number of monsters they generate before disappearing.  Starting characters
all have same stat total (re-rolling may make the distribution different,
but total will be the same).  Add weapon_speed as an object attributed,
and also add weapon_speed_left - distinct values fixes some odd speed
bugs.  Change encumberance for players - character can carry some portion
with no slowdown.  Allow more tuning for races (hp/sp/grace can be
customized more)
---
common/exp.c: Refine exp calculator (for dump) for monsters.  This
  isn't used in play, but system gave too much bonus for resistances
  and speed, resulting in skewed exp values when using the dump values.
common/living.c: Greatly reduce speed bonuses for high dex.  Reduce
  damage and to hit bonuses from strength.  Remove max_carry.  Improve
  disease handling - player gets speed penalty from worse disease.
  Change speed benefits from magical devices.  For players, give them
  extra hp/sp/grace based upon what the archetype says.  Reduce
  rate of increase of wc and damage from melee skill.  Implement new
  encumberance calculations.  Add code to calculate weapon speed.
common/loader.l: Add support for loading an saving weapon_speed and
  weapon_speed_left.
doc/Developers/objects: Update notes for the generators to detail
  generator_limit
doc/Developers/protocol: Add note about sc protocol 1029 (change way weapon
  speed is calculated)
include/config.h: Add new defines related to encumberance handling.  Also
  add new define related to characters base weapon speed
include/newclient.h: Add MSG_TYPE_ATTACK_MISS
include/newserver.h: Bump up SC_VERSION because of weapon_speed handling.
include/object.h: Add weapon_speed, weapon_speed_left to object structure.
include/player.h: remove weapon_sp from player structure.
lib/exp_table: Add new experience table to slows down character advancment.
  (table D)
server/attack.c: Display all attack messages, not just a portion of them.
  With slower combat, this is still reasonable, and is useful in debugging
  stages of combat.  If not all messages are to be displayed, this should
  really be controlled by listen level and not random choice.
server/login.c: Remove load/save support of weapon_sp in player file.
  Now an object attribute handled in common/loader.l
server/player.c: Keep rolling stat until total is 105 (arbitrary value) -
  good for testing balance since all characters are closer in power.  Add
  code to handle weapon_speed properly.
server/server.c: Add weapon_speed_left handling.  Give boost to players
  sp/hp/grace/food consumption when player is 'resting'
server/skills.c: Change throw calculation based on new character encumberance
server/skill_util.c: Add 'you miss foo' messages when attacking - otherwise
  hard to know what is going on.
server/time.c: Modify generator code for max limiting of monsters.
  Functions that actually generate monsters were modified to return if
  in fact they generated a monster, so that generator_limit only happens
  if in fact that number of monsters were generated, not attempted to
  generate (otherwise generators go poof in room full of monsters
  because there is no space to make new monster).
socket/request.c: Pull weapon_speed from object, not player structure
  when sending to client
---
MSW 2008-01-13

Fix invalid check in test unit, resulting in failure.
 test/unit/common/check_object.c
Nicolas Weeger 2008-01-13

Fix buffer overflows in get_ob_diff(), dump_object(), and dump_arch().
Introduce a new module stringbuffer which implements a buffer that can hold
variable-sized strings.
 Makefile.am
 common/anim.c arch.c loader.l object.c
 include/global.h libproto.h Makefile.am
 server/c_misc.c c_wiz.c server.c
 types/gate/gate.c
Added files:
 common/stringbuffer.c
 include/stringbuffer.h
Andreas Kirschbaum 2008-01-12

Added more French help translations.
 lib/help/motd.fr
 lib/help/news.fr
 lib/help/output-count.fr
 lib/help/output.fr
 lib/help/output-sync.fr
 lib/help/party.fr
 lib/help/party_rejoin.fr
 lib/help/peaceful.fr
 lib/help/petmode.fr
 lib/help/pickup.fr
 lib/help/quit.fr
 lib/help/rename.fr
 lib/help/rules.fr
 lib/help/save.fr
 lib/help/shout.fr
 lib/help/showpets.fr
 lib/help/skills.fr
 lib/help/take.fr
 lib/help/use.fr
 lib/help/usekeys.fr
 lib/help/whereabouts.fr
Yann Chachkoff (gros) 2008-01-10

Make 'player quits the game' in the same style as entered/leave messages.
 server/player.c
Nicolas Weeger 2008-01-07

Documentation, no functional changes.
 doc/Developers/custom_attributes.dox: added
 include/define.h: document a few things.
 types/treasure/treasure.c: fix @file directive.
Nicolas Weeger 2008-01-06

Add documentation generated by the converter program.
This way, people don't have to get Gridarta to generate it.
 doc/Developers/fields/field_*
 doc/Developers/types/type_*
Nicolas Weeger 2008-01-06

New small program to extract information from Gridarta's types.xml file and
generate doxygen documentation.
New files:
 doc/Developers/fields/README
 doc/Developers/types/README
 utils/gridarta-types-convert.c
Modified file:
 doc/Developers/mainpage.dox
Nicolas Weeger 2008-01-06

Fix multipart holes not animating properly.
 server/time.c: use convenient animate_object function.
Nicolas Weeger 2008-01-05

Handle invalid file descriptors more gracefully.
 socket/init.c: reset a file descriptor when closing it.
 socket/loop.c: try to look up bad file descriptors and drop them.
Nicolas Weeger 2008-01-04

Fix crash on invalid bulletwalls.
 server/time.c: ensure other_arch is not NULL.
Nicolas Weeger 2008-01-03

Fix plugin-related potential crash.
 server/plugins.c: ensure msg has a newline at the end, else bad things happen.
Nicolas Weeger 2008-01-03

Win32 compilation fixes.
 server/c_misc.c plugins.c: variable declaration/use order.
Nicolas Weeger 2008-01-03

Win32 compilation fixes.
 plugins/cfpython/include/cfpython_proto.h: missing CF_PLUGIN.
 plugins/cfpython/cjson.c: variable order.
Nicolas Weeger 2008-01-03

Win32 compilation fixes.
 include/win32.h: #define sleep.
 plugins/cfanim/include/cfanim_proto.h: missing CF_PLUGIN.
Nicolas Weeger 2008-01-03

Fix variable being used while not initialized.
 server/player.c
Nicolas Weeger 2007-12-28

Merge documentation change from wiki.
 doc/Developers/objects
Kevin Bulgrien 2007-12-28

Fix variable being used while not initialized.
 server/player.c
Nicolas Weeger 2007-12-28

No functional change, reformat object types defines for export to wiki page.
  include/define.h
Kevin Bulgrien 2007-12-27

Fix spurious errors in log from plugins.
 common/arch.c: new function try_find_archetype().
 include/libproto.h: new prototype.
 server/plugins.c: replace find_archetype() by try_find_archetype().
Nicolas Weeger 2007-12-27

plugins/cfpython/cfpython.c: fix invalid options when empty parameter.
Nicolas Weeger 2007-12-26

Add support for user-defined events. Those can be called from the Python plugin.
    server/plugins.c
    plugins/common/include/plugin_common.h
    plugins/common/plugin_common.c
    plugins/cfpython/cfpython_object.c
    plugins/cfpython/include/cfpython_object_private.h
    plugins/cfpython/cfpython.c
    include/sproto.h
    include/plugin.h
Yann Chachkoff (gros) 2007-12-23

Add error information to CrossfireMap.TriggerConnected, make magice_ear scriptable
    server/monster.c
    plugins/cfpython/cfpython_map.c
Tchize 2007-12-22

Change skill animation to use anim_suffix instead of the name.
 server/skill_util.c
Nicolas Weeger 2007-12-21

Fix missing animation first pic. Change animate_object to not alter the state,
but merely ensure the pic is valid. Move state/face changing upstream.
 common/anim.c
 server/player.c server.c time.c
Nicolas Weeger 2007-12-16

More compound animations. Make animations loop instead of resetting all the time.
Fix missing first animation pic in some cases.
 common/anim.c
 server/skill_util.c
Nicolas Weeger 2007-12-16

Add line/row info to cjson module upon error
Tchize 2007-12-18

Added my missing entries to Changelog
Tchize 2007-12-18

Add try_find_animation() for compound animations, LOG() again in find_animation().
 common/anim.c
 include/libproto.h
Nicolas Weeger 2007-12-16

Fix incorrect "setup sound FALSEFALSE" response.
 socket/request.c
Andreas Kirschbaum 2007-12-18

Add Object.NoDamage and Object.RandomMovement to Python Crossfire Object.
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
Nicolas Weeger 2007-12-16

Add 'apply' sound, sounds for spell casting. Give more sounds when emitter is in
 something on a map.
 doc/Developers/sound
 server/apply.c spell_util.c
 socket/sounds.c
Nicolas Weeger 2007-12-16

New sound support. Check doc/Developers/sound.
 common/loader.l
 doc/Developers/protocol sound
 include/newserver.h object.h sockproto.h sounds.h
 server/apply.c attack.c player.c server.c spell_effect.c spell_util.c
 socket/request.c sounds.c
 types/cf_handle/cf_handle.c
 types/clock/clock.c
 types/hole/hole.c
 types/poison/poison.c
 types/spellbook/spellbook.c
 types/trapdoor/trapdoor.c
 types/trigger/trigger.c
Nicolas Weeger 2007-12-16

Do not forget background music when swapping map.
 common/map.c
Andreas Kirschbaum 2007-12-15

Do not include stray \n character in background_music field. Do not modify
const strings.
common/map.c common/region.c
Andreas Kirschbaum 2007-12-15

Remove unused variables.
 common/image.c
 include/define.h global.h
Nicolas Weeger 2007-12-15

Extract some code from massive move_monster().
 server/monster.c
Nicolas Weeger 2007-12-15

Remove redundant check.
 server/player.c: can_detect_enemy() calls on_same_map().
Nicolas Weeger 2007-12-15

Factorise wand charge draining code.
 include/sproto.h
 server/monster.c player.c spell_util.c
Nicolas Weeger 2007-12-15

Real path-finding algorithm for monsters. Pretty basic, but works for now.
 server/monster.c
Nicolas Weeger 2007-12-10

Fix trailing newline in i18n messing display. Convert \n to "real" newline.
 common/languages.c
Nicolas Weeger 2007-12-09

Have player's language be a variable in player instead of a key/value.
Makes things faster, no key lookup, and it's only useful for players anyway.
 common/languages.c
 include/player.h
 server/c_misc.c login.c player.c
Nicolas Weeger 2007-12-09

Factorize compound animation code.
 common/anim.c
 include/libproto.h
 server/apply.c attack.c spell_util.c
Nicolas Weeger 2007-12-09

Fix 0 destination coordinates warning for final exit of random maps.
 random_maps/exit.c
Nicolas Weeger 2007-12-02

Enable a special exit to final map in random maps, through the
 'final_exit_archetype' field.
 random_maps/exit.c random_map.c random_map.h reader.l
Nicolas Weeger 2007-12-02

Add death animation to objects, through the key 'death_animation' (which should
 be an archetype).
 server/attack.c: check for a death animation to insert.
Nicolas Weeger 2007-12-02

Fix bug #1828785: Possible false positive in the alchemy formula list.
 common/recipe.c: don't warn of same index id if not same cauldron.
Nicolas Weeger 2007-12-01

Fix bug #1825685: "Got no region..." when creating weather.
 server/init.c: delay weather initialisation after other ones.
Nicolas Weeger 2007-12-01

Fix some nrof issues when many items. Always return real money value.
 server/c_object.c: divide before multiply to avoid some overflows.
 server/c_wiz.c: nrof is uint32.
 server/shop.c: nrof is uint32. Money we know the real value.
Nicolas Weeger 2007-12-01

Fix bug #1827100: Curse dection not working or problem with containers ?
 server/alchemy.c: ensure cursed items can be identified.
 server/skills.c: cauldrons are always checked for curse status, it is important to know it.
Nicolas Weeger 2007-12-01

Fix bug #1841391: Item Power and pickup bug.
 common/object.c: check item_power for merging test.
Nicolas Weeger 2007-12-01

Fix bug #1833943: Buffer overflow in item power calculation.
 include/define.h: MAX_WEAPON_ITEM_POWER set to 100.
 server/gods.c: make god refuse to enchant an already powerful item.
 types/weapon_improver/weapon_improver.c: change enchant logic to not enchant already powerful items.
Nicolas Weeger 2007-12-01

Fix bugs #825265: Broken container images and #799392: 2.0 server mat container = chest.
 server/apply.c: store custom container image at container opening, and restore it later.
Nicolas Weeger 2007-12-01

Adapted the compound animations code so that it properly works with multipart
monsters.
    server/apply.c
    server/attack.c
    server/spell_util.c
Yann Chachkoff (gros) 2007-11-25

------------------------------------------------------------------------
r7575 | tchize | 2007-11-25 16:27:46 +0100 (dim, 25 nov 2007) | 2 lines
Chemins modifiés :
   M server/attack.c

Fix sigsegv when arrows are thrown by monster and hit (no wrapped object)

------------------------------------------------------------------------
r7573 | tchize | 2007-11-25 16:06:45 +0100 (dim, 25 nov 2007) | 4 lines
Chemins modifiés :
   M server/attack.c

probable fix for [ 1835332 ]. At least, now, the experiences for
throwing object is rewarded to a skill.
--


Refactor poisoning code.
    server/time.c
    server/ob_types.c
    include/sproto.h
    include/typesproto.h
    types/poisoning/poisoning.c
    types/legacy/process.c
    types/Makefile.am
Alex Schultz 2007-11-28

Added support for compound item apply animations
    server/apply.c
Yann Chachkoff (gros) 2007-11-25

Refactor peacemaker code.
    server/ob_types.c
    server/spell_effect.c
    include/sproto.h
    include/typesproto.h
    types/peacemaker/peacemaker.c
    types/legacy/process.c
    types/Makefile.am
Alex Schultz 2007-11-25

Refactor gate code.
    server/time.c
    server/ob_types.c
    include/sproto.h
    include/typesproto.h
    types/gate/gate.c
    types/legacy/process.c
    types/Makefile.am
Alex Schultz 2007-11-23

Refactor savebed, poison, cf_handle, treasure, and weapon_improver code.
Generalize 'killer' message for poison objects.
    server/ob_types.c
    server/apply.c
    server/attack.d
    include/sproto.h
    include/typesproto.h
    types/legacy/apply.c
    types/Makefile.am
    types/savebed/savebed.c
    types/poison/poison.c
    types/cf_handle/cf_handle.c
    types/treasure/treasure.c
    types/weapon_improver/weapon_improver.c
Alex Schultz 2007-11-21
------------------------------------------------------------------------
r7550 | tchize | 2007-11-20 20:35:08 +0100 (mar, 20 nov 2007) | 3 lines
Chemins modifiés :
   M common/map.c

Fix for [ 1825248 ] Logging missing apartment map for player as error
The "can not load original map" message are now debug level for player appartments, but stay error level for normal maps

------------------------------------------------------------------------
r7549 | tchize | 2007-11-20 20:25:26 +0100 (mar, 20 nov 2007) | 2 lines
Chemins modifiés :
   M common/map.c

Fix for [ 1823026 ] Server accepts map files missing size attributes

------------------------------------------------------------------------
r7547 | tchize | 2007-11-20 19:03:14 +0100 (mar, 20 nov 2007) | 2 lines
Chemins modifiés :
   M server/c_object.c

Fix #1825589 Cheat bug with containers (access to locked container without key)

------------------------------------------------------------------------
r7545 | tchize | 2007-11-20 00:18:12 +0100 (mar, 20 nov 2007) | 5 lines
Chemins modifiés :
   M plugins/cfpython/Makefile.am
   M plugins/cfpython/cfpython.c
   A plugins/cfpython/cjson.c

JSON notation support for parameters
This notation will make it easier to customize script from editor interface.
For performances reasons, the JSON parser is C implemented. It's LGPL but
was converted to GPL for crossfire

------------------------------------------------------------------------
r7531 | tchize | 2007-11-18 19:03:18 +0100 (dim, 18 nov 2007) | 2 lines
Chemins modifiés :
   M server/time.c

Fixed a sigsegv when maker is outside of map
--------------

Added support for compound spellcasting animations
    server/spell_util.c
    common/object.c
Yann Chachkoff (gros) 2007-11-18

Added support for compound attack animations (displaying a custom animation
sequence when attacking with a weapon)
    server/attack.c
    server/time.c
    server/server.c
    include/object.h
    include/global.h
    common/loader.l
    common/anim.c
Yann Chachkoff (gros) 2007-11-18

Added support for changing the FLAG_ANIMATED from cfpython.
    plugins/cfpython/cfpython_object.c
    plugins/cfpython/include/cfpython_object_private.h
Yann Chachkoff (gros) 2007-11-18

Misc fixes, no functional change.
 common/languages.c: convert to UTF-8, fix comment, add missing new line at end.
 doc/Developers/object.dox: fix references.
 include/spellist.h: fix comment.
 lib/i18n/messages.fr: convert to UTF-8.
 server/c_misc.c hiscore.c: fix comments.
Nicolas Weeger 2007-11-17

------------------------------------------------------------------------
r7518 | tchize | 2007-11-17 18:31:20 +0100 (sam, 17 nov 2007) | 6 lines
Chemins modifiés :
   M plugins/cfpython/cfpython_object.c

Added a "removed" check in CrossfireObject.InsertInto
This check is needed because backend proprety of
cfapi issue error messages when it's not the case and
the python CrossfireObject.RemoveObject issue a free
that make object unusable.
-------------------


Adds basical i18n support for help and "static" server strings.
Modified files:
 common/init.c Makefile.am
 include/includes.h libproto.h sproto.h
 lib/Makefile.am
 server/c_misc.c commands.c
Added files:
 server/trunk/common/languages.c
 include/languages.h
 lib/help/*.en
 lib/i18n/messages.fr messages.en
Removed files:
 lib/help/* (old help files)
Yann Chachkoff (gros) 2007-11-17
------------------------------------------------------------------------
r7508 | tchize | 2007-11-16 14:24:51 +0100 (ven, 16 nov 2007) | 10 lines
Chemins modifiés :
   M common/button.c
   M common/time.c
   M include/autoconf.h.in
   M include/libproto.h
   M include/sproto.h
   M include/tod.h
   M plugins/cfanim/include/cfanim_proto.h
   M plugins/cfpython/cfpython.c
   M plugins/cfpython/cfpython_map.c
   M plugins/cfpython/cfpython_object.c
   M plugins/cfpython/include/cfpython_map_private.h
   M plugins/cfpython/include/cfpython_object_private.h
   M plugins/cfpython/include/cfpython_proto.h
   M plugins/common/include/plugin_common.h
   M plugins/common/plugin_common.c
   M server/plugins.c
   M test/unit/common/Makefile.am
   M test/unit/common/check_time.c

Plugins Added Trigger, updated TimeOfDay and glowRadius
Add support to trigger a specific "connected" from plugins
Add support to get timeofday names (seasons, months, weeks, day, period of day)
Add in timeofday the notion of period of the day (Night, Morning, Noon, etc)
Fixed glowRadius setter priperty in plugin interface so changes are reflected to user's UI
Add EVENT_TRIGGER call to all objects triggered in a connected chain
autogen.sh invoked

Note: those changes were necessary to build some basic tod based scripts

------------------------------------------------------------------------
r7502 | tchize | 2007-11-09 18:58:49 +0100 (ven, 09 nov 2007) | 2 lines
Chemins modifiés :
   M include/version.h

removed FIXME comment, kbulgrien fixed it.
-----------------------


Adding svnversion.h to SVN was not a good idea.  It will get re-committed over
and over even though that was not the intent.  Removed.  Move include prior to
all other directories to be sure svnversion.h is built prior to inclusion in
any other source file.
  Makefile.am
  include/svnversion.h
  include/version.h
Kevin Bulgrien 2007-11-09

Add Log() support to python scripts
David Delbecq (tchize) 2007-11-09

Add SVN version to the server version (as -rnnnn suffix) reported at server
startup, by the player "version" command, and by the metaservers.  The method
to for adding the SVN version information was copied from the client.  The
expanded version information should not be generated if the sources are built
outside of an SVN checkout.
  configure.ac
  server/init.c
  server/server.c
  include/version.h
  include/svnversion.h
  include/Makefile.am
  socket/metaserver.c
Kevin Bulgrien 2007-11-08

Remove support for spellcasting objects using sp/dam fields.
 common/loader.l
Andreas Kirschbaum 2007-11-04

Fix collect script to not insert editor_folder lines into nested inventory
objects.
 lib/collect.pl.in
Andreas Kirschbaum 2007-11-03

Adapt alchemy formulas to changed archetypes.
 lib/formulae: rename "shoes" to "pair of shoes".
Andreas Kirschbaum 2007-11-03

Remove useless 'start_holding' field.
 include/object.h
 server/server.c
Nicolas Weeger 2007-10-28

Remove unused 'tooltype' field.
 common/loader.l
 include/object.h
Nicolas Weeger 2007-10-28

Fix for bug #1693250: loader.c isn't correctly generated.
 configure.ac: remove AM_MAINTAINER_MODE macro, no one remembers
  why it was set.
Nicolas Weeger 2007-10-27

server/login.c: Fix file handle leaks in save_player() and check_login().
Andreas Kirschbaum 2007-10-25

Don't remove inventory if player save fails. Warn online DMs.
 server/login.c
Nicolas Weeger 2007-10-24

Fix for bug #1815251: Multiple 'the' displayed in party who.
Moved player listing code to own function, call it from command_who and party who.
Move 'who' format checking to load_settings().
 include/sproto.h
 server/c_misc.c c_party.c init.c
Nicolas Weeger 2007-10-20

common/map.c: Add misisng call to unlink() empty unique maps.  Fixes bug
  1799361 - Permadeath corpse reproduction.  Bug is more general - any unique
  object could be duplicated, so long as it was the only unique object on
  the map.
MSW 2007-10-03

server/pets.c: Add missing call to get_map_from_coord() - summoned big
  creatures on tiled maps end up having incorrect map/coordinate data set,
  resulting in crash.  Fixes bug 1800719
MSW 2007-10-02

server/c_object.c:  Add call to fix_object() in pick_up_ob() - this causes
  player weight & speed to be recalculated - fixes bug 1799411 where this
  wasn't happening.
MSW 2007-10-01

server/c_range.c: Bug fix for [ 1804610 ] cast : info.c:message_callback:
  unidentified messages.  Text output to the gtk2 client may not contain text
  enclosed in square brackets... which is probably a bug in and of itself.
socket/info.c: doxygenated parameters for draw_ext_info() and
  draw_ext_info_format().
Kevin Bulgrien 2007-09-30

server/plugins.c: fix wrong #define leading to crashes.
Nicolas Weeger 2007-09-28

common/map.c: Move update_buttons() from ready_map_name() to
  load_original_map() - in this way, button state is not reset when
  swapping a map back into memory, but button state is still verified
  at first load.  Fixes bug 1706075.
MSW 2007-09-27

server/gods.c: modify god_enchants_weapon() to increase item_power of weapon
  by 1 each time god improves it.  This make sense, but also fixes bug
  1696807 - if the weapon has item_power 0, when player logs on, game
  will calculate new item power, which may be quite surprising to
  character.  If item_power is set, new item_power won't be calculated.
  Note: For trunk, item_power was not recalculated, but I think the changing
  of item_power is just good for some balance.
MSW 2007-09-27

Fix some hiscore changes - some functions were not passing in quiet flag
when they should have been, etc.
--
server/apply.c: Remove some code that sees if player can save - update_score()
  does this, so no reason to have it in both places.
server/hiscore.c: Add check not to save 0 scores.
server/login.c: Be quiet for backup saves.
server/server.c: Be quiet for backup saves.
---
MSW 2007-09-27

Face/animation related plugin functions.
---
Enable a plugin to find a face, and change face or animation. Make property
  name coherent with others.
 include/plugin.h sproto.h
 plugins/cfanim/cfanim.c
 server/plugins.c
---
Add wrapper for find_face().
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
---
Add Object.AnimSpeed and Object.Anim, fix face handling.
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
---
Add Crossfire.FindFace() and Crossfire.FindAnimation()
 plugins/cfpython/cfpython.c
---
 doc/Developers/python.ps: updated
Nicolas Weeger 2007-09-27

Couple bug fixes related to 1713188 - dropall performance issues.
---
include/config.h: Increase SOCKETBUFSIZE - should help reduce premature
  dropped connections.
server/c_object.c: Improve dropall logic - instead of calling fix_object() for
  each object dropped, call it just once for the entire stack - should
  improve performance considerably.  This also fixes sending updated
  weight information to the client for each object dropped (player weight
  1000, player weight 995, player weight 992, etc), so may help on dropped
  connections.
MSW 2007-09-26

common/object.c: Modify can_pick() so you are not allowed to pick up
  multipart objects.  insert_ob_in_ob() doesn't let it happen, but
  this way, at least the player gets a message.  Also cleaned up function
  so it is easier to read.
MSW 2007-09-26

Adding the minor, medium and major Potions of Life to the treasure list so
they can be found in shops, dungeons, et al.
--
server/branches/1.x/lib/treasures
--
RJT 2007-09-26

Renamed "potion of invulnerability" to "potion of shielding." Hopefully this will
remove player confusion as to why one takes damage from all attack types (except
physical) when drinking this potion.
--
arch/trunk/potion/potioninv.arc
maps/trunk/pup_land/begin/adv
server/trunk/lib/treasures
---
RJT 2007-09-26

Add support for periodic updating of hiscore information for players - fixes
bug 1735262.  Main change was to modify check_score() to take a flag that
determines if messages related to high score placement should be displayed
or not.
--
include/sproto.h: Rebuilt because of change to check_score()
server/apply.c: Change calls to check_score() to take quiet flag.
server/c_wiz.c: Change calls to check_score() to take quiet flag.
server/hiscore.c: Modify check_score to take quiet flag, update function
  not to print messages if it is set.
server/login.c: Change calls to check_score() to take quiet flag.
server/player.c: Change calls to check_score() to take quiet flag.
server/server.c: Add calls to check_score() when doing autosaves as well
  as when player connection is unexpected terminated.
--
MSW 2007-09-25

Always destroy projectiles having no_drop when they stop being a
projectile. This prevents arrows and weapons fired from summoned monsters
to stick to the ground/into the victim's inventory.
--
common/objects.c: Remove static modifier from free_object2().
server/attack.c: In hit_with_arrow() destroy no_drop arrows.
server/time.c: In stop_item() and fix_stopped_arrow() destroy no_drop
 projectiles. Add new function free_no_drop() to check for and destroy
 objects having no_drop.
Andreas Kirschbaum 2007-09-20

Fix bug 1763098 - wrong key placement in random maps.  The key placement breaks
if there is a normal door next to the locked door, so modify code to remove
normal doors next to locked doors.  On broken test map, this change results
in key being placed in right area.
--
random_maps/treasure.c: Update some comments on keyplace(), since the comments
  did not go into limitations on what keyplace does.  Add
  remove_adjacent_doors() to remove the doors, and call to function from
  lock_and_hide_doors()
MSW 2007-09-18

Fix bug 1790456 - dropall with count drops more than 'count' of each
object.
server/c_object.c: in command_dropall(), after each call to drop(),
  set op->contr->count back to original value - drop() sets it to 0.
MSW 2007-09-17

Add ability to specify port that crossfire listens to in settings file.
Handy when you want to run 2 servers on same host and don't want to
mess with command line options.
--
lib/settings: Add port variable and comment on its usage.
server/init.c: Add code to handle port value in settings file.
MSW 2007-09-17

Fix chaos attacktypes when used from a weapon - Fixes bug 1795875.
Problem was target of attack was getting attacktype changed, and
attacker was never getting chaos attacktypes.
--
include/attack.h: move ATTACKS array and Chaos_Attacks structure
  here.  server/attack.c now needs that data, so having it only in
  server/spell_util.c no longer works.
server/attack.c:  Remove call to shuffle_attack(), instead just update
  the local type (attack type) variable.
server/spell_util.c: Remove ATTACKS array - moved to include/attack.h.
MSW 2007-09-16

Fix problems with player updating client with spell handling - should all
work now.
--
server/login.c: Move esvr_add_spells() and fix_object() to after
  esvr_new_player() - when client gets new player protocol from server,
  it purges all info it has, including spell data.
server/player.c: Remove the line that clears the monitor_spells in the
  socket structure.  With the clear there, if you play a new character on
  the same server (savebed, a to play again), this second character
  doesn't get any spells.
socket/request.c: Check to see if pl->spell_state is non null in
  esrv_update_spells() - in this way, server doesn't try to update
  spells on client before the first add_player_spells() is called.
--
MSW 2007-09-16

server/pets.c: Always mark inventory objects as FLAG_NO_DROP, not only
 objects created from randomitems attribute and having nrof=0. Always
 expand randomitems; do not omit it for player summoned monsters or
 golems.
Andreas Kirschbaum 2007-09-16

Add a message when explore mode is disabled. Add help file for this command.
 lib/Makefile.am
 server/c_misc.c
Added file:
 lib/help/explore
Nicolas Weeger 2007-09-16

Fix many objects getting applied with 'a' key.
 server/apply.c: use METHOD_OK for success, not 1.
Nicolas Weeger 2007-09-15

Fix player teleported on wrong HallOfSelection for race if dying before class selection.
 server/player.c
Nicolas Weeger 2007-09-15

Add an 'empty' command, that puts all contents of a (or all) container either
on ground or in player's opened container.
 include/sproto.h
 lib/Makefile.am
 server/c_object.c commands.c
Added file:
 lib/help/empty
Nicolas Weeger 2007-09-09

lib/metaserver2: Update with official metaserver2 location.  MSW 2007-08-31

Remove support for obsolete 'fly_on/fly_off/walk_on/walk_off' attributes.
--
doc/Developers/objects: Update documentation about no_pass attribute.
doc/{checkarch,collect}.pl.in: Check for move_on/off instead.
common/loader.l: Remove support for fly_on/fly_off/walk_on/walk_off
 attributes.
Andreas Kirschbaum 2007-08-25

Fix incorrect lookup_spell_by_name() that prevented eg marking runes to work.
 server/spell_util.c
Nicolas Weeger 2007-08-23

Fix mistake in check logic, preventing from building connected items.
 server/build_map.c
Nicolas Weeger 2007-08-23

Fix bug #1779574: can destroy outer walls in lone town apartment, level 2.
 server/build_map.c: fix can_build_over(), add missing check.
Nicolas Weeger 2007-08-23

lib/help/{fire,fire_stop}: Add help for "fire" and "fire_stop" commands.
Andreas Kirschbaum 2007-08-22

Don't display an evil error message when trying to reset a map with a player on.
 server/c_wiz.c
Nicolas Weeger 2007-08-20

Write when an item is glowing.
 common/item.c: add "glowing" to glowing items.
 types/legacy/legacy_describe.c: LAMP have some description, too.
Nicolas Weeger 2007-08-20

Fix item update on ground. Factorize code. Add increase_ob_nr() function.
 include/libproto.h
 common/object.c
Nicolas Weeger 2007-08-18

Various small fixes.
 common/exp.c: fix comment.
 include/plugin.h: make fname const char*.
 server/c_party.c: say something if no parameter to gsay.
 server/c_wiz.c: remove some useless tests.
 server/init.c: make get_racelink() abort() if memory failure.
 server/monster.c: fix comment.
Nicolas Weeger 2007-08-16

Fix spurious function replace_insert_ob_in_map(), document it.
Implement unit test for that.
 common/object.c
 test/unit/common/check_object.c
Nicolas Weeger 2007-08-16

Partial fix for #1772759: Too much alchemy causes client crash.
 common/object.c: correctly send/remove object when in container the player is
  looking into.
Nicolas Weeger 2007-08-12

Fix plugin documentation, add some .ps version made from the wiki.
This fixes bug #1537236: cfpython 2.0 - documentation missing.
 doc/plugins
 doc/Developers/Makefile.am plugins python README
Added files:
 doc/Developers/plugins.ps python.ps
Nicolas Weeger 2007-08-12

Save maps into a .savefile first, then rename if success. Flush files.
This should fix bug #1542893: Full disk destroys player's apartment.
 common/map.c
 include/map.h
 server/c_wiz.c swap.c
Nicolas Weeger 2007-08-12

Don't delete (partial) map from memory in case of save error, warn DMs.
 include/libproto.h map.h sproto.h
 common/loader.l map.c
 server/c_wiz.c login.c swap.c
Nicolas Weeger 2007-08-11

Add new NDI_ALL_DMS to send a message to all connected DMs. Used in case of errors.
 include/newclient.h
 socket/info.c
Nicolas Weeger 2007-08-11

server/player.c: fix find_better_arrow() comment, allow parameter to be NULL.
Nicolas Weeger 2007-08-11

doc/Developers/map.dox: add some real content.
Nicolas Weeger 2007-08-09

doc/playbook-html/Makefile.am,doc/spoiler-html/Makefile.am:  Update the
  clean directive to remove the png files, since that is what is now
  used, and not gif files.
MSW 2007-08-08

Server support for Metaserver2:
acinclude.m4: Add LIBCURL_CHECK_CONFIG macro, used by configure.
configure.ac: Add check for pthread, LIBCURL.  Extra
  logic to display if we will build with metaserver2 support
lib/Makefile.am: add metaserver2 to list of files to install.
lib/metaserver2: Settings file for metaserver2 support.
server/init.c: Add call to metaserver2_init() during startup.
include/metaserver2.h: Header file include metaserver2 related data.
include/autoconf.h.in: Rebuilt
include/sockproto.h: Rebuilt with new metaserver2 functions.
socket/metaserver.c: metaserver2 update logic added.
MSW 2007-08-08

Remove useless parameter.
 include/sproto.h
 server/pets.c server.c swap.c
Nicolas Weeger 2007-08-06

Rename remove_door2() to remove_locked_door().
 include/sproto.h
 server/player.c time.c
 types/legacy/process.c
Nicolas Weeger 2007-08-06

Documentation, no functional change.
 doc/Developers/login.dox: new file.
 doc/Developers/mainpage.dox
 include/define.h player.h
 socket/init.c
Nicolas Weeger 2007-08-06

Various fixes.
 server/c_misc.c: display information for weather even if turned off.
 server/commands.c: make 'archs' a wizard command.
Nicolas Weeger 2007-08-05

Use safe string functions. Removed unused parameters. Rename init_spells() to check_spells().
 common/recipe.c
 include/sproto.h
 server/init.c spell_effect.c spell_util.c
Nicolas Weeger 2007-08-05

Use safe string functions. Removed unused parameters.
 include/sproto.h
 server/skill_util.c skills.c
Nicolas Weeger 2007-08-05

Use safe string functions.
 common/living.c
 include/sproto.h
 server/c_misc.c skill_util.c
Nicolas Weeger 2007-08-05

Remove unused defines, functions and parameters.
 common/living.c
 include/commands.h map.h sproto.h
 server/c_misc.c c_party.c login.c player.c resurrection.c win32.c
 socket/request.c
Nicolas Weeger 2007-08-05

Remove unused parameter.
 include/sproto.h
 server/server.c
 test/unit/server/comet_perf.c
Nicolas Weeger 2007-08-05

Remove unused command_generate().
 include/sproto.h
 server/c_wiz.c
Nicolas Weeger 2007-08-05

include/config.h: fix default emergency path/coordinates.
Nicolas Weeger 2007-08-05

Merge NewServerCommands to ServerCommands, remove unused SocketCommands declaration.
 include/commands.h
 server/c_new.c commands.c
Nicolas Weeger 2007-08-05

Remove unused parameter from fire_bow().
 include/sproto.h
 server/monster.c player.c
Nicolas Weeger 2007-08-05

Remove unused parameter from fatal_signal(), make signal handlers static.
 include/sproto.h
 server/init.c
Nicolas Weeger 2007-08-05

Remove unused loading field.
 include/player.h
 server/c_wiz.c server.c
Nicolas Weeger 2007-08-05

include/newserver.h: fix documentation.
Nicolas Weeger 2007-08-05

Documentation, no functional change.
 Doxyfile
 common/living.c map.c object.c
 doc/Developers/mainpage.dox
 include/artifact.h attack.h commands.h config.h define.h face.h global.h god.h
  image.h includes.h living.h loader.h logger.h map.h material.h newclient.h object.h
  skills.h spells.h
 random_maps/random_map.h room_gen_onion.c room_gen_spiral.c special.c treasure.c
 test/unit/server/check_c_object.c
 server/apply.c attack.c c_chat.c c_object.c shop.c
Nicolas Weeger 2007-08-05

Documentation, no functional change.
 include/newclient.h newserver.h ob_methods.h ob_types.h object.h path.h player.h
  plugin.h re-cmp.h recipe.h shstr.h skills.h sounds.h spellist.h spells.h
  tod.h treasure.h win32.h
 server/skill_util.c spell_util.c time.c weather.c win32.c
Nicolas Weeger 2007-08-04

Documentation, no functional change.
 common/shstr.c
 include/race.h
 server/commands.c daemon.c hiscore.c init.c login.c main.c server.c
Nicolas Weeger 2007-08-03

Fix compilation, document compile command line.
 utils/mapper.c
Nicolas Weeger 2007-07-31

Move read_client_images() from socket/ to common/.
 common/image.c
 include/image.h libproto.h sockproto.h
 socket/image.c
Nicolas Weeger 2007-07-31

Documentation, no functional change.
 server/apply.c c_chat.c c_object.c c_party.c c_range.c ob_methods.c ob_types.c
  player.c resurrection.c
Nicolas Weeger 2007-07-29

Documentation, no functional change.
 server/c_move.c c_new.c move.c
Nicolas Weeger 2007-07-29

Documentation, no functional change.
 server/c_wiz.c
Nicolas Weeger 2007-07-27

Documentation, no functional change.
 Doxyfile: enable svn:keywords property. Various tweaks.
New files:
 doc/Developers/archetype.dox artifact.dox client.dox connected.dox general.dox
  mainpage.dox map.dox misc.dox object.dox player.dox region.dox treasure_list.dox
Nicolas Weeger 2007-07-27

Documentation, no functional change.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/spell_attack.c spell_effect.c
Nicolas Weeger 2007-07-26

Documentation, no functional change.
 include/sproto.h: fix paramss to params for coherence.
 server/c_misc.c
Nicolas Weeger 2007-07-25

server/plugins.c: sanity checks on parameters for usual crashing culprit.
Nicolas Weeger 2007-07-25

Documentation, no functional change.
 server/pets.c swap.c
Nicolas Weeger 2007-07-23

Remove unused return values. Fix wrong return for cure_disease. Remove hardcoded value.
 include/sproto.h
 server/disease.c
Nicolas Weeger 2007-07-17

Change function return type for coherence with experience.
 common/exp.c info.c
 include/libproto.h
Nicolas Weeger 2007-07-17

Remove obsolete color_bg handling.
 common/image.c
 lib/collect.pl.in
Nicolas Weeger 2007-07-17

No functional changes - various cleanups to reduce number of compiler warnings
when compiled with -Wall - makes it easier to catch real errors.  Most things
changed/fixed are missing returns in non void functions, missing includes,
declared but unused variables, not escaping #include sproto in CEXTRACT
checks.  MSW 2007-07-16
--
Changed files:
common/object.c common/button.c common/logger.c common/loader.l
common/living.c common/map.c common/treasure.c common/glue.c
include/libproto.h include/define.h include/sproto.h
plugins/cfpython/cfpython.c
plugins/cfanim/cfanim.c
random_maps/standalone.c
server/apply.c server/attack.c server/c_chat.c server/c_object.c
server/c_wiz.c server/ob_methods.c server/ob_types.c
server/shop.c server/skill_util.c server/skills.c server/time.c
socket/item.c socket/lowlevel.c socket/info.c
test/toolkit/toolkit_common.c
test/unit/random_maps/stubs_random.c test/unit/server/check_attack.c
test/unit/server/check_c_party.c test/unit/server/check_c_object.c
test/unit/server/comet_perf.c test/unit/common/check_object.c
test/unit/common/stubs_common.c test/unit/socket/stubs_socket.c
types/shop_inventory/shop_inventory.c types/common/common_apply.c
types/spellbook/spellbook.c types/skillscroll/skillscroll.c

server/Makefile.am: Don't include main.c when building sproto.h
MSW 2007-07-16

test/unit/server/Makefile.am, test/bugs/bugtrack/Makefile.am:
 Remove duplicate build directions for libtypes.a
MSW 2007-07-16

common/shstr.c, include/shstr.h, server/c_misc.c: Move SS_STATISTICS from
   shstr.h to shstr.c - c_misc.c also includes the file,
   and got warnings about unused static variables. - MSW 2007-07-16

Add support for using png files for html handbook and spoiler - png support
is common enough in browsers now days that don't need to convert to gif.
Reduces tool requirements to build documents (as it is a simple copy
for the png, vs actual conversion), and speeds up building the files
dramatically.
--
doc/scripts/makeps.pl: Add png output handling.  What this amounts to is
  doing a hard link to the original png file.
doc/playbook-html/Makefile.am, doc/spoiler-html/Makefile.am: Use png
  output for images now, not gif.
MSW 2007-07-16

plugins/cfpython/cfpython_object.c: don't try to insert a NULL object.
Nicolas Weeger 2007-07-16

Remove "random_move" field, "random_movement" exists.
 common/loader.l
 utils/bwp.c
Nicolas Weeger 2007-07-16

Remove obsolete/unused things.
 common/glue.c item.c map.c utils.c
 include/define.h
 plugins/cfpython/cfpython.c
 socket/request.c
Nicolas Weeger 2007-07-15

Remove unused field.
 include/newserver.h
 socket/init.c request.c
Nicolas Weeger 2007-07-15

Fix spoilers generation. giftrans is now disabled.
 doc/playbook/Makefile.am
 doc/playbook-html/Makefile.am
 doc/scripts/Makefile.in makeps.pl
 doc/spoiler/Makefile.am
 doc/spoiler-html/Makefile.am
 doc/spoiler-html/spoiler.html: removed as it's generated by make archive
Nicolas Weeger 2007-07-15

server/skills.c: Fix crash - using incorrect map pointer in call
  to get_map_ob
MSW 2007-07-11

Tentative fix for bug #1746208: Critical crash with 'printlos'.
 common/los.c: use safe string functions. Use 0/100 for view instead of 0-100.
Nicolas Weeger 2007-07-11

socket/request.c: In map sending routine, use object anim_speed if so for
  animation speed instead of object speed.  Allows for zero speed objects
  to be animated, also matches behavior for inventory items.
MSW 2007-07-09

Documentation, no functional change.
 common/object.c
 server/rune.c
Nicolas Weeger 2007-07-09

Remove superfluous calls to esrv_del_item (since remove_ob calls it if needed).
Remove now unused send_removed_object function. Change esrv_send_item to esrv_update_item.
 common/item.c
 server/c_object.c c_wiz.c gods.c player.c plugins.c shop.c skills.c spell_effect.c time.c
 types/spell_effect/spell_effect.c
Nicolas Weeger 2007-07-09

Update face information below player if it changes.  Add P_PLAYER mapflag
field, as well as pointer to player on space making it easy to find
players on a space.  Fix for bug 1735459
---
common/map.c: Modify update_position() to look for player and
  update MapSpace accordingly.
common/object.c: update_object():  If player is object, update map
   attributes immediately.  Add handling for face or object changes.
include/map.h: Add SET/GET_MAP_PLAYER, player * to MapSpace, P_PLAYER
  flag
---
MSW 2007-07-08

Documentation, no functional change. Change some #define to enum for grouping purposes.
 include/map.h
Nicolas Weeger 2007-07-08

Try to factor esrv_del_item and esrv_send_item into remove_ob() and
insert_ob_in_ob(). Fix calls to esrv_send_item that are really esrv_update_item().
 common/object.c treasure.c
 include/newclient.h
 random_maps/standalone.c
 server/apply.c attack.c c_object.c c_wiz.c gods.c player.c plugins.c skills.c shop.c spell_effect.c time.c
 socket/item.c
 test/unit/common/stubs_common.c
 types/armour_improver/armour_improver.c
 types/lamp/lamp.c
 types/lighter/lighter.c
Nicolas Weeger 2007-07-05

Remove crossedit-related documentation, replace with Gridarta.
Removed:
 doc/Crossedit.doc crossedit.man
Modified:
 doc/Makefile.am
 doc/Developers/objects mapguide random-maps testplans
Nicolas Weeger 2007-07-05

server/c_range.c: don't lose golem if only consulting the spell list.
Nicolas Weeger 2007-07-05

Hopefully fix invalid player count on map. Now handled by remove_ob() and
insert_ob_in_map() directly. Also handled by leave() as the player leaves badly
the game in this case. Remove now unused leave_map() function.
 common/object.c
 include/map.h sproto.h
 server/apply.c login.c player.c server.c
Nicolas Weeger 2007-07-04

Fix bug #1735283: shining amulet of repulsion behaves strangely.
 common/object.c: remove stacking logic for blockview items, obsolete with map_layer.
Nicolas Weeger 2007-07-02

lib/help/skills, lib/Makefile.am: Add help for skills command.
Andreas Kirschbaum 2007-07-02

Documentation, no functional changes.
 include/timers.h
 server/timers.c
Nicolas Weeger 2007-07-01

Change behavior of shop mats: do not fail if the destination shop mat is
blocked. This prevents players from being trapped inside shops if the outside
shop mat has been blocked with earthwalls.
---
server/move.c: In teleport() place player on destination shop mat even if
 it is blocked.
Andreas Kirschbaum 2007-06-27

server/attack.c: don't say '(pk)' if duel, makes it easier to check for real pk.
Nicolas Weeger 2007-06-22

Party unit tests (partial).
 test/unit/server/check_c_party.c Makefile.am
Nicolas Weeger 2007-06-22

server/c_party.c: fix mistake in party removal.
Nicolas Weeger 2007-06-22

common/shstr.c: Remove C++ style comment.
include/map.h, include/player.h: Fix 'comma at end of enumerator list' warnings.
types/food/food.c: Fix missing math.h include. (Harmless but caused a warning)
Alex Schultz 2007-06-21

server/time.c: make detectors able to find players (slaying set to 'player').
Nicolas Weeger 2007-06-20

server/plugins.c: add PLUGIN_DEBUG to log plugin activity, off by default
 (log gets filled with debug info which is not usually relevant).
Nicolas Weeger 2007-06-18

server/skills.c: correctly copy spell's path_repelled field when inscribing a
 scroll, so casting from said scroll works with MOVING_BALL.
Nicolas Weeger 2007-06-18

server/login.c: Fix crash at login if player is set to rejoin party, and that
party does not exist - shouldn't try to use partyname from null structure.
MSW 2007-06-17

Documentation, no functional change.
 server/skill_util.c skills.c
Fix variable name confusion Doxygen.
 random_maps/standalone.c
 test/unit/random_maps/stubs_random.c
 test/unit/common/stubs_common.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
Nicolas Weeger 2007-06-17

Documentation, no functional change.
  server/disease.c gods.c spell_effect.c
Nicolas Weeger 2007-06-17

Fix bug #1735464: Reset command does not accept relative names.
 server/c_wiz.c
Nicolas Weeger 2007-06-16

Remove Crossedit, replaced by Gridarta. See http://sourceforge.net/projects/gridarta
for more information.
Removed paths:
 crossedit
 test/unit/crossedit
Modified paths:
 acinclude.m4 configure.ac Makefile.am
 include/autoconf.h.in define.h global.h object.h
 common/button.c init.c loader.l map.c object.c
 server/init.c login.c
 test/bugs/bugtrack/check_1727944.c
 test/unit/Makefile.am
Nicolas Weeger 2007-06-13

Add some unit tests.
 test/unit/server/check_c_object.c Makefile.am
 test/unit/common/check_object.c
Nicolas Weeger 2007-06-13

Tentative optimizations, shouldn't cause issues but need testing.
 common/object.c: fix_object() doesn't need to be called all the time.
 server/c_object.c: why is player/monster removed then inserted? if special case,
  please document why
Nicolas Weeger 2007-06-10

Partial fix for #1735275: Server sends incorrect spell info data.
 server/login.c: send spell before calling fix_object() which updates spells.
Nicolas Weeger 2007-06-10

Tentative fix for #1735272: Server sends invalid item tags
 server/plugins.c: don't send invisible objects, they're never sent to the client.
Nicolas Weeger 2007-06-10

test/bugs/bugtrack/check_1727944.c: fix ininitialized variable, reduce # of tests
 as the test isn't that meaningful.
Nicolas Weeger 2007-06-10

Disable unimplemented tests, remove quests tests.
 test/unit/common/Makefile.am
 test/unit/common/check_quest.c: removed
 test/unit/random_maps/Makefile.am
 test/unit/server/Makefile.am
 test/unit/socket/Makefile.am
Nicolas Weeger 2007-06-10

Fix accidentally broken unit test.
 test/unit/common/check_arch.c: use correct type/subtype.
Nicolas Weeger 2007-06-10

Fix Win32 compilation.
 common/loader.l logger.c re-cmp.c
 make_win32/crossfire32.dsp installwin32.bat
 plugins/cfanim/include/cfanim_proto.h
 plugins/cfpython/cfpython_object.c
 random_maps/floor.c treasure.c
Nicolas Weeger 2007-06-10

utils/mapper.c: fix compilation. Fix exit without path not displayed.
Nicolas Weeger 2007-06-10

Remove obsolete player_cmd().
 doc/Developers/protocol
 include/sockproto.h
 socket/loop.c request.c
Nicolas Weeger 2007-06-10

lib/artifacts: update header.
Nicolas Weeger 2007-06-09

Fix bug #1729829: Server using access to check for file existance.
Also remove obsolete old player directory mode support.
 server/login.c
Nicolas Weeger 2007-06-09

Fix bug #1730874: +dam on bracers not working.
 common/living.c: bracers can give damage too.
Nicolas Weeger 2007-06-09

common/loader.l: remove obsolete checks and conversions.
Nicolas Weeger 2007-06-09

Remove obsolete 'map1' and 'map1a' modes.
 doc/Developers/protocol
 include/newserver.h
 socket/init.c request.c
Nicolas Weeger 2007-06-09

Remove obsolete 'item' command, always assume 'item2'.
 doc/Developers/protocol
 include/newserver.h
 socket/init.c item.c request.c
Nicolas Weeger 2007-06-09

Assume clients always use 64b experience mode (commit for that support: MSW 2003-05-17).
 include/newserver.h
 socket/init.c request.c
Nicolas Weeger 2007-06-09

Remove obsolete old_mode support. Remove unused log_kill stuff.
 include/newserver.h sockproto.h sproto.h
 socket/init.c info.c
 server/attack.c c_misc.c commands.c
Nicolas Weeger 2007-06-09

Remove obsolete image/face/face1 support. Increment protocol version to 1028.
 doc/Developers/protocol
 include/newserver.h
 socket/image.c init.c request.c
Nicolas Weeger 2007-06-09

server/{ob_types.c, apply.c}, include/{sproto.h, typesproto.h},
  types/{food/food.c, legacy/apply.c, Makefile.am}: Refactor food applying.
include/libproto.h: Update prototypes.
Alex Schultz 2007-06-09

Remove badly implemented quest support.
Removed files:
 common/quest.c
 doc/Developers/quests
 include/quest.h
 lib/help/quests
Modified files:
 common/Makefile.am
 include/define.h libproto.h Makefile.am sproto.h
 lib/Makefile.am
 plugins/cfpython/cfpython.c
 server/c_misc.c commands.c monster.c time.c
Nicolas Weeger 2007-06-09

doc/Developers/testplans: update.
Nicolas Weeger 2007-06-09

Remove party spell support. Not really tested, badly implemented.
 include/spells.h
 server/spell_util.c
Nicolas Weeger 2007-06-09

server/{attack.c, ob_types.c, apply.c, monster.c}, include/{sproto.h,
  typesproto.h}, types/{scroll/scroll.c, legacy/apply.c, potion/potion.c,
  Makefile.am: Refactor SCROLL and POTION applying.
server/ob_methods.c, include/sproto.h: Make METHOD_UNHANDLED cause fallback to
  other callbacks.
types/skillscroll/skillscroll.c, types/spellbook/spellbook.c: Use METHOD_OK
  instead of METHOD_ERROR when the applier is not a player.
Alex Schultz 2007-06-08

server/ob_types.c, server/apply.c, types/spellbook/spellbook.c,
  types/skillscroll/skillscroll.c. types/legacy/apply.c, types/Makefile.am,
  include/typesproto.h, include/sproto.h:
  Refactor apply for skillscrolls and spellbooks.
server/daemon.c: Remove extraenous parameter for become_daemon.
include/sproto.h: Update sproto.h
Alex Schultz 2007-06-07

Documentation, no functional change.
 server/shop.c
 types/trap/rune.c
Nicolas Weeger 2007-06-07

server/rune.c, include/typesproto.h, types/trap/{trap.c, rune.c, common_trap.c},
  types/rune/rune.c, types/legacy/process.c, types/Makefile.am: Refactor some
  rune and trap code.
Alex Schultz 2007-06-06

common/button.c: document, no functional change.
Nicolas Weeger 2007-06-06

Create the 'bugs/bugtrack' directories for the unit test framework. Add test for a bug.
 configure.ac: add new directories
 doc/Developers/testplans: update
 test/Makefile.am: add directory
New files:
 test/bugs/bugtrack/check_1727944.c Makefile.am
 test/bugs/Makefile.am
Nicolas Weeger 2007-06-04

common/utils.c: don't try to decay a non head object, this leads to abort() from remove_ob().
Nicolas Weeger 2007-06-04

Add Crossfire.Object.Skill property.
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/cfpython_object.c
 plugins/common/plugin_common.c: fix a crash when a NULL value.
Nicolas Weeger 2007-06-04

common/living.c: don't ignore exp gained in a skill you don't know yet.
Nicolas Weeger 2007-06-04

Fix wrong return values.
 types/book/book.c
 types/clock/clock.c
 types/power_crystal/power_crystal.c
 types/sign/sign.c
Nicolas Weeger 2007-06-03

types/shop_inventory/shop_inventory.c: fix documentation.
Nicolas Weeger 2007-06-03

Fix multipart altars not working correctly.
 types/altar/altar.c
 types/trigger_altar/trigger_altar.c
 types/trigger_pedestal/trigger_pedestal.c
Nicolas Weeger 2007-06-03

Apply patch #1638868: Ident skills cover larger area with exp courtesy Aaron Baugher.
 server/skills.c
Nicolas Weeger 2007-06-03

server/apply.c: wrong return value when handled by a plugin.
Nicolas Weeger 2007-06-03

Fix lamp-related issues.
 common/map.c: don't clear FLAG_APPLY for lamps, as it indicates on/off.
 server/apply.c: lamps don't change apply status when being 'unapplied'.
 types/lamp/lamp.c: lamps can only be (un)applied when in inventory.
Nicolas Weeger 2007-06-02

common/object.c: simplify insert_ob_in_ob when merging. Correctly update the light.
Nicolas Weeger 2007-06-02

Move ob_apply logic for LAMP objects to the ob_method system.
 include/typesproto.h
 server/apply.c ob_types.c
 types/lamp/lamp.c
 types/legacy/apply.c
 types/ChangeLog Makefile.am
Nicolas Weeger 2007-06-02

Move ob_apply logic for ARMOUR_IMPROVER objects to the ob_method system.
 include/sproto.h typesproto.h
 server/apply.c ob_types.c
 types/armour_improver
 types/armour_improver/armour_improver.c
 types/legacy/apply.c
 types/Changelog Makefile.am
Nicolas Weeger 2007-06-02

Rename MENU to SHOP_INVENTORY, better match.
Move ob_apply logic for SHOP_INVENTORY objects to the ob_method system.
 common/item.c
 include/define.h typesproto.h
 plugins/cfpython/cfpython.c
 server/shop.c ob_types.c
 types/legacy/apply.c
 types/shop_inventory/shop_inventory.c
 types/ChangeLog
 types/Makefile.am
Nicolas Weeger 2007-06-02

Fix wrong check for object applying.
Move ob_apply logic for LIGHTER objects to the ob_method system.
 include/sproto.h typesproto.h
 server/ob_types.c
 server/apply.c: use METHOD_xxx for test values.
 types/ChangeLog
 types/legacy/apply.c
 types/lighter/lighter.c: added.
Nicolas Weeger 2007-06-02

Remove obsolete oldsocket stuff.
 include/newserver.h sockproto.h sproto.h
 server/commands.c
 socket/info.c loop.c lowlevel.c
Nicolas Weeger 2007-06-02

Fix uninitialized memory / invalid memory access.
 common/arch.c treasure.c
Nicolas Weeger 2007-06-01

Fix bug #1729192: Writing any spellscroll requires positive grace.
 server/skills.c
Nicolas Weeger 2007-06-01

Implement feature request #1724356: logging improvements.
Apply modified patch from Wart.
New settings log_timestamp and log_timestamp_format to control behaviour.
Log player creation.
 common/init.c logger.c
 include/global.h
 lib/settings
 server/c_misc.c init.c
Nicolas Weeger 2007-05-30

Fix bug #1726632: After useing a # of times on the forge..
server/alchemy.c: item may change, so its weight too. This leads to invalid carrying.
Nicolas Weeger 2007-05-30

Documentation, fix indentation. No functional change.
server/ban.c build_map.c
Nicolas Weeger 2007-05-29

lib/formulae: fix bug #1726561: formulae for potion_heal needs supreme potion of life.
Nicolas Weeger 2007-05-28

utils/mapper.c: add a world map of used and unused exits / blocking zones / roads.
Nicolas Weeger 2007-05-28

common/button.c: calming mood floors should calm attacking monsters.
Nicolas Weeger 2007-05-27

server/c_move.c: remove extra space.
Nicolas Weeger 2007-05-27

server/attack.c: document code, no functional change.
Nicolas Weeger 2007-05-26

server/apply.c: food/drink can't be eaten if no_pick is set.
Nicolas Weeger 2007-05-26

server/c_misc.c: use region's longname for 'mapinfo', neater than name.
Nicolas Weeger 2007-05-26

lib/messages: some more stories.
Nicolas Weeger 2007-05-26

Document code, no functional change.
 common/arch.c
 include/define.h
 server/apply.c
Nicolas Weeger 2007-05-25

Implement feature request #1653768: Pants/legs
 common/item.c
 include/object.h
Nicolas Weeger 2007-05-24

server/time.c: allow plugins to override the usual move process.
Nicolas Weeger 2007-05-24

Add party rejoin at login. New command 'party_rejoin' to control the behaviour.
 include/player.h sproto.h
 server/c_party.c commands.c login.c player.c
 lib/help/party_rejoin
 lib/Makefile.am
Nicolas Weeger 2007-05-21

Misc memory fixes. Remove obsolete "inventory" line.
 common/image.c links.c loader.l player.c re-cmp.c shstr.c treasure.c
Nicolas Weeger 2007-05-20

Document save_object(s) and save_map() options, add enum for doc linking.
 common/loader.l map.c
 crossedit/Edit.c
 include/map.h
 random_maps/standalone.c
 server/c_wiz.c server.c swap.c weather.c
Nicolas Weeger 2007-05-20

Fix bug #1713140: sustenance overflow.
include/player.h: change digestion from sint8 to sint16. Change other fields
 the same to avoid potential overflows.
Nicolas Weeger 2007-05-20

server/disease.c: Add check to make sure symptom was not destroyed
  when victim dies - otherwise we get double remove/free.
MSW 2007-05-19

Static buffer removal, remove unused parameters, use safe string functions.
 random_maps/decor.c door.c exit.c expand2x.c floor.c monster.c random_map.c
  rproto.h style.c treasure.c wall.c
 server/server.c
Nicolas Weeger 2007-05-18

 server/weather.c: remove static buffer.
Nicolas Weeger 2007-05-17

server/server.c: player count tracking will get false if moving from a map to the same.
Nicolas Weeger 2007-05-17

Remove obsolete funcpoint.h file.
 include/funcpoint.h: removed
 include/global.h Makefile.am
 crossedit/xutil.c
 common/arch.c button.c item.c living.c logger.c los.c map.c object.c player.c time.c treasure.c utils.c
Nicolas Weeger 2007-05-17

Don't pass variables that aren't needed, remove prototype confusion. Document.
 server/weather.c
Nicolas Weeger 2007-05-17

Change weather_effect() to use mapstruct* instead of filename.
 common/map.c
 crossedit/stubs.c
 include/funcpoint.h sproto.h
 random_maps/standalone.c
 server/weather.c
 test/unit/common/stubs_common.c
 test/unit/crossedit/stubs_crossedit.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 utils/bwp.c mapper.c
Nicolas Weeger 2007-05-17

server/weather.c: fix mountain cave being covered and rendered invisible.
Nicolas Weeger 2007-05-17

test/unit/server/check_attack.c: some tests for hit_player.
Nicolas Weeger 2007-05-17

server/ob_types.c, types/Makefile.am, types/item_transformer/item_transformer.c:
  Remove code for the obsolete item_transformer type.
Alex Schultz 2007-05-16

Add spell merging code - this makes the server run much faster when many
spell objects are in use.  For more details, see doc/Developers/spells
---
common/init.c: And declaration/initialization of statistics values.
common/object.c: Add handling of spell_tags in object structure (free,
  copy. Add merge_spell() function.  Add call to function from
  insert_ob_in_map().  Remove was_destroyed() function - now macro.
doc/Developers/spells: Add notes on performance numbers and how spell
   merging works.
include/global.h: Add statistics structure used to hold various
  statistic related variables - added since I added a few points to collect
  data for my testing.
include/libproto.h: remove was_destroyed() declaration.
include/object.h: Make was_destroyed() a macro, moving it here.  Also add
  information related to spell tags in object structure.
server/server.c: change process_events() to be a non static function,
  so that test programs can call it/use it.
server/spell_util.c: Change ok_to_put_more() to look at the spell_tags
  in the object for match spell instances.
test/unit/server/Makefile.am: Remove double dependency of libraries - not
  needed.  Add dependency for libtypes.a.  Add comet_perf test case.
test/unit/server/comet_perf.c: New file/test, used to test both performance
  improvments as well as consistency of results.
types/spell_effect/spell_effect.c: Modify explosion() to set op->range=0
  after spell has propogated to neighboring spaces.  Call merge_spell()
  after setting range to zero.
MSW 2007-05-14

Remove now obsolete 'item_transformer' type, replaced by 'use' command.
 common/item.c
 include/define.h
 plugins/cfpython/cfpython.c
 server/apply.c
 types/item_transformer/item_transformer.c
Nicolas Weeger 2007-05-13

Remove (legacy_)apply_container that wasn't used - called only for non players,
 but starts by returning if applier is not a player.
Rename (legacy_)esrv_apply_container to (legacy_)apply_container.
 include/sproto.h
 server/apply.c player.c
 types/container/container.c
 types/legacy/apply.c
Nicolas Weeger 2007-05-13

Fix unit test pics (those are dummy ones, to be replaced someday). Add more tests to objects.
 test/templates/checkTextResult.xsl: put dummy stuff so it works (copied from logresult.xsl)
 test/templates/crossfire-logo-unit.png
 test/templates/crossfire-logo-unit-failed.png
 test/templates/crossfire-logo-unit-success.png
 test/templates/error.png
 test/templates/failure.png
 test/templates/success.png
 test/templates/txtlog.png
 test/toolkit/toolkit_common.c: use multipart-aware function
 test/unit/common/check_object.c: implement more tests
 test/unit/common/check_shstr.c: don't try to add_string(NULL) if MANY_CORES is set, abort().
 test/unit/server/Makefile.am: add libtypes.a to server.
Nicolas Weeger 2007-05-13

Remove obsolete fields.
 common/loader.l
 include/attack.h
Nicolas Weeger 2007-05-13

server/skill_util.c: fix wrong 'skills' display when no god is whoreshipped.
Nicolas Weeger 2007-05-10

server/disease.c: fix bug #1713112: rabies infects audience of the arena.
Nicolas Weeger 2007-05-09

server/c_wiz.c: fix multipart object creation.
Nicolas Weeger 2007-05-09

server/plugins.c: fix wrong parameter order.
Nicolas Weeger 2007-05-08

Add 'Crossfire.Object.Race' attribute.
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
Nicolas Weeger 2007-05-08

New command: 'use <item> with <item>', which enables complex item transformation.
 doc/Developers/item_transformation
 include/sproto.h
 lib/help/use
 server/c_object.c commands.c
Nicolas Weeger 2007-05-08

Remove obsolete object types.
 common/item.c
 include/define.h
 plugins/python/cfpython.c
Nicolas Weeger 2007-05-08

server/alchemy.c: Doxygen documentation, no functional change.
Nicolas Weeger 2007-05-08

utils/mapper.c: new parameter, -listunusedmaps, that'll generate a maps.unused file.
Nicolas Weeger 2007-05-07

server/plugins.c: fix plugin unloading which didn't call the closePlugin function.
server/c_wiz.c: document.
Nicolas Weeger 2007-05-07

Apply patch #1713563: Reopen log file on SIGHUP, courtesy Kari Pahula.
 common/logger.c
 include/global.h
 server/init.c
Nicolas Weeger 2007-05-05

Apply patch #1713564, Open log file only once with -detach, courtesy Kari Pahula.
 include/sproto.h
 server/daemon.c init.c
Nicolas Weeger 2007-05-05

Implement feature request #1657735: Server setting for handling 'incorrect' converters.
New server setting, 'allow_broken_converters', that controls what to do.
 common/init.c
 include/global.h
 lib/settings
 server/init.c
 types/converter/converter.c
Nicolas Weeger 2007-05-05

types/legacy/apply.c: fix broken LIGHTER.
Nicolas Weeger 2007-05-05

Fix some type issues in plugin. Wrap change_abil(). Add set_resist(). Add duration property.
 include/plugin.h sproto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/cfpython_object.c
 server/plugins.c
Nicolas Weeger 2007-05-05

random_maps/random_map.c: initialize random map's reset time, so town portal works
 correctly there too.
Nicolas Weeger 2007-05-04

Fix misc compilation warnings. Remove duplicate function.
 include/sproto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/cfpython/cfpython.c cfpython_object.c
 server/plugins.c
Nicolas Weeger 2007-04-30

server/c_misc.c: ensure you can't harvest items already harvested, or skills and such.
Nicolas Weeger 2007-04-30

server/monster.c: fix bug #1709618: Text message is too long/truncated.
Nicolas Weeger 2007-04-30

Partially implement feature request #1668158: Better nethack implementation.
Random maps now have a new 'multiple_floors' parameter that, if set, will
make the different rooms of the map have different floors.
All floors are still taken from the same floor style, for coherence.
 doc/Developers/random-maps
 random_maps/floor.c reader.l random_map.c random_map.h
Nicolas Weeger 2007-04-29

random_maps/wall.c: walls should always block, even if they sometimes allow
 some movement.
Nicolas Weeger 2007-04-29

server/rune.c: trap's message can be NULL (random maps for instance).
Nicolas Weeger 2007-04-29

Return result of cf_object_move().
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Add 'Crossfire.Object.Move' method.
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
Nicolas Weeger 2007-04-29

Give read-only access to map->unique to plugins. Add Crossfire.Map.Unique property.
 include/plugin.h
 plugins/cfpython/include/cfpython_map_private.h
 plugins/cfpython/cfpython_map.c
 server/plugins.c
Nicolas Weeger 2007-04-29

plugins/common/plugin_common.c: wrong param type.
Nicolas Weeger 2007-04-29

plugins/cfanim/cfanim.c: fixed a crash occuring when ghosting a DM. Made the
   Animator work by making it listening to the time event. Fixed the bug that
   left the player invisible after having been ghosted.
   Made the paralyze option of animation files to work.
   Fixed crashes when more than an animator was running simultaneously.
Yann Chachkoff 2007-04-29

server/plugins.c, plugins/cfpython/cfpython_object.c: Fix type mismatch in
   varargs function parameters.
Andreas Kirschbaum 2007-04-28

server/disease.c: fix bug #1706986: Rabies can infect a DM. DMs are now immune
 and non contagious.
Nicolas Weeger 2007-04-28

Change the version string from 1.9.1 to 2.0-dev for trunk.
Alex Schultz 2007-04-28

socket/loop.c: fix unitialized variable.
Nicolas Weeger 2007-04-28

plugins/cfpython/cfpython_object.c: fix wrong property set (value is int).
Nicolas Weeger 2007-04-28

server/player.c:  No need to copy faces_sent - just use the data already
   there, and set ns->faces_sent to NULL so we know there is no data there.
socket/init.c: Allocate ns->faces_sent if not there.
MSW 2007-04-25

socket/init.c: Change free calls with FREE_AND_CLEAR - were getting double
   frees - since pointer wasn't reset, was no way for program to know not
   to have the data cleared again.
MSW 2007-04-24

server/disease.c: In move symptom() stop processing if victim dies. This
   prevents access to freed objects.
server/gods.c: In tailor_god_spell() do not pass NULL value to add_string().
server/spell_effect.c, server/alchemy.c: Fix format arguments of calls to
   draw_ext_info_format().
server/disease.c: In move_symptom() fix possible buffer overflow when creating
   symptom names.
Andreas Kirschbaum 2007-04-25

server/spell_effect.c: In polymorph_item() fix possible access to freed
   object.
common/los.c: In update_los() fix array out-of-bounds access for clients using
   25x25 map size.
Andreas Kirschbaum 2007-04-24

Clean old code related to single player directory.
 include/sproto.h
 server/login.c player.c
Nicolas Weeger 2007-04-23

Implement feature request #1560389: improve inscription logic.
New server command, "inscribe", that makes it easy to send spell and scroll information.
'setup inscribe 1' will return 'inscribe 1', so client know they can use this command.
 doc/Developers/protocol
 include/sockproto.h
 socket/item.c loop.c request.c
Nicolas Weeger 2007-04-23

Add background music support to maps, change 'socket.sound' field signification.
Add SockList_AddString helper function.
 common/map.c
 include/map.h newserver.h sockproto.h sounds.h
 server/c_misc.c server.c
 socket/lowlevel.c sounds.c
Nicolas Weeger 2007-04-22

server/apply.c: remove legacy spellbook handling.
Nicolas Weeger 2007-04-22

Second and last part of feature request #1543553: Inventories in artifacts/archetypes.
It's now possible to put "arch" in archetypes, they'll be correctly handled.
Like any other object, you can customize it.
 common/arch.c loader.l
Nicolas Weeger 2007-04-22

server/server.c:  Add some debug to see if objects are on swapped out
  maps in process_objects()
socket/loop.c: Hopeful fix for old bug - can be rare cases where
  next player gets freed, so code tries to process garbage player
  and crashes.
MSW 2007-04-21

lib/artifacts: fix bug #1673804: Items "of Occidental Mages" use obsolete
event_xxx fields.
Nicolas Weeger 2007-04-21

Partially implement feature request #1543553: Inventories in artifacts/archetypes.
It's now possible to have items in artifacts, they'll be inserted in object.
Doesn't yet work with archetypes, since you could possibly reference an archetype
defined *after* the current archetype.
 common/arch.c: do a deep object copy instead of a partial one
 common/loader.l: handle inventories during artifact load
 common/object.c: put copy_object_with_inv
 common/treasure.c: add inventory from artifact
 include/libproto.h: updated prototypes
 random_maps/random_map.c rproto.h: moved copy_object_with_inv to common lib
Nicolas Weeger 2007-04-21

Implement EVENT_TELL.
 plugins/cfpython/cfpython.c
 plugins/template/plugin_template.c
 server/c_chat.c plugins.c
Nicolas Weeger 2007-04-21

Add discrete damage type for weapons, and probably also spells and such.
 common/loader.l object.c
 include/object.h
 server/attack.c
Nicolas Weeger 2007-04-21

server/spell_attack.c: wrong argument to ob_process, leading to infinite recursion.
Nicolas Weeger 2007-04-21

server/apply.c: potions of life now won't affect player if their level is too low.
Nicolas Weeger 2007-04-20

 server/attack.c: enable plugins to prevent attacks.
Nicolas Weeger 2007-04-18

server/plugins.c: fix wrong return type.
Nicolas Weeger 2007-04-18

plugins/cfpython/cfpython_object.c: don't insert hooks in 'more' parts of items.
plugins/cfpython/cfpython.c: player list (GetPlayers()), activate 'clock' event.
---
Give access to player list to plugins. Fix mishandling of multipart objects.
 include/plugin.h
 server/plugins.c
Nicolas Weeger 2007-04-17

common/region.c: don't crash if no regions file found.
Nicolas Weeger 2007-04-15

Wrap change_exp() function. Make 'exp' property the same as others.
Also fix a crash: don't insert destroy hooks in archetype clones.
 include/sproto.h
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/Makefile.in
 plugins/cfpython/include/cfpython_object_private.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2007-04-15

 server/plugins.c: wrong case - FLAG_FRIENDLY is not the same as friendlylist :)
 plugins/cfpython/cfpython_object.c: add 'IsPet' and 'AttackMovement'
 plugins/cfpython/include/cfpython_object_private.h
Nicolas Weeger 2007-04-15

server/skills.c: EVENT_TRIGGER for magical scroll writing.
Nicolas Weeger 2007-04-15

server/cfpython.c: add AttackType, AttackTypeNumber, EventType constants.
Nicolas Weeger 2007-04-15

common/living.c: fix comments.
common/object.c: dump owner too.
server/plugins.c: check values for cfapi_map_get_object_at(). Handle FLAG_FRIENDLY
 and friendlist.
Nicolas Weeger 2007-04-15

Enable plugins to change the 'path' property of a map.
 plugins/cfpython/cfpython_map.c
 plugins/cfpython/include/cfpython_map_private.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2007-04-15

Add plugin wrapper for cf_get_empty_map(). Add 'Object.GodGiven' and 'Crossfire.CreateMap'.
 plugins/cfpython/cfpython.c
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2007-04-14

Remove obsolete command_build function.
 include/sproto.h
 server/c_object.c commands.c
Nicolas Weeger 2007-04-14

Correctly clear god information.
 common/holy.c
Nicolas Weeger 2007-04-14

Remove unused godlink::pantheon field.
 common/holy.c
 include/god.h
Nicolas Weeger 2007-04-14

Remove unused (and obsolete) current_weapon_script field.
Remove now unused find_best_weapon_used_match().
 common/loader.l object.c
 crossedit/Attr.c
 include/libproto.h object.h
 server/apply.c skill_util.c
 test/unit/common/check_arch.c check_object.c
Nicolas Weeger 2007-04-14

Replace plugin light change with call to map_change_light() for coherence checking.
Remove obsolete properties.
 include/sproto.h
 plugins/cfpython/cfpython_map.c
 plugins/cfpython/include/cfpython_map_private.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-04-14

server/monster.c: make monsters use the same 'say' format than players.
Nicolas Weeger 2007-04-12

Remove '_speak' hook and related functions. '_say' exists, and is the same.
 plugins/cfanim/cfanim.c
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-04-12

Plugin API changes. More void* conversion removing.
 plugins/cfanim/cfanim.c
 plugins/cflogger/cflogger.c
 plugins/cfnewspaper/cfnewspaper.c
 plugins/cfpython/cfpython.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/template/plugin_template.c
 server/plugins.c
Nicolas Weeger 2007-04-12

server/init.c: add -conf documentation to help.
Nicolas Weeger 2007-04-12

server/skill_util.c: In init_skill() do not crash for SKILL objects having
   incorrect subtype.
Andreas Kirschbaum 2007-04-11

Fix bug #1696810: skill items autoapply. Now skilltool will be used even if
skill can be used without, to benefit from its bonuses.
 server/skill_util.c
Nicolas Weeger 2007-04-10

Fix parameter for Doxygen, no functional change.
 plugins/common/plugin_common.c
 plugins/common/include/plugin_common.h
Nicolas Weeger 2007-04-09

More API changes.
 server/plugins.c
 plugins/cfpython/cfpython_object.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2007-04-09

More API changes.
 server/plugins.c
 plugins/cfanim/cfanim.c
 plugins/cfpython/cfpython_object.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2007-04-09

More API changes.
 server/plugins.c
 plugins/cflogger/include/cflogger_proto.h: remove plugin_common functions.
 plugins/cfpython/cfpython_object.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
Nicolas Weeger 2007-04-08

Have create_pathname() return buf to simplify code.
 common/map.c
 include/libproto.h
Nicolas Weeger 2007-04-08

Remove unused function.
 include/sproto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/cfpython/cfpython_object.c
 server/plugins.c
Nicolas Weeger 2007-04-08

Map-property type checking. Remove some unused void* return values.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-04-08

Change map plugin API to not use static vars. Remove old hooks (replaced by other means).
 include/plugin.h sproto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/cfpython/cfpython_map.c
 plugins/cfpython/cfpython.c
 plugins/cfnewspaper/cfnewspaper.c
 server/plugins.c
Nicolas Weeger 2007-04-08

 common/init.c: abort() if first map doesn't exist. Better than crashing later on.
Nicolas Weeger 2007-04-08

Fix bug #1695764: Charm monsters - shared experience broken.
Add new share_exp() function, working like change_exp() but party-aware.
 common/living.c
 include/libproto.h
 server/attack.c
 server/spell_attack.c
Nicolas Weeger 2007-04-07

Fix Doxygen stuff, no functional changes.
 types/clock/clock.c
 types/spell_effect/spell_effect.c
 types/exit/exit.c
Nicolas Weeger 2007-04-07

Enable polymorph spell. Will need tweaking, quite certainly.
 include/sproto.h
 server/spell_util.c
 server/spell_effect.c
Nicolas Weeger 2007-04-07

Add 'Crossfire.WhatIsEvent()' to get event object.
 plugins/cfpython/cfpython_object.c: don't put a destroy hook in a destroy hook :)
 plugins/cfpython/cfpython.c: WhatIsEvent()
Nicolas Weeger 2007-04-07

Change plugin object event interface to send the event object itself, instead of
its slaying/name values.
 plugins/cfanim/include/cfanim.h
 plugins/cfanim/cfanim.c
 plugins/cfnewspaper/cfnewspaper.c
 plugins/cfpython/include/cfpython.h
 plugins/cfpython/cfpython.c
 plugins/template/include/plugin_template.h
 plugins/template/plugin_template.c
 server/plugins.c
Nicolas Weeger 2007-04-07

 server/swap.c: fix crash with map reset (parameter is map, not path).
Nicolas Weeger 2007-04-06

Add 'Object.Count' property (read-only).
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
Nicolas Weeger 2007-04-06

Fix wrong set/get key checks.
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-04-06

Add 'Object.Enemy' property.
 plugins/cfpython/cfpython_object.c
 plugins/cfpython/include/cfpython_object_private.h
Nicolas Weeger 2007-04-06

types/legacy/apply.c: fix scrolls not taking direction into account.
Nicolas Weeger 2007-04-06

Remove support for obsolete 'no_pass' attribute.
--
doc/Developers/{objects,spells,map-technical}: Update documentation about
   no_pass attribute.
lib/adm/getfaces.pl: Scan for move_blocked instead of no_pass.
common/loader.l: Remove support for no_pass attribute.
crossedit/Attr.c: Remove no_pass from the list of valid attribute names.
Andreas Kirschbaum 2007-04-05

types/exit/exit.c: Fix bad definition of exit_type_apply.
--
types/{legacy/apply.c, clock/clock.c}, server/ob_types.c: Move apply logic for
  clocks out of legacy area in the ob_method system.
--
types/{legacy/apply.c, exit/exit.c}: Move apply logic for exits out of legacy
  area in the ob_method system.
Alex Schultz 2007-04-05

Tweak harvesting skill per Lalo's suggestions. If a living object is harvested,
 goes to map instead of in the inventory. Also make the key/value checks more meaningful.
 server/c_misc.c
Nicolas Weeger 2007-04-04

server/{spell_attack.c, spell_util.c, spell_effect.c}, include/{libproto.h,
  sproto.h}, types/{spell_effect/spell_effect.c, legacy/process.c}: Move
  ob_process logic for SPELL_EFFECT objects to the ob_method system.
--
plugins/cfpython/cfpython.c: Remove LIGHTNING from cfpython type constants.
--
types/legacy/process.c, common/item.c, include/define.h, server/spell_util.c:
  Remove old LIGHTNING(12) type.
Alex Schultz 2007-04-03

Remove obsolete Flying/CanPassThru properties.
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/cfpython_object.c
Nicolas Weeger 2007-04-03

Clean some old stuff, unused functions, ...
 common/arch.c
 common/holy.c
 common/image.c
 common/item.c
 common/loader.l: remove "empty" fields. Those are legacy, and should be removed in maps/archs.
 common/los.c
 common/porting.c
 common/quest.c
 common/treasure.c
 include/define.h
 include/map.h
 include/spelllist.h
 server/apply.c
 server/attack.c
 server/c_object.c
 server/disease.c
 server/gods.c: remove unused follower_remove_similar_item() and misc functions.
 server/login.c: remove "old player file removing" code, shouldn't be needed anymore.
 server/monster.c
 server/player.c
 server/resurrection.c
 server/server.c
 server/skills.c
 server/spell_attack.c
 server/spell_effect.c
 server/spell_util.c
 server/weather.c
 socket/loop.c
 socket/lowlevel.c
 socket/request.c
Nicolas Weeger 2007-04-03

New skill: "harvesting", get something from some place - example: fishing.
 include/skills.h sproto.h
 server/c_misc.c skill_util.c
Nicolas Weeger 2007-04-03

types/{example.c, README}: Merge example.c into README.
Alex Schultz 2007-04-03

Remove obsolete "Directionxxx" and "CostFlagxxx", replaced by constants.
 plugins/cfpython/cfpython.c
Nicolas Weeger 2007-04-02

Add 'MessageFlag' constant, holding the NDI_xxx values, to Python.
 plugins/cfpython/cfpython.c
Nicolas Weeger 2007-04-02

configure.ac: Add AM_PROG_CC_C_O macro so it properly handles the types
   directory.
MSW 2007-04-01

Document random map files (except test.c and some .h).
 plugins/common/include/plugin_common.h: fix parameter name.
 plugins/common/plugin_common.c: fix parameter name.
 random_maps/*.c
 random_maps/random_maps.h: replace #define by enum to be linkable for Doxygen.
Nicolas Weeger 2007-04-01

Fix bug #1672117: elves etc don't fire over move_allow flying tiles.
Logic for monster_use_bow() was changed to make monsters fire only
 horizontally/vertically/in diagonals, and also fire over terrain
 they can't cross but which lets an arrow go over.
 server/monster.c
 server/player.c: note about move_type
Nicolas Weeger 2007-03-31

Fix wrong type/missing value. Fix some comments.
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-03-31

Change partially map plugin API. Add cf_map_has_been_loaded() to plugins.
 plugins/cfanim/cfanim.c
 plugins/cfpython/cfpython.c
 plugins/cfpython/cfpython_map.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-03-31

crossedit/Attr.c: Remove obsolete 'flying' attribute.
Andreas Kirschbaum 2007-03-26

Implement feature request #1560387: DM follow command.
 include/player.h sproto.h
 server/c_wiz.c commands.c
 server/server.c: also fix wrong player count with hidden DMs.
Nicolas Weeger 2007-03-25

Fix broken banish command: loop logic was weird (skipping one file?).
 server/ban.c
Nicolas Weeger 2007-03-25

New plugin: cfnewspaper.
As its name implies, it will (in the future) generate an ingame newspaper.
Currently, it will only list player and monster deaths for last ingame day.
It's still very basic, and hopefully will be improved :)
Note that it requires the database generated by cflogger.
 configure configure.ac
 plugins/Makefile.[am|in]
 plugins/cfnewspaper/include/cfnewspaper.h cfnewspaper_proto.h
 plugins/cfnewspaper/cfnewspaper.c Makefile.[am|in]
Nicolas Weeger 2007-03-25

Fix cflogger.
 plugins/cflogger/cflogger.c
---
Add missing directories for cflogger plugin.
 plugins/Makefile.[am|in]
---
Change misc functions plugin API.
 server/plugins.c
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 plugins/cfanim/cfanim.c
 plugins/cfpython/cfpython.c
 plugins/cfpython/cfpython_object.c
 plugins/template/plugin_template.c
---
 server/apply.c: doc update.
 include/global.h: doc update.
---
Remove common plugin functions from proto.
 plugins/cfanim/Makefile.[am|in]
 plugins/cfanim/include/cfanim_proto.h
---
 common/object.c: add 'inv' field for object dump.
Nicolas Weeger 2007-03-25

doc/Developers/objects: Mark 'flying' attribute as obsolete.
common/loader.l: In check_loaded_object() remove code to support legacy
 attribute 'flying'.
Andreas Kirschbaum 2007-03-25

common/loader.l: In check_loaded_object() remove code to update legacy
 playermover objects after map loading.
Andreas Kirschbaum 2007-03-25

common/loader.l: In check_loaded_object() remove code to update legacy
 monster objects after map loading.
Andreas Kirschbaum 2007-03-24

server/c_wiz.c: fix missing treasure generation for create command in some cases.
Nicolas Weeger 2007-03-24

plugins/cfpython/cfpython_object.c,
plugins/cfpython/include/cfpython_object_private.h, include/define.h,
common/exp.c, common/loader.l: Remove FLAG_PICK_UP since it was not actually
 used, and since it was saved under "pick_up" which clashes with another
 attribute.
Andreas Kirschbaum 2007-03-23

common/shstr.c, include/libproto.h: Use the new sstring typedef in shstr.c
Alex Schultz 2007-03-22

Change party, region, friendlylist plugin API.
 include/sproto.h
 plugins/cfanim/include/cfanim_proto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-03-22

Change archetype plugin API.
 plugins/cfanim/include/cfanim_proto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
Nicolas Weeger 2007-03-21

server/egoitem.c: Removed blank file.
Alex Schultz 2007-03-21

Changes to plugin API: start to use a (type)* parameter instead of returning a value
 cast to void*. This removes static variables.
 Also add Object.PermExp and Object.ExpMul to Python.
 include/plugin.h: add CFAPI_MOVETYPE type.
 plugins/common/include/plugin_common.h: add many wrappers.
 plugins/common/plugin_common.c: wrappers, new calling syntax.
 plugins/cfpython/cfpython_object.c: clean calls to common plugin.
 plugins/cfpython/include/cfpython_object_private.h: some more properties.
 server/plugins.c: change cfapi_object_get_property.
---
include/global.h: new type, 'sstring', to be used for shared strings.
---
common/loader.l: fix crash when object is missing archetype.
Nicolas Weeger 2007-03-21

server/monster.c: documentation and indent, no functional change.
Nicolas Weeger 2007-03-18

Fix 'make distclean':
acinclude.m4: Use -I./${srcdir} for crossedit check - otherwise, when
   building in alternate directory, doesn't fine files correctly.
configure.*: Add new makefiles.
check-fragment.am, test/unit/crossedit/Makefile.am,
  test/unit/common/Makefile.am,test/toolkit/Makefile.am: Add support for building in alternate directory, which
   make distclean does - using relative directories to find files
   does not work.  Some files should also be in the buildir, not srcdir.
   Have Makefiels remove .autrun.xml with distclean
Makefile.am: Remove to config files on make distclean
test/include/Makefile.*, test/templates/Makefile.*: Add missing Makefiles
test/unit/random_maps/Makefile.am,test/unit/socket/Makefile.am,
  test/unit/Makefile.am: remove .autorun.xml file as part of distclean
test/unit/server/Makefile.am: Remove LDFLAGS from Makefile.am - automake
  says don't mess with those - use AM_LDFLAGS instead.  Remove
  .autrun.xml file with distclean
test/Makefile.am: Add include, templates to subdir list.  Have
   make clean remove log files, .autorun.xml file.
crossedit/Makefile.am: Fix indentation of stubs.c (use tab, not spaces)
other files: Rebuilt as part of running autogen.sh
MSW 2007-03-25

Implement feature request #1528522: Initial items should be applied/worn.
 server/player.c
---
 server/apply.c skill_util.c: keep the AP_NOPRINT flag for subcalls.
---
 server/c_wiz.c: update DM's view when using nodm.
---
 server/apply.c: update player's view when turning on/off a lamp.
---
 server/spell_util.c: ignore sp/gr/time cost for DM casting spells.
---
 common/object.c: when inserting an object, need to fix 'map' too, if not
 set later, will crash.
---
Implement feature request #1680229: dmhide - glowing things.
 common/map.c: totally ignore hidden DMs for map update.
---
Implement feature request #1669464: Need new command - dmtell.
 include/sproto.h
 server/c_chat.c commands.c
---
server/c_wiz.c: enable 'teleport' to use a partial name.
server/c_misc: 'listen' should be positive.
---
Fix bug #1668283: Crossfire.CreateObjectByName is faulty, by applying
 patch (feature request) #1682802: CreateObjectByName fix/change.
 Code by Yann Chackhoff.
Also fix a crash when teleporting a newly created object.
 server/plugins.c
---
Fix bug #1671102: Generic destroy can remove permanent buttons. The code was
 doing a wrong check related to marked item/destroyer.
Fix bug #1657675: multi-tile buildable object bug (note: one .x11 image though).
 code now uses multi-tile aware function to generate object, and correctly
 checks all relevant spots for building.
 server/build_map.c
---
plugins/template/create_plugin.sh: plugin generation script.
plugins/template/include/plugin_template.h: remove unused file, fix comment.
---
Random map functions for plugins.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
---
Give access to random map generation to plugins.
 include/sproto.h
 server/plugins.c
---
Allow one to give a prebuilt layout (.#<> and such) for random map generation.
 random_maps/random_map.c rproto.h standalone.c
 server/server.c
---
plugins/template/plugin_template.c: use cf_log instead of printf, fix missing
 CF_PLUGIN (Win32 specific).
---
server/c_object.c: missing ;, missing buffer reinitialisation.
server/login.c: wrong function call.
---
lib/races: remove obsolete player races.
lib/treasures: remove lists put into individual .trs files.
Nicolas Weeger 2007-03-17

types/Makefile.am: Build object files in their own directories instead of in types/
---
server/login.c: Make error messages for invalid usernames more useful.
---
server/c_object.c: Change examine to use "Those are" instead of "That is" for
   more than one object.
Alex Schultz 2007-03-16

Apply patch #1660388: Code-cleanup: () -> (void) courtesy Stefan Huehner.
 server/timers.c weather.c ob_methods.c
 test/unit/common/stubs_common.c
 test/unit/crossedit/stubs_crossedit.c
 test/unit/random_maps/stubs_random.c
 test/unit/socket/stubs_socket.c
 test/toolkit/toolkit_common.c
 common/init.c treasure.c
 crossedit/stubs.c
 types/altar/altar.c
 types/arrow/arrow.c
 types/book/book.c
 types/button/button.c
 types/check_inv/check_inv.c
 types/container/container.c
 types/converter/converter.c
 types/deep_swamp/deep_swamp.c
 types/director/director.c
 types/exit/exit.c
 types/hole/hole.c
 types/identify_altar/identify_altar.c
 types/item_transformer/item_transformer.c
 types/pedestal/pedestal.c
 types/player_mover/player_mover.c
 types/power_crystal/power_crystal.c
 types/rune/rune.c
 types/shop_mat/shop_mat.c
 types/sign/sign.c
 types/spell_effect/spell_effect.c
 types/spinner/spinner.c
 types/thrown_object/thrown_object.c
 types/transport/transport.c
 types/trap/trap.c
 types/trapdoor/trapdoor.c
 types/trigger/trigger.c
 types/trigger_altar/trigger_altar.c
 types/trigger_button/trigger_button.c
 types/trigger_pedestal/trigger_pedestal.c
Ryo 2007-03-13

Win32 compilation fixes.
 common/shstr.c: missing Windows include.
 plugins/cfanim/include/cfanim_proto.h: missing CF_PLUGIN export.
 plugins/cfpython/include/cfpython_proto.h
 plugins/cfpython/include/cfpython.h: DEBUG fix (Python doesn't provide the
  good debug library).
plugins/common/hashtable.c: missing Windows include.
---
utils/mapper.c: new "warnnnopath" option to display exits without slaying field.
Ryo 2007-03-08

Fix bug #1673713: event_attack in (sword etc) weapon doesn't work.
 server/attack.c: fix EVENT_ATTACK weirdness.
---
Fix compilation warnings, mostly missing #include.
 common/exp.c holy.c item.c living.c map.c porting.c readable.c recipe.c shstr.c
  treasure.c utils.c: missing #includes.
 common/object.c: don't declare variables in the middle of code. Missing #include.
 include/libproto.h: missing find_multi_free_spot_within_radius.
 include/sockproto.h: missing send_exp_table.
 lib/races: fix dwarf player archetype (was using old one).
 plugins/cfpython/cfpython.c: unused variable.
 random_maps/maze_gen.c random_map.c room_gen_onion.c square_spiral.c: missing #include.
 server/plugins.c: unused variable.
 server/ob_methods.c: missing include.
 server/ob_types.c: missing include.
 server/time.c: unused variable.
 socket/image.c: use right type for faceset.
 types/*.c: add missing #include <sproto.h>.
 types/legacy/legacy_describe.c: unused variable.
---
Implement feature request #1560416: give warning when spell is about to expire.
Player will be warned when left duration is one fifth, then one twenty-fifth.
Two new functions are introduced, check_spell_expiry() and store_spell_expiry().
 include/sproto.h
 server/spell_effect.c spell_util.c time.c
---
Implement feature request #1675158: dmhide - "detect monster" will reveal DM.
 spell_effect.c: detection doesn't concern DMs.
Ryo 2007-03-06

Some documentation, no functional change.
 include/define.h face.h gods.h living.h
Ryo 2007-03-05

Implement feature request #1560396: flag to set fixed buying/selling prices.
Three keys are used, "price_adjustment", "price_adjustment_sell" and "price_adjustment_buy".
price_adjustment overrides the 2 other keys. Value should be numeric/decimal, anything that
atof() will recognize as a float.
 server/shop.c
Ryo 2007-03-05

Add Object.Owner (read/write) and Crossfire.GetFriendlyList.
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/cfpython.c
 plugins/cfpython/cfpython_object.c
---
Add cf_friendlylist_get_first / cf_friendlylist_get_next to browser friendlylist.
Add cf_object_set_object_property.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
---
Give access to friendlylist to plugins, through cfapi_friendlylist_get_next().
 include/sproto.h
 server/plugins.c
---
common/object.c: let set_owner accept owner NULL (-> clear_owner()).
---
Implement feature request #1669443: dmhide - players can still send 'tell.
server/c_chat.c: DM are now shown as not logger with regard to tell/reply.
---
server/c_object.c: call EVENT_PICKUP which was forgotten somewhere along the way.
server/plugins.c: don't remove/free removed/freed objects, log mistake. This closes
 bug #1670465: server doesn't have check to see if it is removing removed
Ryo 2007-03-04

Fix some potential / real crashes under Windows.
 common/readable.c: wrong field cleared. Set to NULL after clear. Wrong buffer size.
---
 socket/info.c: old_format is sometimes NULL, use new_format.
---
Fix a potential crash related to map swapping: swap_map can delete map.
 include/sproto.h
 server/c_wiz.c swap.c
Ryo 2007-03-03

utils/mapper.c: display map name before loading it, makes it easier to debug maps :)
Ryo 2007-03-02

Add cf_object_set_float_property.
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
---
Add SpeedLeft to Python plugin. Fix wrong type for speed.
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/cfpython_object.c
---
Fix wrong type for speed.
 server/plugins.c
Ryo 2007-02-28

include/typesproto.h, types/*/*.c: Make functions static where possible and
   reasonable.
Alex Schultz 2007-02-24

server/player.c: wrong call order.
plugins/cfpython/cfpython.c: fix crash when Python and server are compiled with
 different versions of MS's DLLs.
Ryo 2007-02-24

Fix some comments from // to /* */
 common/map.c
 include/ob_types.h
 server/c_wiz.c gods.c pets.c server.c
----
Some Win32 compilation fixes.
 server/apply.c player.c plugins.c
Ryo 2007-02-23

Rebuild prototypes.
  include/{sproto.h, typesproto.h}
---
Move arrow and thrown object code into types/
  server/time.c, types/{arrow/arrow.c, thrown_object/thrown_object.c,
  common/projectiles.c, legacy/process.c}
---
Change move_arrow calls to ob_process.
  server/{player.c, skills.c}
Alex Schultz 2007-02-19

Fix uninitialized variables.
 server/weather.c: wrong temperature initialisation.
 socket/init.c: init newsocket->want_pickup
Ryo 2007-02-18

Replace "type_to_archetype" by "get_archetype_by_type_subtype".
 common/arch.c map.c
 include/libproto.h
 test/unit/common/check_arch.c
Ryo 2007-02-18

Whitespace formatting (indents and tab removal) and long-line cleanup
 server/c_new.c
 socket/request.c
Aaron Baugher 2007-02-18

Implement feature request 1025952: GTK Client - Save Pickup options.
New setup command, 'want_pickup', which makes server send 'pickup xxx' when
 player joins.
Modified files;
 doc/Developers/protocol
 include/newserver.h sockproto.h
 server/login.c
 socket/request.c
Ryo 2007-02-18

Make containers with an other_arch face display it when opened.
 server/apply.c
Aaron Baugher 2007-02-15

New server settings: allow_denied_spells_writing, for inscription.
 common/init.c
 include/global.h
 server/init.c skills.c
Ryo 2007-02-15

Whitespace and long-line cleanup
 socket/item.c
 socket/image.c
Aaron Baugher 2007-02-15

server/shop.c: handle "no money" case when player tries to exit shop.
---
Fix a crash with object handling by plugins.
 cfpython/cfpython_map.c: don't assume op exists after inserting in map.
Ryo 2007-02-15

Remove static buffers from path_combine and path_combine_and_normalize.
 common/path.c map.c
 include/libproto.h path.h
 server/server.c
 utils/mapper.c
---
 common/map.c: add buffer's size to prevent overflows.
Ryo 2007-02-14

Invalidate player's view if teleporting. Call update_ob_speed when changing speed.
 server/plugins.c
Ryo 2007-02-12

Remove unused field object::refcount from unit testing
    test/unit/check_object.c
gros 2007-02-12

lib/smooth updated in conjunction with arch update (revision 5421).
Kevin Bulgrien 2007-02-11

Remove unused field object::refcount.
 common/object.c
 include/object.c plugins.h
 server/plugins.c
Fix speed logic, implementing feature request #1624544: Armour speed limit
 common/living.c
Fix missing call, resulting in corrupted output.
 server/c_object.c
Fix mishandling of weapon/shield/armour restriction. Fix crash with NULL value.
 server/gods.c
Ryo 2007-02-11

Formatting clean-up:
 server/apply.c: fixed indentation, untabified, broke long lines
Aaron Baugher 2007-02-11


Make armour handling coherent between gods, monsters and such.
Cloaks and bracers are not armour.
 common/item.c utils.c: fix tests with macros.
 include/define.h: update macro, new IS_SHIELD.
 server/apply.c monster.c player.c: use macros.
Ryo 2007-02-11

Remove last static buffers, use safe string functions.
 common/readable.c
 include/libproto.h
---
Remove obsolete long_desc(), replaced by ob_describe(), get rid of static buffer.
 include/sproto.h
 server/c_object.c ob_methods.c skills.c spell_effect.c
 types/book/book.c
 types/identify_altar/identify_altar.c
---
Fix compilation warnings.
 include/global.h: remove duplicate DELETE_STRING (FREE_AND_CLEAR_STR), cast to void*.
 plugins/cfpython/include/cfpython.h: Python defines HAVE_GETTIMEOFDAY, but we do too.
 plugins/cfpython/cfpython.c: explicit cast to wanted type.
 plugins/common/hashtable.c: add missing include for malloc().
---
Remove static buffer for strerror_local().
 common/anim.c image.c map.c porting.c
 include/libproto.h
 server/c_misc.c deamon.c hiscore.c init.c login.c resurrection.c
 socket/init.c loop.c lowlevel.c
---
Remove some static variables. Return values from server.
 plugins/cfpython/cfpython_object.c
 plugins/cfanim/include/cfanim_proto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
---
Update cf_object_[gs]et key to use parameter instead of void* return.
 include/plugin.h
 plugins/cfpython/cfpython_object.c
 plugins/cfanim/include/cfanim_proto.h
 plugins/common/include/plugin_common.h
 plugins/common/plugin_common.c
 server/plugins.c
---
Remove static variables from plugin API, use parameters instead.
 plugins/common/plugin_common.c
 server/plugins.c
Ryo 2007-10-11

Remove "sstable" command for players, which is called "ssdumptable" for DMs.
 include/sproto.h
 server/commands.c c_mist.c
---
Remove static buffer fur ss_dump_table. Use SS_ flags. Use LOG instead of direct fprintf.
 common/shstr.c
 include/libproto.h
 server/c_misc.c
---
include/global.h: errmsg isn't used anymore.
---
Remove errmsg use for ss_dump_statistics.
 common/shstr.c
 include/libproto.h
 server/c_misc.c
---
Fix get_split_ob not returning failure message (was through errmsg).
 common/object.c
 include/libproto.h
 server/apply.c c_object.c player.c plugins.c skills.c spell_effect.c
Ryo 2007-02-11

Remove errmsg use for dump_object and dump_arch. Merge dump_object and dump_object2.
 common/anim.c arch.c object.c
 crossedit/Attr.c
 include/libproto.h
 server/c_misc.c c_wiz.c server.c time.c
 test/unit/common/check_object.c
Ryo 2007-02-11

server/weather.c: Fix possible buffer overflows.
server/gods.c: Use correct format specifier in sprintf().
server/spell_util.c: Fix return statements with no value in non-void
   function.
server/time.c, include/libproto.h: Make log_time() static.
server/apply.c: Fix return statements with no value in non-void function.
common/living.c: Fix incorrect "extern" definition for "levels".
server/c_range.c: Fix possible buffer overflows.
server/server.c: Fix possible buffer overflows.
common/map.c: Fix possible buffer overflows; Reduce memory used by
   load_map_header().
common/readable: Improve performance by minimizing string copies.
server/c_object.c: Fix possible buffer overflows.
common/item.c: Fix possible buffer overflows; improve performance by
   minimizing string copies; fix bugs because of missing braces; make sure
   all strings are \0-terminated.
Andreas Kirschbaum 2007-02-10

Misc LOG fixes (mostly add missing newline), no functional change.
 common/anim.c arch.c holy.c image.c init.c [also fix missing init value] porting.c readable.c
  recipe.c region.c treasure.c
 server/init.c weather.c
Ryo 2007-02-10

Implement feature request #1653770: Sockpuppeting fix (no exp when perm exp is hit).
Implement feature request #1560385: Players killing other players should get no exp.
Two new settings are added, pk_max_experience and pk_max_experience_percent. Check
 settings file to see how they work.
Also, experience gained for killing a player never exceed experience that player can lose
 considering permanent experience.
Modified files:
 common/init.c
 include/global.h
 lib/settings
 server/attack.c init.c
---
 common/porting.c: add missing variable type.
Ryo 2007-02-10

Use const char* instead of char*, use thread-safe strerror_r, fix potential memory leak.
 common/porting.c
 include/libproto.h
---
Remove static buffer from get_string_move_type().
 common/loader.l
---
 common/object.c: don't use global errmsg variable for errors, just LOG() them.
---
Remove static buffer from create_template_pathname().
 common/map.c
 include/libproto.h
 server/server.c
---
Remove static buffer from create_pathname().
 common/map.c
 include/libproto.h
 server/plugins.c server.c
 utils/mapper.c
---
Remove static buffer from create_overlay_pathname().
 common/map.c
 include/libproto.h
 server/c_wiz.c plugins.c
---
Remove static buffer from create_items_path(), and play it safe with length.
 common/map.c
---
Remove static buffer for query_base_name().
 common/button.c item.c object.c
 include/libproto.h
 server/alchemy.c apply.c c_objects.c c_range.c player.c plugins.c shop.c
 socket/info.c item.c
 types/item_transformer/item_transformer.c
---
Remove static buffer for get_ob_diff().
 common/object.c loader.l
 include/libproto.h
 server/c_wiz.c
Ryo 2007-02-10

No functional changes, just compilation warnings / Doxygen stuff.
---
Add missing includes.
 types/book/book.c
 types/identify_altar/identify_altar.c (also fix missing argument)
 types/item_transformer/item_transformer.c
 types/transport/transport.c
---
Add newline at end.
 types/common/common_apply.c
 types/trigger/trigger.c
---
Add Doxygen path info to distinguish files.
 common/button.c
 random_maps/exit.c
 server/alchemy.c apply.c rune.c spell_effect.c
 types/button/button.c
 types/exit/exit.c
 types/rune/rune.c
 types/spell_effect/spell_effect.c
 utils/bwp.c
Ryo 2007-02-09

Remove static buffer from ob_describe(). Make op some parameter const.
 include/ob_methods.h sproto.h typesproto.h
 server/c_object.c ob_methods.c
 types/common/describe.c
 types/legacy/megacy_describe.c
Ryo 2007-02-09

Doxyfile: Adjust Doxyfile options to create more information in the
  documentation.
Alex Schultz 2007-02-09

Remove static buffer from query_short_name().
 common/item.c object.c
 include/libproto.h
 server/gods.c player.c plugins.c skills.c spell_effect.c
Ryo 2007-02-09

common/item.c: fix documentation.
--
Remove some more static buffers.
 common/item.c info.c readable.c
 include/libproto.h
 server/plugins.c spell_effect.c
 types/common/describe.c
Ryo 2007-02-09

Fix a few compiler warnings.  Most were just unused variables, but
some in server/c_object.c had returns without values.
Files: server/c_object.c server/monster.c server/player.c server/weather.c
MSW 2007-02-08

Remove static buffer for query_name().
 common/item.c
 include/libproto.h
 server/apply.c attack.c build_map.c c_object.c c_range.c c_wiz.c gods.c monster.c move.c player.c plugins.c
  server.c shop.c skill_util.c spell_attack.c spell_util.c
 common/living.c object.c readable.c
 socket/item.c
 types/common/describe.c
 types/converter/converter.c
 types/example.c
 types/item_transformer/item_transformer.c
 types/legacy/apply.c legacy_describe.c
 types/transport/transport.c
Ryo 2007-02-08

More generator enhancements:

Added a generator_max field to generators.  If this field is set, the
generator will only create this many objects on the map at one time.
It sets a generator_code key/value in itself and any objects it creates,
so it can identify them when counting.  This code is taken from the new
generator_name field if it exists, or the "name" field otherwise.
 server/time.c: added the scan for child objects to generate_monster,
    and setting the code to child objects in the generate_monster_*
    routines.
Aaron Baugher 2007-02-08

common/button.c: fix memory leak if map is NULL.
---
Some static buffer removal, replaced by buffer + size parameters.
 common/item.c: use const char* for constants. Remove some static buffers.
  Remove unused function.
 common/holy.c readable.c: adjust to functions.
 include/libproto.h: new function prototypes.
 server/apply.c c_object.c: changes to function calls.
Ryo 2007-02-08


Enhancing generator ability:
Add a "generator_radius" field to generators; objects are created randomly
within this radius of the generator.
 server/time.c: changed calls to find free spot
 common/object.c: added function find_multi_free_spot_within_radius,
    which is called from server/time.c
Aaron Baugher 2007-02-08


Makefile.am, Makefile.in (and Makefiles in subdirs): Put types in list of
   SUBDIRS before server so that compilation happens in correct order -
   server area requires types to be up to date.
MSW 2007-02-07

Make players change place with pets from party members instead of pushing
them away.
---
server/player.c: In move_player_attack() check for pets from party members
   in addition to own pets.
server/move.c: In push_ob() check for pets from party members in addition
   to own pets.
Andreas Kirschbaum 2007-02-07

Implement feature request #1652066: Python: get user's savebed location and x,y coords.
---
New properties for player:
 server/plugins.c
 include/plugin.h
---
Python properties:
 plugins/cfpython/include/cfpython_object_private.h
 plugins/cfpython/cfpython_object.c
Ryo 2007-02-06

utils/mapper.c: new command-line option "-addmap=<map>", to add a map to process.
 Now also take into account player_changer a an exit. Flag "rowmaps" to generate
 maps with random tiles instead of items.
Ryo 2007-02-04

plugins/cfpython/cfpython_object.c: Fix missing braces.
Alex Schultz 2007-02-03

plugins/cflogger/cflogger.c: Add missing return value in store_time().
plugins/cflogger/cflogger.c: Add missing call to va_end().
Andreas Kirschbaum 2007-01-29

utils/bwp.c: fix sort (sort by object's name). Fix memory leaks.
Ryo 2007-01-28

Implement feature request #822087: Apply below.
'apply' now has a new flag, '-b', that specified an item on the ground.
 lib/help/apply: updated.
 server/c_object.c: look for item on ground/in container.
Ryo 2007-01-21

Refactoring of move_apply -> move_on for several object classes.
Removed obsolete server/swamp.c file.
See types/ChangeLog for details.
    server/apply.c
    server/swamp.c
    server/time.c
Yann Chachkoff 2007-01-21

Some changes to the mapper.
 utils/mapper.c: some code cleaning. New tags.
 utils/templates/map.template map_with_exit.template: use new tags, legend.
Ryo 2007-01-21

server/spell_util.c: Consider all stats when swapping random stats due to
   a failed spell.
Andreas Kirschbaum 2007-01-21

Implement feature request #656195: More effects of confusion.
Three effects can happen:
 * one item is transformed temporarily to flowers
 * 2 random statistics are temporarily swapped
 * a random spell is cast.
A new force type is introduced, FORCE_TRANSFORMED_ITEM, which does some
magic when it expires.
Modified files:
 include/spells.h
 server/spell_util.c time.c
Ryo 2007-01-20

Partially revert patch from 2006-31-12: girdles are not armours for wearing restrictions.
 server/apply.c player.c
Ryo 2007-01-20

configure.ac: add --disable-logger flag to not build cflogger plugin, courtesy gros.
----
Implement partially feature request #656194: It should be possible to curse and bless.
Added 2 new spells, 'curse item' and 'bless item', that work on marked item.
Also changed the spell name matching logic, to always return if a perfect match is found.
 include/spells.h sproto.h
 server/spell_effect.c spell_util.c
Ryo 2007-01-15

types/{dummy.c, Makefile.in, Makefile.am}, include/typesproto.h: Remove dummy
   file now that it's no longer necessary
Alex Schultz 2007-01-14

Implement feature request #817585: altars don't take group of same logical item.
Checking logic is now modified to take into account other items apart last dropped item.
This is mainly done by changing check_altar_sacrifice().
 common/button.c: improve check_altar_sacrifice().
 include/libproto.h: update prototype for check_altar_sacrifice().
 server/apply.c: don't remove items, we don't care what we should remove.

----
Implement feature request #778211: allow avatars and holy servants to be random.
Changed determine_holy_arch to return one random item instead of first matching one.
 server/gods.c
----
Rename 'new_save_map' to 'save_map'.
 common/map.c
 crossedit/Edit.c
 include/libproto.h
 random_maps/standalone.c
 server/c_wiz.c server.c swap.c weather.c
----
 common/map.c: fix memory leak.
 server/skill_util.c: give a dummy name if skill doesn't have it. Avoids crashing later on :)
Ryo 2007-01-14

Apply long standing patch #1382884: change to player wraith race courtesy Anton Oussik.
 lib/attackmess: new attack messages for feeding.
 lib/treasures: give feeding skill to wraith.
 server/attack.c: feeding skill, life stealing.
 server/skill_util.c: new skill.
 server/player.c: wraiths don't regenerate hp.
 server/apply.c: wraiths don't get anything by eating food.
 include/libproto.h: new functions.
 include/attack.h: new attack message type.
 include/skills.h: new skill.
 common/player.c: wraith-related functions.
Ryo 2007-01-14

Apply patch #1631685: Monster flag set on all monster parts courtesy Aaron Baugher.
 common/arch.c
Ryo 2007-01-14

Object types refactoring: TRIGGER.
    See types ChangeLog for details.
----
Object types refactoring: TRANSPORT, BOOK, POWER_CRYSTAL, BOOK.
    See types ChangeLog for details.
Modified files:
    include/ob_methods.h include/ob_types.h
    server/ob_methods.c server/ob_types.c
    server/apply.c server/c_object.c server/time.c
Added files:
    types/transport/transport.c types/power_crystal/power_crystal.c
    types/book/book.c types/item_transformer/item_transformer.c
    types/legacy/apply.c types/legacy/legacy_describe.c types/legacy/process.c
    types/common/describe.c
Removed files:
    server/egoitem.c
Yann Chachkoff 2007-01-14

New util: mapper.c, which generates HTML pages to browse maps.
See the file itself for information and such.
----
 Moved structures outside a .c so other programs can access it.
 include/image.h: new file, client-side image structures.
 socket/image.c: moved data to include.
----
 utils/mapper.c: new program, map browser generator.
 utils/templates/*.template: template files for mapper.
Ryo 2007-01-13

Some Win32 fixes: binmode for Perl, binary mode for opened files.
 common/porting.c
 lib/adm/collect_images.pl
 lib/collect.pl.in
 socket/item.c: variables should be declared at function start.
Ryo 2007-01-13

server/gods.c: Clean up follower_remove_given_items()
Alex Schultz 2007-01-10

Win32 compilation fixes: variables should be declared at function start.
 socket/item.c
 server/gods.c resurrection.c
Ryo 2007-01-09

New plugin: 'cflogger', which logs things to a sqlite3 database.
Warning: the database size may grow a lot, you'll have to check manually.
Logged events:
 * players join/leave/creation/quit
 * map load/unload/reset/enter/leave
 * kills, whenever a player is concerned
 * ingame/real time links
Note that the plugin is not yet part of the autobuild process.

Added files:
 cflogger/include/cflogger.h cflogger_proto.h Makefile.[am|in]
 cflogger/cflogger.c Makefile.[am|in]
Ryo 2007-01-07

common/loader.l: Remove call to yylex_destroy() - at least on my linux
   box, I get an unresolved symbol during link time (maybe different
   versions of flex?)
MSW 2007-01-04

Make some commands DM only, and not visible to players.
 server/commands.c
Ryo 2007-01-04

server/gods.c: Apply patch #1627442 by Aaron Baugher, to fix bug #1551735. Works
  by using a key_value of "divine_giver_name" to objects that are given by a god.
Alex Schultz 2007-01-04

Fix a logic mistake: code should be called unless cursed and good only, not if good
 only set (since t->item is never NULL). This would make empty spellbooks and crash.
 common/treasure.c
Ryo 2007-01-03

include/book.h: Doxygenify header file and add licence. No functional changes.
Alex Schultz 2007-01-03

Check len of client-sent commands.
 socket/item.c: a few checks.
Ryo 2007-01-02

Implement feature request #1443844: Lock in 1.9.0 is ethernal.
 Added new 'lock' command, locking/unlocking specified item.
 include/sproto.h
 server/c_object.c commands.c
Ryo 2007-01-02

Massive doxygenation of code. Reformat indentation. No functional change.
 include/artifact.h
Ryo 2007-01-02

Implement feature request #1555532: Disallow enchanting armour/weapons while wearing/wielding it.
Weapon/armour will be unequipped (unless cursed) if that would mean the player can't wear it anymore.
 server/apply.c
Ryo 2007-01-02

Fixed some mistakes in the alchemical formulae
 lib/formulae
Yann Chachkoff 2007-01-02

Removed unused defines, documentation fixes, no functional change.
 common/treasure.c: add some links for GT_xxx.
 include/treasure.h: add anchor 'GT_xxx'.
Ryo 2007-01-01

server/player.c: fix wrong message displayed. Make sp test coherent with draining for rod/horn.
Ryo 2007-01-01

Implement feature request #656191: Add blessings and curses to scrolls.
----
New flags: 'blessed', 'known_blessed'.
 common/item.c
 common/loader.l: new flag, and fix mistake on array size.
 include/define.h
----
Randomly set blessed/cursed on scrolls and spellbooks.
 common/treasure.c
----
Blessed/cursed/damned effect for scrolls and books.
 server/apply.c: effects, and also there should be a failure even if settings is no.
----
 server/spell_effect.c: add a check to be done.
Ryo 2007-01-01

Implement feature request #1536177: "Orc Knuckle" requires no dice.
If there is an "dice" archetype in server arches, this command will
require the player to have at least 4 dice to play. There is a 5%
chance to lose one dice at each play. Dice can be made through alchemy
(finding the recipe is left as an exercise to the player).
Note that the check is on the name 'dice', so you can have multiple
archetypes for that name, they'll be all taken into account.
 server/c_chat.c: change command.
 lib/formulae: add recipe.
----
 ChangeLog: fix date info (it's not american, but ISO)
Ryo 2007-01-01

Corrected garbage being displayed when examining an object, caused by an uninitialized buffer.
 server/c_object.c
Yann Chachkoff 2007-01-01

server/{player.c, gods.c, apply.c, monster.c}: Fix bug #1543130 and make
  handling of can_use_armour and can_use_shield consistant.
Alex Schultz 2006-12-31

Some memory fixes.
 common/arch.c: split code to make free_arch().
 common/exp.c: free levels memory.
 common/init.c: add free_globals().
 common/loader.l: add free_loader() to clean allocated memory.
 common/object.c: call free_arch() instead of free() to free temporary archetype.
 common/treasure.c: clear correctly the artifacts.
 include/libproto.h: new functions.
 include/sproto.h: new functions.
 server/init.c: call cleanup() instead of exit() when doing dumps. Free some memory.
 server/server.c: call some free_xxx() stuff.
 server/weather.c: add free_weather().
----
Use const char* instead of char*
 common/apply.c gods.c
Ryo 2006-12-31

Implemented proposal #1497089: fix for some random items.
lib/artifacts, lib/formulae
Changed the title of several treasures from Gaea to Vitality, and from
Ruggilli to Blazing Fires, to match better the personality of those gods.
Yann Chachkoff 2006-12-30

Some memory fixes.
 common/arch.c: arch should free after object, since free_object2() checks the archetype.
 common/loader.l: when doing line mode (from artifact loading), we should clear the buffer,
  else it is lost, resulting in 16kb memory leak (not nice!).
 common/object.c: warning about archetype needed for free_object2().
Ryo 2006-12-30

Fix for bug #1539120: talisman of Evocation grants wrong skill.
Changed the name of the "Talisman of Evocation" artifact to "Talisman of Creation",
so there is no confusion with the skill name.

Last part of the fix for bug #1612838
common/treasure.c: Changed the formula used to compute the item_power of a
generated artifact treasure.
Yann Chachkoff 2006-12-30

Partial fix for bug #1612838: Problem with item_power code
server/apply.c
Now armours get +3*magic increase to their item_power field.
Corrected stupid mistakes made when fixing bug #1528525
Yann Chachkoff 2006-12-30

Another Win32 compilation fix.
 common/player.c: variable definition is a function start.
Ryo 2006-12-30

Fix for bug #1573294: Flesh displays speed +x and gives lot identification exp.
common/item.c
Patch initially submitted by Aaron Baugher
Yann Chachkoff 2006-12-30

Fix for bug #1528525: Sometimes "bad" initial items are created.
common/treasure.c
Changed the behavior of create_one_treasure, that will now not generate a
treasure whose base object is cursed or damned when the GT_ONLY_GOOD flag is set.
Yann Chachkoff 2006-12-30

Fix for Win32 compilation.
plugins/common/hashtable.c: missing #include for Windows.
Ryo 2009-12-29

common/c_misc.c lib/settings
Fix for bug #1622609: Specific flags no longer displayed with 'who command
Replaced [] by <> in the who output command, as [] are reserved for the various
formatting tags.
Yann Chachkoff 2006-12-29

Massive doxygenation of code. Reformat indentation. No functional change.
 common/object.c path.c player.c porting.c quest.c readable.c recipe.c re-cmp.c
  region.c shstr.c time.c treasure.c utils.c
 doc/Developers/programming_guide: add rule for function comments.
Ryo 2006-12-29

Fix previous broken commit.
 common/arch.c
Massive doxygenation of code. Reformat indentation. No functional change.
 common/friend.c glue.c holy.c image.c info.c init.c item.c links.c living.c loader.l
  logger.c los.c map.c
Ryo 2006-12-28

Massive doxygenation of code. Reformat indentation. No functional change.
 Doxyfile: extract also static and private stuff.
 common/anim.c arch.c button.c exp.c
Ryo 2006-12-27

Fix for bug #1622575: Range attack switches to punching on contact,
 applied patch courtesy Aaron Baugher
 server/skill_util.c: use good flag to not switch.
Ryo 2006-12-27

Fix some crashes observed on metalforge:
common/treasure.c: When generating flesh items from custom monsters,
  update other_arch of the flesh item to point back to the original
  base archetype, not the custom archetype.
random_maps/treasure.c: Create the key object before we reference it
  in find_first_free_spot()
MSW 2006-12-26

Make method/property coherent for Python objects.
 plugins/cfpython/cfpython_archetype.c cfpython_party.c cfpython_region.c
 plugins/cfpython/include/cfpython_archetype_private.h cfpython_party_private.h cfpython_region_private.h
Ryo 2006-12-26

Implemented FR #1539153: Blessed weapons should have an owner.
Added option personalized_blessings to activate that feature.
 server/apply.c
 server/gods.c
 server/init.c
 include/global.h
Yann Chachkoff 2006-12-26

Fix for bug #1527978: summon fog spell is somewhat broken.
Summon now occurs either randomly around (when casting on oneself),
or around, either clockwise or anticlockwise.
 server/pets.c
Ryo 2006-12-26

Implement feature request #1617446 :add "glow radius" to perceive self
 server/spell_effect.c
Ryo 2006-12-26

Add "Crossfire.Object.LastEat. More return fixes.
 plugins/cfpython/include/cfpython_object_private.h: add "Subtype".
 plugins/cfpython/cfpython_object.c: add "Subtype".
 server/plugins.c: fix wrong return values.
Ryo 2006-12-26

Fix wrong return values for plugin calls. Add "Crossfire.Object.Subtype" property.
 plugins/cfpython/include/cfpython_object_private.h: add "Subtype".
 plugins/cfpython/cfpython_object.c: add "Subtype".
 server/plugins.c: fix wrong return values.
Ryo 2006-12-26

types/example.c: Add quick example file.
Alex Schultz 2006-12-26

server/player.c: Added a supplementary check on attacked objects, so that an
    alive object that has its FLAG_MONSTER set is always a preferred target over
    an alive object without that flag.
    Fix for the bug mentioned in #1551404

server/skill_util.c: Corrected the flags passed to change_exp when failing
    to properly write a spell scroll, which resulted in loss of experience in
    the wrong skill.
    Fix for the bug mentioned in #1530000
Yann Chachkoff 2006-12-26

lib/{Makefile.in,adm/map_info,collect.pl.in,Makefile.am}: ignore .svn rather
    than CVS.
Andreas Kirschbaum 2006-12-24

server/c_chat.c: In command_tell() do not crash when extendedTextInfos are
    enabled.
Andreas Kirschbaum 2006-12-22

common/loader.l: Fix some problems related to curse spell monster
  handling.  Specifically, coordinates of custom monsters was not
  being saved (always set to 0,0), which caused crashes for multipart
  monsters upon load.  Also, speed was being set to 0, resulting in
  customized monsters not having any speed.
MSW 2006-12-21

server/shop.c: Remove unused switch statement.
Alex Schultz 2006-12-17

No change, just remove unused code in #if 0
 server/commands.c
 server/shop.c
Ryo 2006-12-17

Fix a crash due to non-checking of parameters.
 socket/item.c
Ryo 2006-12-13

Tentative fix for bug #1551398: Curse spell breaks customized monsters.
The server will now create a "temporary" archetype when loading a customized monster.
This archetype will have the same name, but not be part of regular archetype list.
It'll be removed when last object using it is removed.
A new field "reference_count" is added to archetype structure, to store how many
objects reference that temporary archetype (think of item duplication with customized archetype).
This fix has been roughly tested, but could certainly use more tests.
Modified files:
 common/loader.l: handle customized monsters
 common/object.c: increment reference_count if copying a temporary archetype. Decrement it when freeing an
  object, and free archetype if needed
 common/treasure.c: add "artifact_init" to signal start/end of artifact loading, required for temporary archetypes handling.
 include/object.h: new "reference_count" field
Ryo 2006-12-09

Tentative fix for bugs
 #1605033: Random map gets blocked
 #1522796: Random map, locked door(s) and no key
Random map generator will try harder to put keys, and not lock if no spot found
(can happen if chest is surrounded by locked doors blocking the corridor).
Modified files:
 random_maps/rproto.h
 random_maps/treasures.c
Ryo 2006-12-03

Cosmetic fixes only, before bugfix.
 random_maps/treasures.c: fix indentation.
Ryo 2006-12-03

Fix for bug #1556723: Broken Show invisible - scrolls, wands, staves and rods
 server/spell_effect.c: use the item's level, and not computed level, to see if should be shown.
Ryo 2006-12-03

Fix for bug #1569017: Healing gives grace cost to target.
Information sent to client is now stored in a special structure, to not
 conflict with spell fields. Note that this doesn't fix player files.
 common/player.c: free spell information, new function for spell state.
 include/libproto.h: new function.
 include/player.h: new structure, new field in player structure.
 socket/request.c: use spell information instead of spell fields.
Ryo 2006-12-02

Merge patch #1558073: newpickup flesh courtesy bencha
 include/define.h
 server/c_object.c player.c
Ryo 2006-11-29

Implement feature request #1555887: Thief player - should have bargaining as default skill
 lib/treasures: add skill to class items.
Ryo 2006-11-26

Fix bug #1539207: "Max speed" attribute does not work
 common/living.c: armor's max_speed should always be taken into account.
Ryo 2006-11-26

Fix indentation and comments, cosmetic changes only.
 common/living.c
 server/pets.c:
Ryo 2006-11-26

Fix bug #1599307:
server/shop.c: In pay_from_container() handle non-standard MONEY objects when
   buying items.
Andreas Kirschbaum 2006-11-19

socket/info.c: In draw_ext_info() do not crash for out of memory.
Andreas Kirschbaum 2006-11-19

server/rune.c: If skill is NULL in dispel_rune(), just return as server
  will otherwise crash in trap_disarm()
server/spell_util.c: Fix bug in that runes that hold other spells (glyphs,
   firetraps, magic runes, etc) do not find a skill object, and thus
   player doesn't get exp.  Instead, for runes, try to find owner, and
   then the relevant skill object.
MSW 2006-11-18

Documentation tweaks.
 include/object.h: doxygen-like comments.
 Doxyfile: created with some defaults.
Ryo 2006-11-18

Rename fix_player to fix_object, since it works for other items.
 common/item.c living.c object.c
 include/define.h libproto.h skills.h
 server/apply.c attack.c c_misc.c c_object.c c_wiz.c disease.c gods.c
  login.c player.c plugins.c shop.c skills.c skill_util.c spell_attack.c
  spell_effect.c time.c
Ryo 2006-11-18


Fix bug #598649: Building apartments use multiple materials per tile
server/build_map.c: don't redo same floor.
----
socket/info.c: fix spurious logic, fix indent.
Ryo 2006-11-18

Tentative fix for bug #1519089: item cannot afford in container can be taken from store.
server/shop.c: do a real recursion in can_pay.
Ryo 2006-11-16

include\{treasure.h path.h face.h commands.h win32.h shstr.h timers.h
  config.h funcpoint.h object.h loader.h attack.h race.h newserver.h
  re-cmp.h living.h book.h plugproto.h player.h artifact.h material.h
  plugin.h spellist.h skills.h spells.h recipe.h god.h sounds.h map.h
  tod.h newclient.h}: Clean up anti-double-include mechanisms.
----
include/arch.h: Removing unused file.
include/Makefile.am: Remove reference to arch.h
common/arch.c: Remove reference to arch.h
Alex Schultz 2006-11-14

Fix bug #1573296: arena : spells with "target" doesn't works
server/spell_util.c: spell_find_dir should consider players when on battleground.
----
Fix bug #1594696: Altar created with creator - consecration
server/time.c: copy creator's level, as per behaviour before function rewrite.
Ryo 2006-11-13

doc/Developers/protocol: Add documentation about exp_table requestinfo
    addition
socket/loop.c: Add call to send_exp_table() in request_info_cmd()
socket/request.c: Add send_exp_table() to use a replyinfo exp_table to
   send data to client.
MSW 2006-11-03

socket/loop.c: Fix replyinfo, in that it was using incorrect length parameter
  when replying to unsupported requests.
MSW 2006-11-02

Fix for bug #1547517: DM issue with containers
server/apply.c: move_apply shouldn't exit if opened container.
Ryo 2006-10-29

Update code so everything uses draw_ext_info(), and remove new_draw_info().
For the most part, everything is just a simple update of function name/
parameters.  In some places, there was some other cleanup, like
inconsistent whitespace being made consistent.  A few places were
changed to use the varargs version, so no longer needed a local snprintf.
Many places where used to remove the hard formatting (combine several
calls into one so that the client can do the word wrap/formatting, since
assuming the width of the client never was really accurate)
Dead code was removed, rather than being updated.
For old clients, it will continue to use the old protocol commands, so
this doesn't break client compatibility in any way.
--
Files affected:
common/arch.c, common/button.c, common/living.c, common/los.c. common/map.c,
common/quest.cm common/time.c, common/treasure.c
crossedit/stubs.c
random_maps/standalone.c
include/funcpoint.h, include/newclient.h, include/sockproto.h
server/alchemy.c, server/apply.c, server/attack.c, server/build_map.c,
server/c_chat.c, server/c_wiz.c, server/c_new.c, server/c_object.c,
server/c_range.c, server/c_party.c, server/commands.c, server/disease.c,
server/gods.c, server/hiscore.c, server/login.c, server/monster.c,
server/move.c, server/pets.c, server/player.c, server/plugins.c
server/resurrection.c, server/rune.c, server/server.c, server/skill_util.c,
server/skills.c, server/spell_attack.c, server/spell_effect.c,
server/spell_util.c, server/swamp.c, server/time.c
socket/info.c, socket/item.c, socket/request.c
test/unit/common/stubs_common.c
test/unit/crossedit/stubs_crossedit.c, test/unit/random_maps/stubs_random.c
--
MSW 2006-10-28

Implement feature request #1551406: Add player's name to disease symptoms
 server/disease.c: add player's name.
Ryo 2006-10-28

/plugins/cfpython/{cfpython.c, cfpython_map.c, cfpython_object.c}: Remove
   redundent checks in values passed to Crossfire_Foobar_wrap() functions.
Alex Schultz 2006-10-27

Fix for bug #1573381 (death attacks does works on skull)
server/attack.c: check for undead when no slaying set for hitter in deathstrike_player.
Ryo 2006-10-22

Fix for bug #1553636 (Crashbug: reset/swaped map after use of "overlay_save").
Make command coherent with ingame command (command_overlay_save since overlay_save).
Add 'overlay_reset' command to reset a saved overlay.
common/map.c: if flag is 2, map is still valid (non destructive save).
include/sproto.h: rename function, new function.
server/c_wiz.c: no need to save and reload the map for overlay. Rename function. New function.
server/commands.c: rename function, new function.
Ryo 2006-10-22

common/loader.l: Make it so that long msg/endmsg won't overflow temp buffer
  by using safe_strcat.  Will result in long messages being truncated, but
  better than crashes.
server/pets.c: Check for existance of object existance after call to
  follow_owner() in remove_all_pets().  Can be cases where put is killed
  when moving to new map.
MSW 2006-10-18

server/apply.c: If the captain of a transport exits the transport, make the
   next player on the transport the captain.
server/server.c: Like change to apply.c to make player another player captain
   if one leaves the game.  But in addition, in all cases, we need to clean
   up the transport->contr pointer, which will otherwise cause crashes.
MSW 2006-10-12

common/readable.c: Rewrite god_info_msg() - a buffer overflow crash was seen
  on metalforge, and the old code had lots of dangerous string operations
  (non safe strcats, sprintf with overlapping buffers).  No code is
  functionally equivalant, just uses safe string funtions.
MSW 2006-10-12

doc/Developers/objects updated to better describe @match use in objects. Many
objects contain useless case handling keys like @match Hello|hello because
mapmakers do not know how @match works.  Also add mention of the limited
regular expression support that applies to match keys.
Kevin R. Bulgrien 2006-10-08

Make converters inside shops work again.
---
server/c_object.c: Sell item after dropping because converters do not accept
   unpaid items.
Andreas Kirschbaum 2006-10-08

Fix bug where in players could unequip cursed weapons by switching to a hand
to hand skill (punching, karate, etc).
--
include/define.h: Add AP_NOPRINT flag.
server/apply.c: Modify the apply_special() code to take AP_NOPRINT option,
   which as implies, causes messages not to be printed.  Used in change
   to skill_util.c, since the code thre prints better message about uequipping
   of weapon.
server/skill_util.c: Do some cleanup of unused vars in do_skill().  Modify
   attack_hth() to call apply_special() to unequip weapon (that takes care
   of checking cursed status, etc).
--
MSW 2006-10-05

server/rune.c: Fix mistake in revision 4979, causing get_rangevector to be called
    with an uninitialized env.
Alex Schultz 2006-10-04

server/c_misc.c: Fix incorrect use of FMT64 in commant_statistics().
Alex Schultz 2006-10-02

server/monster.c: Revert message formatting of NPC responses back to the
   two-line format. Fix a possible buffer overflow when players talk to
   certain NPCs.
Andreas Kirschbaum 2006-10-02

server/rune.c: Cleanup spring_trap() and clean some questionable logic.
server/attack.c: Cause spell traps to be triggered when containers with traps
   are destroyed by a spell effect.
Alex Schultz 2006-09-25

doc/Makefile.am, server/Makefile.am, utils/crossloop.in, utils/crossloop.pl.in,
   utils/crossloop.tmpl.in, utils/crossloop.web.in, utils/crossloop.pl.tmpl.in,
   doc/crossfire-server.man: Rename crossfire binary to crossfire-server. Make
   changes to account for that in crossloop and the man page.
Alex Schultz 2006-09-20

server/plugins.c: Change cfapi_object_say() to use either command_say() or
   npc_say() depending on if the object is a player. Fixes bug #1534889.
server/monster.c, include/sproto: Move code for NPCs to talk from the code that
   handles NPC replies into npc_say().
server/spell_effect.c: Implement proposed alchemy changes from the mailing list.
   Make value of nuggets given range from 5% to 40%. Depends on archetype
   changes to the alchemy spell and nuggets. (Without archetype changes will
   give obscenely low value.)
server/spell_util.c, include/sproto.h: Make min_casting_level() non-static.
Alex Schultz 2006-09-16

server/alchemy.c: Make shadow alchemy and random alchemy failures ignore the
   'cauldron' type being used. Fixes bug #1551385.
Alex Schultz 2006-09-15

lib/README: Large update to the ancient readme file describing the files in lib.
Alex Schultz 2006-09-12

common/treasure.c, include/treasure.h: Add MAX_SPELLITEM_LEVEL set to 110.
include/living.h: Set MAXLEVEL to 115.
doc/settings: Document create_home_portals outside of comments in lib/settings.
server/player.c: Comment cleanup. No code changes.
server/apply.c: Add check to auto-dropping of applied transports to not
   drop in shops.
